/**
 * ex-huangzit 首页 登陆视图
 */
define(function(require, exports, module) {
    var bindCardTip = require('component/bindCardTip');
    var filterAnchors = {
        'me/transferIn/assetsTransIn' : {susFlag: true, back: true},    //我-资金转入
        'me/transferIn/noCardCashIndex' : {back: true},                 //我-无卡取现
        'me/creditCard/payBack' : {back: true},                         //我-信用卡还款
        //'me/passindex/passbtn' : {back: true},                        //我-密码管理
        //'me/meInfo/modifyIphonePage' : {susFlag: true, back: true},     //我-修改手机号
        'search/wonderfulConsume/index' : {back: true},                 //发现-精彩消費
        'myInvestment/commendProducts/riskfund/0' : {back: true},       //资金-立即投资
        'myInvestment/commendProducts/riskfund/1' : {back: true},       //资金-立即定投
        'myInvestment/commendProducts/riskgoldtreasure/4' : {back: true},          //黄金宝-立即投资
        'myInvestment/commendProducts/riskAbilityTestQry/5' : {back: true}        //日添利-立即投资
        //'me/accoutAndSecurity/loginSecurityConfirm' : {back: true},                //安全设置-登陆安全验证
    };
    var anchors = Object.keys(filterAnchors);

    module.exports.handler = function (event) {
        if (event.router === App.loader) return;
        if (!App.storage.get('isUserLoggedIn')) return;
        if (!bindCardTip.newBindFlag()) return;

        var fragment = bindCardTip.fragment = event.fragment;
        bindCardTip.prev = App.browseList[0];

        if (!!~anchors.indexOf(fragment)) {
            event.preventDefault();
            bindCardTip.activeSwitch(filterAnchors[fragment]);
        }
    };

});
