define(function(require, exports, module){

    function initializeSideMenu(App){
        // 默认:禁用，登陆后:启用，退出登陆后:禁用
        utils.native.setSideMenuDisabled(true);
    }

    function initializeAnydoor(App){
        if(!ANYDOOR_ENABLED || !ENABLE_PHONEGAP)
            return;

        App.history.on("route", function(event){
            var fragment = event.fragment;
            if(fragment.indexOf("index/index/index") === 0 || fragment.indexOf("index/indexLogined/index") === 0){
                utils.native.anydoor.show();
            }else{
                utils.native.anydoor.hide();
            }
        });
    }

    module.exports = function initializeNativeComponent(App){
        // initializeSideMenu(App);
        initializeAnydoor(App);
    };
});