define(function (require, exports, module) {

    module.exports = function(data){
        var needCleanAnydoor;
        var isReqTimeout = data;
        if(data && typeof data != "boolean"){
            needCleanAnydoor = data.needCleanAnydoor;
            isReqTimeout = data.isReqTimeout;
        }
        var logoutLogic = function(){

            var userInfo=App.storage.get("UserInfo");
            var otpSwitch=App.storage.get("security/otpSwitch");
            App.storage.clear();
            App.requester.storage.clear();
            userInfo.clear();

            utils.native.isLogin(false);
            utils.native.anydoor.cleanLoginInfo({"needCleanAnydoor":needCleanAnydoor});

            //退出一账通
            utils.native.setToaFLogout();

            App.storage.set("UserInfo",userInfo);
            App.storage.set("security/otpSwitch", otpSwitch);
            var url=config.base.login_url+"?"+Date.parse(new Date());
            App.navigate(url,true);
        };
        
        if(isReqTimeout){
            logoutLogic();
        }else{
            utils.dialog.confirm("确定要退出平安橙子吗？", function(ok){
                if(ok) {
                    App.request("logout",{
                        complete:function(err,response){
                             logoutLogic();
                        }
                    });
                }
            });
        }
    };
});