define(function (require, exports, module) {

    var LoadingLayer = module.exports = function(){
        this.$el = $(require("text!./template.html"));
    };

    _.extend(LoadingLayer.prototype, Backbone.Events, {
        show: function(){
            var container = $(".ui-dialog:visible").eq(0);
            container = container.length ? container : $("body");
            container.append(this.$el);
        },

        hide: function(){
            this.$el.remove();
        }
    });
});