define(function (require, exports, module) {

    var requestByAjax = module.exports = function(settings, callback){
        var canceled = false;
        var xhr = $.ajax(settings);

        xhr.done(function(data, status, xhr){
            if(!canceled) callback("success", data);
        });

        xhr.fail(function(xhr, status){
            if(!canceled) callback(status);
        });

        var result = {};
        result.cancel = function(){ canceled = true; callback("canceled"); };
        result.abort = function(){ xhr.abort(); };
        return result;
    };

});