define(function(require,exports,module){
    require("component/customInput");

    exports.focusOut=function(options){
        var parentEl=$("#"+options.id);
        var el=parentEl.find(".customInput-input-container")
        if(el.next().hasClass("js-clear-icon")){
            el.next().remove();
        }
    };

    exports.focusIn=function(options){
        var parentEl=$("#"+options.id);
        var el=parentEl.find(".customInput-input-container");
        if(el.next().hasClass("js-clear-icon")){
            el.next().remove();
        }

        el.after($('<i class="iconA54 js-clear-icon"></i>'));
        $(".js-clear-icon").on("touchstart",function(e){
           e.stopPropagation();e.preventDefault();
           parentEl.customInput("value", "");
           $(this).trigger("jsClearIconHandler");

        });
    };

    exports.setCustomValidity=function(options){
         var parentEl=$("#"+options.id);
         var el=parentEl.find(".customInput-input-container");
         if(options.message!==""){
             utils.dialog.toast(options.message);
         }
    };

    exports.getSelector=function(id){
        var el=$("#"+id);
        if(!el.is("input")){
            return el.find("input");
        }
        return el;
    }
});
