define(function (require, exports, module) {

    var ComponentQuery = exports;

    ComponentQuery.find = function(selector, container){
        return $(selector, container).prop("__component__");
    };

    ComponentQuery.findAll = function(selector, container){
        if(!selector) selector = "[data-component]";

        var components = $(selector, container).get();
        components = _.map(components, function(el){ return el.__component__ });
        components = _.filter(components, function(el){ return !!el });

        return components;
    };
});