/**
 * @author EX-YANGJINGPENG001
 */

define(function(require, exports, module){
    var Component = require("./component");
    var Select = module.exports = Component.extend({
        
        constructor : function(options){
            Select.__super__.constructor.apply(this, arguments);
            
            this.$el.on("click.select",_.bind(this._selectClick,this));
        },
        
        getValue : function(){
            return this.$el.find("input").attr("index");
        },
        
        getText : function(){
            return this.$el.find("input").val();
        },
        
        _selectClick : function(e){
            e.stopPropagation();
            var dataList = this.$el.find("datalist").children("option");
            if(dataList.length<=0) return;
            this._destroy();
            var top = this.$el.position().top+this.$el.height();
            var left = this.$el.position().left;
            var width = this.$el.width();
            
            
            
            
            var templi = "";
            var num = 0;
            $.each(dataList,function(i,temp){
                templi += "<li class='oh'><a href='javascript:;' style='padding-left:10px' value="+$(temp).attr("value")+" title='"+$(temp).attr("showValue")+"'>"+$(temp).attr("showValue")+"</a></li>"; 
                num+=1;
            });
            
            var divHeight = num>=5?175:num*35;
            
           
            this.$ul = $("<div class='selectSection' style='height:"+divHeight+"px;width:"+width+"px;position: absolute;top: "+top+"px;left:"+left+"px;'></div>");
            var iframe = "<iframe style='position:absolute;left:0px;top:0px;z-index:8;width: 100%;height: 100%;' frameborder='0'></iframe>";
            templi = iframe+"<ul class='DropDownList' style='height:"+divHeight+"px;width:"+width+"px;'>"+templi+"</ul>";
            this.$ul.append(templi);
            this.$ul.insertAfter(this.$el);
            
            this.triggerBoth("click",this,$(e.target).attr("value"));
            // $("li",this.$ul).on("mouseover.select",_.bind(this._liMousever,this));
            // $("li",this.$ul).on("mouseout.select",_.bind(this._liMouseout,this));
            $("li",this.$ul).on("click.select",_.bind(this._liClick,this));
            $(document).on("click.select",_.bind(this._domClick,this));
            
        },
        
        _liClick:function(e){
           this.$el.find("input").val($(e.target).text()).attr("index",$(e.target).attr("value"));
           this.$el.next().remove();
           this.$ul=null;
           $(document).off("click.select");
           $(".iSecurity_obj").css({"visibility":"visible"});
           this.triggerBoth("change",this,$(e.target).attr("value"));
        },
        
        _liMouseout:function(e){
           $(e.target).css({"background" : "#fff"}); 
        },
        
        _liMousever:function(e){
            $(e.target).css({"background" : "#ccc"});
        },
        
        _domClick:function(e){
            if(this.$el[0].contains(e.target)){
                return;
            }else{
                $(document).off("click.select");
                this.$el.next().remove();
                this.$ul=null;
                $(".iSecurity_obj").css({"visibility":"visible"});
            }
        },
        
        _destroy:function(){
            if($(".selectSection")){
                $(".selectSection").remove();
                $(document).off("click.select");
                this.$ul=null;
            } 
        }
        
        
        
    });
});
