define(function (require, exports, module) {

    var template = require("text!./domFooter.html");

    module.exports = ItemView.extend({
        tagName: "footer",
        className:"dswkb m_t15",
        template: template,

        events: {
            "tap .flex1": "activateTab"
        },

        onRender:function(){
            this.$el.hide();
        },

        activateTab: function(event){
            this.$(".flex1").removeClass("on");
            this.$(event.currentTarget).addClass("on");
            var index = this.$(event.currentTarget).index(".js-footer-tab");
            nativeBroadcast.trigger("change:footer:selected:tab", index);
        },

        reset: function(options){
            if(!options.visible) return this.$el.hide();
            this.$el.find("div").removeClass("on");
            this.$el.find("div").eq(options.selectedIndex).addClass("on");
            this.$el.show();
        }
    });
});