/**
 * WUWENJUN059
 * 选择支付方式公共view
 */

define(function(require, exports, module){
	var selPaymentMethodTpl = require("text!./selPaymentMethod.html");
	
    var accountInfoStaView = module.exports = ItemView.extend({
        template: _.template(selPaymentMethodTpl),
		events : {
			"tap #payMethodAll li" : "selPayMethod"
		},
        
        onShow:function(){
        	var payMentMethod = this.model.get('payMentMethod'); //支付方式
        	var balance = parseFloat(this.model.get("balance")); //活期余额
            var dhBalance = parseFloat(this.model.get("dhBalance")); //平安盈（大华）
            var amountInput = parseFloat(this.model.get("amountInput")); //输入金额
            this.$("#payMethodAll li[paymentType="+payMentMethod+"]").append("<i class='iconA59'></i>");
            if(amountInput > balance){
                //活期余额不支持
                this.$("#payMethodAll li[paymentType=1]").append("<span class='c_ccc m_l20 m_r10'>余额不足</span>");
                this.$("#payMethodAll li[paymentType=1] p").removeClass("c_333").addClass("c_ccc");
            }
            if(amountInput > dhBalance){
                //平安盈不支持
                this.$("#payMethodAll li[paymentType=2]").append("<span class='c_ccc m_l20 m_r10'>余额不足</span>");
                this.$("#payMethodAll li[paymentType=2] p").removeClass("c_333").addClass("c_ccc");
            }
        },
        
        //选择支付方式
        selPayMethod : function(e){
            var len = this.$(e.currentTarget).find("span").length;
            var selPayBeforeData = App.storage.get("selPayBeforeData");
            if(len == 0){
                selPayBeforeData.payMentMethod = $(e.currentTarget).attr("paymentType");
            	App.navigate(this.model.get("selPayBackUrl"),true);
            }
        }
    });
});