/**
 * WUWENJUN059
 * 转出公共方法
 */
define(function(require, exports, module){
	var transModel          = require("../../me/model/transferModel");
	var accountInfoSta     = require("mod/common/accountInfoStatus/accountInfoStatus");
    var transferOutCon = module.exports = {
        //转出判断转账限额
    	assetsTransOut : function(){
    	    //判断用户是否符合转账条件（挂失、未身份认证、未绑定卡）
            var dfd = accountInfoSta.getAccountInfoStatus(true,"me/logined/index");
            dfd.done(function (accountSta) {
                if(accountSta){
                    
                    /** ex-huangzt(2016-04-05)
                     * 1-个人网银高级用户，2-身份证，3-借记卡，4-信用卡，5-CFE迁移过来的数据， 在CFE时验证方式为同名户验证。
                     * 6-历史数据修改， 迁移时存在一部分用户，他们的卡在卡管， FCR都已经激活，但在CFE为未激活状态。针对这类诡异数据，
                     * 	  无法给出相对应的激活方式，所以修改这些历史数据时激活方式置为6
                     * 7-汽融，8-人脸识别，9-柜面核身
                    */
                    var verifyMode = App.storage.get('UserInfo').get('verifyMode'); //需要重新认证
                    if(verifyMode == '5'){
                        App.storage.set("transOut_caifuE", 'transOut_caifuE_value');
                        App.navigate("me/transferIn/autheticationForCFE", true);
                        return;
                    }
                    
                     // 查询转账交易限额
                     transModel.qryTransferLimit({
                        "url":"qryTransferLimit",
                        "data":{"channelType":"0"},
                        "callback": function(response){
                            App.storage.set("transferLimit",response.object);
                            //无转账限额时弹出框返回页面URl
                            var transferLimitBack = App.storage.get("transferLimitBack");
                            App.storage.remove("transferLimitBack");
                            if(response.object.inUseFlag == 1){
                                App.navigate("me/transfer/index",true);
                            }else{
                                utils.dialog.confirm("你还没有设置转出限额，暂不能使用此功能。",
                                    {title : "提示",okButtonText : "立即设置",cancelButtonText : "确定"},
                                    function(e){
                                        if(e == true){
                                            App.storage.remove("immediatelyTransfer");
                                            App.navigate("me/accoutAndSecurity/transferLimit",true);
                                        }else{
                                            //如果梦想存在返回至梦想页面
                                            if(App.storage.get("immediatelyTransfer")){
                                                App.storage.remove("immediatelyTransfer");
                                            }
                                            App.navigate(transferLimitBack,true);
                                            
                                        }
                                    }
                               );
                            }
                        },
                        "errorCallback":function(response){
                            utils.dialog.alert(response.message);
                        }
                     });
                }
            });
        }
    };
});