/**
 * @author liangyin
 */

define(function (require, exports, module) {
    var accountInfoStatus = require("../../common/accountInfoStatus/accountInfoStatus");
    var DhtLoginTpl = require("text!../template/dhtLogined.html");
    var model = require("../model/dhtModel");
    var DhtLoginView = module.exports = ItemView.extend({
        template: _.template(DhtLoginTpl),
        events: {
            "tap .jqdswkb": "sliderUpDown",
            "tap #loginToAssets": "_loginToAssets",
            "tap #dhtToDeposit": "dhtToDeposist",
            "tap #faq": "bankfaq"


        },
        onRender: function () {
            model.qreryDepositInterestRate({
                "param": "",
                "errorCallback": function (resp) {
                    utils.dialog.alert(resp.message);
                },
                "callback": function (resp) {
                    var minAccount = resp.minAmt;
                    var highestRate = resp.intRate;
                    var minAccount = utils.string.numberFormat(minAccount) + '<i class="f12 lh12">元</i>';
                    this.$("#minAccount").html(minAccount);
                    this.$("#highestRate").text(highestRate);

                }
            });
        },
        //登入页面跳转到持有资产页；
        _loginToAssets: function () {
            App.navigate("dinghuotong/index/dhtHoldAssets", true);
        },
        //定活通去存款页

        dhtToDeposist: function () {
            App.navigate("dinghuotong/index/dhtDeposit", true);
        },
        //下滑与上滑隐藏的切换，当初是多列，后来需求变成了单列，所以，代码有些冗余
        sliderUpDown: function (events) {

            tempThis = this.$(events.currentTarget);
            this.$(".jqdswkb").not(tempThis).each(function () {
                forCon = $(this);
                $(this).find("i").removeClass("on");
                forCon.siblings(".con").slideUp();
            });
            tempThis.find("i").toggleClass("on");
            tempThis.siblings(".con").slideToggle();


        },

        bankfaq: function () {
            App.navigate('czFaq/faqIndex/czFaq/dinghuotong', true);

        }
    });


});

