/**
 * 我的定投模块工具类
 */
define(function(require, exports, module){

    var transferTools = module.exports = {
        /*
         * 我的定投状态
         */
        getMyFundFixStatus : function (fundFixStatus) {
            var fundFixText = '';
            switch (fundFixStatus) {
            case '0':
                    fundFixText = '正常';
                    break;
            case '1':
                    fundFixText = '关闭';
                    break;
            case '2':
                    fundFixText = '暂停';
                    break;
            }
            return fundFixText;
        },
        
        /*
         * 定投周期
         */
        getMyFundFixPeriod : function (fundFixPeriod) {
            var period = '';
            switch (fundFixPeriod) {
            case '0':
                    period = '月';
                    break;
            case '1':
                    period = '周';
                    break;
            case '2':
                    period = '日';
                    break;
            }
            return period;
        },
        
        /*
         * 扣款方式
         */
        getMyFundFixReduceWay : function (reduceWay) {
            var reduceWayText = '';
            switch (reduceWay) {
            case '0':
                    reduceWayText = '固定金额';
                    break;
            case '1':
                    reduceWayText = '余额比例';
                    break;
            case '2':
                    reduceWayText = '递增金额';
                    break;
            }
            return reduceWayText;
        },
        
        /*
         * 终止模式
         */
        getMyFundFixOverFlag : function (overFlag) {
            var overFlagText = '';
            switch (overFlag) {
            case '0':
                    overFlagText = '投资期数';
                    break;
            case '1':
                    overFlagText = '结束日期';
                    break;
            case '2':
                    overFlagText = '累计扣款金额';
                    break;
            }
            return overFlagText;
        }
    };
});