/**
 * @author zhoushiwen
 * @ date ${date}
 * @company 中国平安
 */
define(function (require, exports, module) {
	var InputViews = require("../view/buy/buys");
	var InputView = require("../view/buy/buy");

	var FinishView = require("../view/buy/finisht");
	var risk = require("../view/buy/risk");
	var successful = require("../view/buy/successful");
	var setting = require("../view/buy/setting");
	//	var stylemodel = require("mod/model/style");
	var accountModel = require("mod/common/model/accountModel");
	var AddNoMonetaryView = require("../view/addPurchase/addNoMonetary");
	//by liujun add 15/8/25
	var AddMonetaryView = require("../view/addPurchase/addMonetary");
	var AddToSuccessView = require("../view/addPurchase/addToSuccess");
	//		var BuyModel = require("../model/buy");

	var BuyController = module.exports = Controller.extend({
			actions : {
				"input" : "toInputPage",
				"inputs" : "toInputPages",
				"finish" : "toFinishPage",
				"riskexam" : "riskexam",
				"setting" : "setting",
				"successful" : "successful",
				"addNoMonetary" : "addNoMonetary", //by liujun add 15/8/25
				"addMonetary" : "addMonetary",
				"addToSuccess" : "addToSuccess"
			},
			//基金签约
			riskexam : function () {
				App.header.reset({
					title : "资金账户签约",
					leftButtonContent : '@back',
					leftButtonHandler : function () {

						fundModel = App.storage.get('products/detail/fund');
						App.navigate("products/detail/fund", true);

					}
				});
				App.container.show(new risk());
			},
			//签约成功页面
			successful : function () {
				App.header.reset({
					title : "资金账户签约",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						var model = App.storage.get('products/index/index/selectFund');

						App.navigate("products/detail/fund", true);
					}
				});
				App.container.show(new successful());
			},
			//短信设置
			setting : function () {
				App.header.reset({
					title : "资金账户签约",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						var sa = new setting().getdata();
						App.storage.set("styledata", sa);

						App.navigate("fund/buy/riskexam", true);

					}
				});
				var model = {
					"weeksone" : "2",
					"monthsone" : "1",
					"okmsg" : "1",
					"realtrade" : "1",
					"fundmsg" : "1",
					"fundgainmsg" : "1",
					"timingmsg" : "2",
					"fundsamsg" : "2"
				}

				App.storage.set("styledatas", model);

				App.container.show(new setting());
			},
			//非货币
			toInputPage : function () {
				utils.native.talkingDataTrackEvent("2.0-产品-理财产品购买第一步");
				App.header.reset({
					title : "基金购买",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						var model = App.storage.get('products/index/index/selectFund');
						App.storage.set('products/index/index/selectFund', model);
					    App.storage.remove("FundsData");   //产品详情
                        App.storage.remove("selPayBeforeData");   //选择支付方式缓存信息
                        var fundModel = App.storage.get('products/detail/fund');
                        var backUrl = fundModel.get('backUrl');
                        if(backUrl){
                            App.navigate(backUrl, true);
                            return;
                        }else{
                            App.navigate("products/index/index/selectFund", true);
                            return;
                        }
					}
				});
                //判断是否存在选择支付方式缓存信息
                if(App.storage.get("selPayBeforeData")){
                    App.container.show(new InputView({
                        model : new Model(App.storage.get("FundsData"))
                    }));
                }else{
    				var promise = $.when(accountModel.qryAccountList(), accountModel.asycAccountInfo());
    
    				promise.done(function (arg1, arg2) {
    
    					var model = App.storage.get('myInvestment/commendProducts/curProObj');
    					// if (FundsData == undefined && styledata == null && styledata == []) {
    					// /*
    					// 查询 qryFundPrdList 接口
    					// 输入queryFlag  	0-筛选 1-排序 2-搜索
    					// prdCode 基金代码
    					// *
    					// * */
    					// var getcode = {};
    					// getcode.queryFlag = 2;
    					// getcode.prdCode = 1514;
    					//
    					// var params = getcode;
    					//
    					// BuyModel.qryFundPrdList({
    					// "params" : params,
    					// "callback" : function (response) {
    					// App.storage.set("FundsData", response.object);
    					// App.requester.storage.remove("lcProductMoneyQry");
    					// App.requester.storage.remove("currentToFixedTransferBalance");
    					// },
    					// "errorCallback" : _.bind(function (response) {
    					// utils.dialog.alert(response.message);
    					// }, this)
    					// });
    					//
    					// }
    					var tempData = {
    						"FundsData" : App.storage.get("FundsData")
    					};
    					//App.storage.remove("FundsData");
    					var FundsData = _.extend(tempData, {
    							balance : arg2[0].object.balance,
    							dhBalance : arg2[0].object.dhBalance,
                                totalBalance : arg2[0].object.totalBalance,
    							accountList : arg1[0].object.accountList
    						});
    					App.storage.set("FundsData",FundsData);
    					App.container.show(new InputView({
    							model : new Model(FundsData)
    						}));
    				});
    
    				promise.fail(function (err) {
    					utils.dialog.alert(err.message);
    				});
                }
			},
			//购买货币型基金
			toInputPages : function () {
				utils.native.talkingDataTrackEvent("2.0-产品-理财产品购买第一步");
				App.header.reset({
					title : "基金购买",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						var model = App.storage.get('products/index/index/selectFund');
						App.storage.set('products/index/index/selectFund', model);
						App.storage.remove("FundsData");   //产品详情
                        App.storage.remove("selPayBeforeData");   //选择支付方式缓存信息
                        var fundModel = App.storage.get('products/detail/fund');
                        var backUrl = fundModel.get('backUrl');
                        if(backUrl){
                            App.navigate(backUrl, true);
                            return;
                        }else{
                            App.navigate("products/index/index/selectFund", true);
                            return;
                        }
					}
				});
                
                //判断是否存在选择支付方式缓存信息
                if(App.storage.get("selPayBeforeData")){
                    App.container.show(new InputView({
                        model : new Model(App.storage.get("FundsData"))
                    }));
                }else{
    				var promise = $.when(accountModel.qryAccountList(), accountModel.asycAccountInfo());
    
    				promise.done(function (arg1, arg2) {
    
    					var model = App.storage.get('myInvestment/commendProducts/curProObj');
    
    					var tempData = {
    						"FundsData" : App.storage.get("FundsData")
    					};
    					//App.storage.remove("FundsData");
    					var FundsData = _.extend(tempData, {
    							balance : arg2[0].object.balance,
    							dhBalance : arg2[0].object.dhBalance,
                                totalBalance : arg2[0].object.totalBalance,
    							accountList : arg1[0].object.accountList
    						});
    					App.storage.set("FundsData",FundsData);
    					App.container.show(new InputViews({
    							model : new Model(FundsData)
    						}));
    				});
    
    				promise.fail(function (err) {
    					utils.dialog.alert(err.message);
    				});
                }
			},
			//购买成功页面
			toFinishPage : function () {
				utils.native.talkingDataTrackEvent("2.0-基金购买-购买成功");
				App.header.reset({
					title : "提交成功",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.navigate("products/index/index/selectFund", true);
					}
				});
				var tempData = {
					"FundsData" : App.storage.get("FundsData")
				};
				App.storage.remove("FundsData");
				App.container.show(new FinishView({
						model : new Model(tempData)
					}));
			},

			//非货币型追加 by liujun 15.8.25
			addNoMonetary : function () {
				App.header.reset({
					title : "基金购买",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.storage.remove("FundsData");   //产品详情
                        App.storage.remove("selPayBeforeData");   //选择支付方式缓存信息
						App.navigate("myProperty/holdDetailsInfo/index", true);
					}
				});
                
                //判断是否存在选择支付方式缓存信息
                if(App.storage.get("selPayBeforeData")){
                    App.container.show(new AddNoMonetaryView({
                        model : new Model(App.storage.get("FundsData"))
                    }));
                }else{
    				var promise = $.when(accountModel.qryAccountList(), accountModel.asycAccountInfo());
    
    				promise.done(function (arg1, arg2) {
    
    					// var model = App.storage.get('myInvestment/commendProducts/curProObj');
    					var tempData = {
    						"FundsData" : App.storage.get("addPurchaseFundsData")
    					};
    					App.storage.remove("addPurchaseFundsData");
    					var FundsData = _.extend(tempData, {
    							balance : arg2[0].object.balance,
    							dhBalance : arg2[0].object.dhBalance,
                                totalBalance : arg2[0].object.totalBalance,
    							accountList : arg1[0].object.accountList
    						});
    					App.storage.set("FundsData",FundsData);
    					App.container.show(new AddNoMonetaryView({
    							model : new Model(FundsData)
    						}));
    				});
    
    				promise.fail(function (err) {
    					utils.dialog.alert(err.message);
    				});
                }
			},

			//货币型追加 by liujun 15.8.25
			addMonetary : function () {
				App.header.reset({
					title : "基金购买",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.storage.remove("FundsData");   //产品详情
                        App.storage.remove("selPayBeforeData");   //选择支付方式缓存信息
						App.navigate("myProperty/holdDetailsInfo/index", true);
					}
				});
                //判断是否存在选择支付方式缓存信息
                if(App.storage.get("selPayBeforeData")){
                    App.container.show(new AddMonetaryView({
                        model : new Model(App.storage.get("FundsData"))
                    }));
                }else{
    				var promise = $.when(accountModel.qryAccountList(), accountModel.asycAccountInfo());
    
    				promise.done(function (arg1, arg2) {
    
    					// var model = App.storage.get('myInvestment/commendProducts/curProObj');
    					var tempData = {
    						"FundsData" : App.storage.get("addPurchaseFundsData")
    					};
    					App.storage.remove("addPurchaseFundsData");
    					var FundsData = _.extend(tempData, {
    							balance : arg2[0].object.balance,
    							dhBalance : arg2[0].object.dhBalance,
                                totalBalance : arg2[0].object.totalBalance,
    							accountList : arg1[0].object.accountList
    						});
    					App.storage.set("FundsData",FundsData);
    					App.container.show(new AddMonetaryView({
    							model : new Model(FundsData)
    						}));
    				});
    
    				promise.fail(function (err) {
    					utils.dialog.alert(err.message);
    				});
                }
			},
			//追加成功 by liujun 15.8.25
			addToSuccess : function () {
				App.header.reset({
					title : "提交成功",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.navigate("myProperty/myProperty/index", true);
					}
				});
				App.container.show(new AddToSuccessView());
			}
		});
});
