/**
 * WUWENJUN059
 * 我的定投
 *
 */
define(function(require, exports, module){
    var fundFixedView = require("../view/fundFixedManage/fundFixed");
    var fundFixedDetailsView = require("../view/fundFixedManage/fundFixedDetails");
    var fundFixedModifyView = require("../view/fundFixedManage/fundFixedModify");
    var fundFixedCycleView = require("../view/fundFixedManage/fundFixedCycle");
    var fundModel = require("../model/fundDetails");
    
    var Index = module.exports = Controller.extend({
        actions : {
            "index" : "index" ,
            "fixedDetails" : "_fundFixedDetails",
            "fixedModify" : "_fixedModify",
            "fixedCycle" : "_fixedCycle"
            
        },

        index : function(query){
            utils.native.talkingDataTrackEvent("2.0-我-我的定投");
            App.header.reset({
                title : "我的定投",
                leftButtonHandler : function() {
                    App.storage.remove("fundFixAllList");
                    App.navigate("me/logined/index", true);
                },
                  
                leftButtonContent:"@back"
                
            });
            App.container.show(new fundFixedView());
            App.footer.reset({"visible": false});
        },
        
        //定投详情
        _fundFixedDetails : function(query){
            App.header.reset({
                title : "定投详情",
                leftButtonHandler : function() {
                    setTimeout(function(){
                       App.navigate("fund/fundFixedIndex/index", true); 
                    },300);
                },
                  
                leftButtonContent:"@back"
            });
            App.footer.reset({"visible": false});
            App.container.show(new fundFixedDetailsView({model : new Model(App.storage.get("fundFixData"))}));
        },
        
        //定投修改
        _fixedModify : function(query){
            App.header.reset({
                title : "基金定投修改",
                leftButtonHandler : function() {
                    App.storage.remove("firstDateInput");
                    App.storage.remove("firstAmtInput");
                    App.storage.remove("cycleNumber");
                    App.storage.remove("cycleType");
                    App.navigate("fund/fundFixedIndex/fixedDetails", true);
                },
                  
                leftButtonContent:"@back"
            });
            App.footer.reset({"visible": false});
            App.container.show(new fundFixedModifyView({model : new Model({"fundFixData":App.storage.get("fundFixData")})}));
            
        },
        
        //定投周期
        _fixedCycle : function(){
            App.header.reset({
                title : "投资周期设置",
                leftButtonHandler : function() {
                    App.navigate("fund/fundFixedIndex/fixedModify", true);
                },
                  
                leftButtonContent:"@back"
            });
            App.footer.reset({"visible" : false});
            App.container.show(new fundFixedCycleView());
        }
    });
})
