/**
 * @author zhoushiwen
 * @ date ${date}
 * @company 中国平安
 */
define(function (require, exports, module) {
	var FinishTpl = require("text!../../template/buy/setting.html")

		var FinishView = module.exports = ItemView.extend({
			template : _.template(FinishTpl),

			events : {
				"tap #weeksone" : "weeksone",
				"tap #monthsone" : "monthsone",
				"tap #okmsg" : "okmsg",
				"tap #realtrade" : "realtrade",
				"tap #fundmsg" : "fundmsg",
				"tap #fundgainmsg" : "fundgainmsg",
				"tap #timingmsg" : "timingmsg",
				"tap #fundsamsg" : "fundsamsg",
			},

			onShow : function () {
				//获取用户现在设置的短信选项
				var styledata = App.storage.get("styledata");
				
				//用户之前设置的短信选项
				var styledatas = App.storage.get("styledatas");
				
				//判断现在的短信是否为空，不为空则加载用户现在设置的短信信息	
				if (styledata != undefined && styledata != null && styledata != []) {
					var weeksones = styledata.span;
					var okmsgs = styledata.okmsg;
					var realtrades = styledata.realtrade;
					var fundmsgs = styledata.fundmsg;
					var fundgainmsgs = styledata.fundgainmsg;
					var timingmsgs = styledata.timingmsg;
					var fundsamsgs = styledata.fundsamsg;

					if (weeksones == 0) {
						$("#monthsone").children("i").removeClass("iconA59");

						$("#weeksone").children("i").addClass("iconA59");

					} else {
						$("#weeksone").children("i").removeClass("iconA59");

					}
					if (weeksones == 1) {
						$("#weeksone").children("i").removeClass("iconA59");

						$("#monthsone").children("i").addClass("iconA59");
					} else {
						$("#monthsones").children("i").removeClass("iconA59");

					}
					if (okmsgs == 1) {
						//如果为true则为状态开启

						$('#okmsg').addClass("iconA57 on");

					} else {
						$('#okmsg').removeClass("iconA57 on");
						$('#okmsg').addClass("iconA57");

					}
					if (realtrades == 1) {
						//如果为true则为状态开启
						$('#realtrade').addClass("iconA57 on");

					} else {
						$('#realtrade').removeClass("iconA57 on");
						$('#realtrade').addClass("iconA57");

					}
					if (fundmsgs == 1) {
						//如果为true则为状态开启
						$('#fundmsg').addClass("iconA57 on");

					} else {
						$('#fundmsg').removeClass("iconA57 on");
						$('#fundmsg').addClass("iconA57");

					}

					if (fundgainmsgs == 1) {
						//如果为true则为状态开启
						$('#fundgainmsg').addClass("iconA57 on");

					} else {
						$('#fundgainmsg').removeClass("iconA57 on");
						$('#fundgainmsg').addClass("iconA57");

					}
					if (timingmsgs == 1) {
						//如果为true则为状态开启
						$('#timingmsg').addClass("iconA57 on");

					} else {
						$('#timingmsg').removeClass("iconA57 on");
						$('#timingmsg').addClass("iconA57");

					}
					if (fundsamsgs == 1) {
						//如果为true则为状态开启
						$('#fundsamsg').addClass("iconA57 on");

					} else {
						$('#fundsamsg').removeClass("iconA57 on");
						$('#fundsamsg').addClass("iconA57");

					}

				} else {
					//否则加载接口返回的短信设置信息
					var weeksones = styledatas.span;
					var okmsgs = styledatas.okmsg;
					var realtrades = styledatas.realtrade;
					var fundmsgs = styledatas.fundmsg;
					var fundgainmsgs = styledatas.fundgainmsg;
					var timingmsgs = styledatas.timingmsg;
					var fundsamsgs = styledatas.fundsamsg;

					if (weeksones == 0) {
						$("#monthsone").children("i").removeClass("iconA59");

						$("#weeksone").children("i").addClass("iconA59");

					} else {
						$("#weeksone").children("i").removeClass("iconA59");

					}
					if (weeksones == 1) {
						$("#weeksone").children("i").removeClass("iconA59");

						$("#monthsone").children("i").addClass("iconA59");
					} else {
						$("#monthsones").children("i").removeClass("iconA59");

					}
					if (okmsgs == 1) {
						//如果为true则为状态开启

						$('#okmsg').addClass("iconA57 on");

					} else {
						$('#okmsg').removeClass("iconA57 on");
						$('#okmsg').addClass("iconA57");

					}
					if (realtrades == 1) {
						//如果为true则为状态开启
						$('#realtrade').addClass("iconA57 on");

					} else {
						$('#realtrade').removeClass("iconA57 on");
						$('#realtrade').addClass("iconA57");

					}
					if (fundmsgs == 1) {
						//如果为true则为状态开启
						$('#fundmsg').addClass("iconA57 on");

					} else {
						$('#fundmsg').removeClass("iconA57 on");
						$('#fundmsg').addClass("iconA57");

					}

					if (fundgainmsgs == 1) {
						//如果为true则为状态开启
						$('#fundgainmsg').addClass("iconA57 on");

					} else {
						$('#fundgainms').removeClass("iconA57 on");
						$('#fundgainmsg').addClass("iconA57");

					}
					if (timingmsgs == 1) {
						//如果为true则为状态开启
						$('#timingmsg').addClass("iconA57 on");

					} else {
						$('#timingmsg').removeClass("iconA57 on");
						$('#timingmsg').addClass("iconA57");

					}
					if (fundsamsgs == 1) {
						//如果为true则为状态开启
						$('#fundsamsg').addClass("iconA57 on");

					} else {
						$('#fundsamsg').removeClass("iconA57 on");
						$('#fundsamsg').addClass("iconA57");

					}

				}

			},

			getdata : function () {
				//获取页面短信设置的样式根据样式判断，转化为对应的状态码
				this.ansIdList = {};
				var flage = "1";
				var flages = "2";
				var weeksone = $("#weeksone").children("i").hasClass("iconA59");
				var monthsone = $("#monthsone").children("i").hasClass("iconA59");
				var okmsg = $("#okmsg").hasClass("on");
				var realtrade = $("#realtrade").hasClass("on");
				var fundmsg = $("#fundmsg").hasClass("on");
				var fundgainmsg = $("#fundgainmsg").hasClass("on");
				var timingmsg = $("#timingmsg").hasClass("on");
				var fundsamsg = $("#fundsamsg").hasClass("on");
				if (weeksone == true) { //如果为true则为状态开启
					this.ansIdList.weeksone = flage;
				} else {
					this.ansIdList.weeksone = flages;

				}
				if (monthsone == true) { //如果为true则为状态开启
					this.ansIdList.monthsone = flage;
				} else {
					this.ansIdList.monthsone = flages;

				}
				if (okmsg == true) { //如果为true则为状态开启
					this.ansIdList.okmsg = flage;
				} else {
					this.ansIdList.okmsg = flages;

				}
				if (realtrade == true) { //如果为true则为状态开启
					this.ansIdList.realtrade = flage;
				} else {
					this.ansIdList.realtrade = flages;

				}
				if (fundmsg == true) { //如果为true则为状态开启
					this.ansIdList.fundmsg = flage;
				} else {
					this.ansIdList.fundmsg = flages;

				}
				if (fundgainmsg == true) { //如果为true则为状态开启
					this.ansIdList.fundgainmsg = flage;
				} else {
					this.ansIdList.fundgainmsg = flages;

				}
				if (timingmsg == true) { //如果为true则为状态开启
					this.ansIdList.timingmsg = flage;
				} else {
					this.ansIdList.timingmsg = flages;

				}
				if (fundsamsg == true) { //如果为true则为状态开启
					this.ansIdList.fundsamsg = flage;
				} else {
					this.ansIdList.fundsamsg = flages;

				}
				return this.ansIdList;
			},

			weeksone : function () {
				var sf = this;

				if ($("#monthsone").children("i").hasClass("iconA59")) {
					$("#monthsone").children("i").removeClass("iconA59");
					$('#weeksone').children("i").addClass("iconA59");

				} else {

					$('#weeksone').children("i").addClass("iconA59");

				}

			},

			monthsone : function () {
				var sf = this;

				if ($("#weeksone").children("i").hasClass("iconA59")) {
					$("#weeksone").children("i").removeClass("iconA59");
					$('#monthsone').children("i").addClass("iconA59");

				} else {

					$('#monthsone').children("i").addClass("iconA59");

				}

			},

			okmsg : function () {
				var sf = this;

				if ($("#okmsg").hasClass("on")) {
					$('#okmsg').removeClass("iconA57 on");

					$('#okmsg').addClass("iconA57");

				} else {

					$('#okmsg').addClass("iconA57 on");

				}

			},

			realtrade : function () {
				var sf = this;

				if ($("#realtrade").hasClass("on")) {
					$('#realtrade').removeClass("iconA57 on");

					$('#realtrade').addClass("iconA57");

				} else {

					$('#realtrade').addClass("iconA57 on");

				}

			},

			fundmsg : function () {
				var sf = this;

				if ($("#fundmsg").hasClass("on")) {
					$('#fundmsg').removeClass("iconA57 on");

					$('#fundmsg').addClass("iconA57");

				} else {

					$('#fundmsg').addClass("iconA57 on");

				}

			},

			fundgainmsg : function () {
				var sf = this;

				if ($("#fundgainmsg").hasClass("on")) {
					$('#fundgainmsg').removeClass("iconA57 on");

					$('#fundgainmsg').addClass("iconA57");

				} else {

					$('#fundgainmsg').addClass("iconA57 on");

				}

			},

			timingmsg : function () {
				var sf = this;

				if ($("#timingmsg").hasClass("on")) {
					$('#timingmsg').removeClass("iconA57 on");

					$('#timingmsg').addClass("iconA57");

				} else {

					$('#timingmsg').addClass("iconA57 on");

				}

			},

			fundsamsg : function () {
				var sf = this;

				if ($("#fundsamsg").hasClass("on")) {
					$('#fundsamsg').removeClass("iconA57 on");

					$('#fundsamsg').addClass("iconA57");

				} else {

					$('#fundsamsg').addClass("iconA57 on");

				}

			},

		});

});
