/*
* @Author: WANGQIANG873
* @Date:   2016-04-18 14:09:57
* @Last Modified by:   WANGQIANG873
* @Last Modified time: 2016-04-18 17:38:30
*/


define(function(require, exports, module){

	var fundStrongModel = module.exports = Model.extend({}, {
		any: function(options){
			this._callInterface(options);
		},
		/*
		 * 调用接口的公共方法
		 *
		 * 入参：
		 *      url：接口路径
		 *      option : 请求参数
		 *          data：接口入参
		 *          silent：是否显示loading遮罩
		 *          callback：接口成功回调函数
		 *          errorCallback：接口错误回调函数
		 *
		 * 返回：无
		 */
		_callInterface: function (option){
			App.request(option.url,{
				data    : option.data || "",
				silent  : option.silent || false, //true 不显示loading遮罩
				type    : option.type || "POST",
				success : function(resp){
					option.callback && option.callback(resp.object);
				},
				error : function(resp){
					//600为页面超时
					if(resp.code == "600"){
						utils.dialog.alert(resp.message,"确定",function(){
							App.navigate("home/home/index", true);
						});
					}else{
						option.errorCallback && option.errorCallback(resp);
					}

				}
			});
		}

	});
});