/**
 * Created by EX-LIUJINMAN001 on 2016-04-11.
 * 提款首页
 */
define(function (require, exports, module) {
	var indexView        = require("../view/indexView");
	var drawingsView     = require("../view/borrow/borrowMoney");
	var stateFailView    = require("../view/borrow/borrowMoneyFail");
	var stateSuccessView = require("../view/borrow/borrowMoneySuccess");
	var addInfo          = require("../view/borrow/addInfo");
	var Index = module.exports = Controller.extend({
		actions: {
			borrowMoney        : "borrowMoney", //提款流程首页
			borrowMoneySuccess : "borrowMoneySuccess", //提款成功
			borrowMoneyFail    : "borrowMoneyFail", //提款失败
			addInfo            : "addInfo"  //补充信息
		},

		borrowMoney: function () {
			App.header.reset({
				title: "提款",
				leftButtonContent: "@back",
				leftButtonHandler: function () {
					App.navigate("loan/loan/index", true);
				}
			});
			App.footer.reset({"visiable": false});
			App.container.show(new drawingsView());
		},

		borrowMoneyFail: function () {
			App.header.reset({});
			App.footer.reset({"visiable": false});
			App.container.show(new stateFailView );
		},

		borrowMoneySuccess: function () {
			App.header.reset({});
			App.footer.reset({"visiable": false});
			App.container.show(new stateSuccessView );
		},

		addInfo: function () {
			App.header.reset({
				title: "补充信息",
				leftButtonContent: "@back",
				leftButtonHandler: function () {
					App.navigate("loan/loan/index",true);
				}
			});
			App.footer.reset({"visiable":false});
			App.container.show(new addInfo());
		}
	});
});