/*
 * 橙易贷申请Model
 * ex-maningjie001
 */
define(function(require,exports,module){

	//查询个人信息
	exports.searchInfo = function(option){
		var callback = option.callback;
		var errorCallback = option.errorCallback;
		App.request("searchInfo",{
			silent:false,
			success:function(resp){
				callback && callback(resp);
			},
			error:function(resp){
				errorCallback && errorCallback(resp);
			}
		});
	};

	//橙易贷校验
	exports.checkApplyLoan = function(option) {
		var callback = option.callback;
		var errorCallback = option.errorCallback;
		App.request("checkApplyLoan",{
			silent:false,
			success:function(resp){
				callback && callback(resp);
			},
			error:function(resp){
				errorCallback && errorCallback(resp);
			}
		});
	};

	//提交贷款申请
	exports.submitApplyLoan = function(option){
		var data = option.params||{};
		var callback = option.callback;
		var errorCallback = option.errorCallback;
		App.request("submitApplyLoan",{
			data:data,
			silent:false,
			success:function(resp){
				callback && callback(resp);
			},
			error:function(resp){
				errorCallback && errorCallback(resp);
			}
		});
	};

	//提款
	exports.borrowMoney = function (option) {
		var data = option.params || {};
		var callback = option.callback;
		var errorCallback = option.errorCallback;
		App.request("borrowMoney", {
			data: data,
			silent: false,
			success: function (resp) {
				callback && callback(resp);
			},
			error: function (resp) {
				errorCallback && errorCallback(resp);
			}
		});
	};

	//发送申请提款金额snedLoanOTPInfo
	exports.snedLoanOTPInfo = function (option) {
		var data = option.params || {};
		var callback = option.callback;
		var errorCallback = option.errorCallback;
		App.request("snedLoanOTPInfo", {
			data: data,
			silent: false,
			success: function (resp) {
				callback && callback(resp);
			},
			error: function (resp) {
				errorCallback && errorCallback(resp);
			}
		});
	};
});
