/**
 * liujun
 * 自动还款设置
 *
 */
define(function(require, exports, module) {

    var autoReplayView = require("../view/accoutAndSecurity/autoReply");
    var autoReplyTypeView = require("../view/accoutAndSecurity/autoReplyType");
    var autoReplySetSuccessView = require("../view/accoutAndSecurity/autoReplySetSuccess");
    var CreditPaymentModel = require("../model/creditCard");
    var Index = module.exports = Controller.extend({
        actions : {
            "index" : "index",
            "autoReplySetSuccess" : "autoReplySetSuccess",
            "autoReplySetFail" : "autoReplySetFail"
        },

        index : function() {
            App.header.reset({
                title : "自动还款设置",
                leftButtonContent : "@back"
            });

            App.footer.reset({
                visible : false
            });

            var promise = $.when(CreditPaymentModel.queryCreditCardInfo(), CreditPaymentModel.relatingCreditCard());
            promise.done(function(arg1, arg2) {
                var data = _.defaults(arg1[0].object, {
                    "status" : arg2[0].object.status
                });
                App.container.show(new autoReplayView({
                    model : new Model(data)
                }));
            });

            promise.fail(function(error) {
                utils.dialog.alert(error.message);
            });

        },
        //自动还款设置
        autoReplySetSuccess : function() {
            App.header.reset({
                title : "自动还款设置",
                leftButtonContent : "@back",
                leftButtonHandler : function() {
                    App.navigate("me/logined/index", true);
                }
            });

            App.footer.reset({
                visible : false
            });
            App.container.show(new autoReplySetSuccessView());
        }
    });
})