define(function (require, exports, module) {
    var friendsRecommendView   = require("../view/friendsRecommend/index");
    var friendsRecommendListView   = require("../view/friendsRecommend/friendsRecommendList");
    var accountInfoSta	       = require("mod/common/accountInfoStatus/accountInfoStatus");
    
    var Index = module.exports = Controller.extend({
        actions: {
            index: "index",
            friendsRecommendList : "friendsRecommendList"      
        },

		//推荐好友首页
        index: function(){
        	//状态判定
            App.header.reset({
                title: "推荐给好友",
            	leftButtonContent: "@back",
				leftButtonHandler: function(){
                	App.navigate("me/logined/index",true);
                }
            });
            App.footer.reset({visible:false, selectedIndex:0});
            //进入到“推荐好友”首页
            App.container.show(new friendsRecommendView());
	    },
	    
	    //好友推荐列表
	    friendsRecommendList:function(){
	    	//状态判定
            App.header.reset({
                title: "推荐详情",
            	leftButtonContent: "@back",
				leftButtonHandler: function(){
                	App.back();
                }
            });
            App.footer.reset({visible:false, selectedIndex:0});
            //进入到“推荐好友”首页
            App.container.show(new friendsRecommendListView());
	    }
    });
});