/**
 * liujun
 * 我的已登录
 *
 */
define(function(require, exports, module){
	var LoginedView = require("../view/logined");
	var abouctindex = require("../view/abouct/abouctindex");
	var version = require("../view/abouct/version");
	var idea = require("../view/abouct/idea");
	var loginedAccountInfo = require("../model/loginedAccountInfo");
	var Index = module.exports = Controller.extend({
		actions : {
			index : "index",    //我的已登录状态页面
			abouctindex:"abouctindex",
			version:"version",
			idea:"idea"
		},
		//我的橙子
		index: function(){
			utils.native.talkingDataTrackEvent("2.0首页-登录后-手势密码设置-不再提示");
			App.header.reset({
				title: "我的橙子",
				leftButtonContent: "关于",
				// rightButtonContent : "@customerCenter",
				leftButtonHandler: function(){
					App.navigate("me/logined/abouctindex", true);
				}
			});

			App.footer.reset({
				visible: true,
				selectedIndex: 3
			});

			App.container.show(new LoginedView());
		},
		//关于橙子
		abouctindex: function(){
			App.header.reset({
				title : "关于橙子",
				leftButtonHandler : function() {
					App.navigate("me/logined/index", true);
				},
				leftButtonContent : '@back'
			});

			utils.native.versionInformation(function(data){
				App.container.show(new abouctindex({ model: new Model(data) }));
			});
		},

		//意见反馈
		idea: function(){
			App.header.reset({
				title : "意见反馈",
				leftButtonHandler : function() {
					App.navigate("me/logined/abouctindex", true);
				},
				leftButtonContent : '@back'
			});

			App.footer.reset({
				visible : false
			});

			App.container.show(new idea());
			App.footer.reset({visible: false});
		},

		//版本说明
		version: function(){
			App.header.reset({
				title : "版本说明",
				leftButtonHandler : function() {
					App.navigate("me/logined/abouctindex", true);
				},
				leftButtonContent : '@back'
			});

			utils.native.versionInformation(function(data){
				App.container.show(new version({ model: new Model(data) }));
			});
		}
	});
});