/*
* ex_huangzit
* 银联鉴权Model
* 2015-09-09
*/
define(function(require, exports, module){
    var fastAuthBindCard = module.exports = Model.extend({},{
       
        /**
         * 功能：银联鉴权-查询用户激活方式
         * author:ex_huangzit
         * time:2015-09-06
         */
         userVerifyMode: function(){
            return App.request("userVerifyMode",{});
         },
        
         /**
         * 功能：变更银联鉴权绑定卡前需要判断资产是否为零
         * author:ex_huangzit
         * time:2015-09-09
         */
         qryBalanceForUnionPay:function(options){
         	 App.request("qryBalanceForUnionPay",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
         },
         
          /**
         * 功能：校验银联鉴权密码和OTP
         * author:ex_huangzit
         * time:2015-09-09
         */
         checkPasswordAndOtp:function(options){
         	App.request("checkPasswordAndOtp",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
         },
         
          /**
         * 功能：校验橙子密码
         * author:ex_huangzit
         * time:2015-11-02
         */
         checkPassword:function(options){
         	App.request("checkPassword",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
         }
        
    });
});
