define(function (require, exports, module) {
    var suggestionSubmit = module.exports = Model.extend({}, {
        //查询账户信息
        queryAccountInfo: function (options) {
            this._callInterface(options);
        },
        //提交建议内容和联系人方式
        suggestionSubmit: function (option) {
            errorCallback = option.errorCallback;
            callback = option.callback;
            App.request("meSuggestionSubmit", {
                success: function (resp) {
                    callback && callback(resp.object);
                },
                error: function (resp) {
                    errorCallback && errorCallback(resp);
                }
            });
        },
        //通一调用接口
        _callInterface: function (options) {
            App.request(options.url, {
                type: "GET",
                data: options.data,
                success: function (res) {
                    if (res.success) {
                        options.callback(res);
                    }
                    else {
                        options.errorCallback(res);
                    }
                },
                error: function (res) {
                    options.errorCallback(res);
                }
            });
        }

    });
});