/**
 * @author zhoushiwen
 * @company 中国平安
 * @type 关于橙子首页
 * @version 版本 @ 意见反馈
 */
define(function (require, exports, module) {
	var idea = require("text!../../template/abouct/idea.html");
	var FormComponent = require("component/form");
	var FinishView = module.exports = FormComponent.extend({
		template : _.template(idea),
		events : {
			"tap #suggestion_submit"     : "suggestion_submit",
			"input #suggest_content"     : "totalchar",
			"change #suggest_content"    : "totalchar"
		},

		onShow: function(){
			var trueName = App.storage.get("UserInfo")&&App.storage.get("UserInfo").get("trueName")?App.storage.get("UserInfo").get("trueName"):"";
			var email    = App.storage.get("UserInfo")&&App.storage.get("UserInfo").get("email")?App.storage.get("UserInfo").get("email"):"";
			var mobile   = App.storage.get("UserInfo")&&App.storage.get("UserInfo").get("telephoneNum")?App.storage.get("UserInfo").get("telephoneNum"):"";
			mobile       = mobile.indexOf("*") >-1 ? mobile="" : mobile;
			$("#suggestion_userName").val(trueName);
			$("#suggestion_email").val(email);
			$("#suggestion_telNum").val(mobile);
		},

		getDevice: function(){
			var u = navigator.userAgent;
			if(u.indexOf('Android') > -1){
				return "Android";
			}else if (u.indexOf('iPhone') > -1){
				return "iPhone";
			}else if (u.indexOf('iPad') > -1){
				return "iPad";
			}else if (u.indexOf('Windows Phone') > -1){
				return "Windows Phone";
			}else{
				return "未知";
			}
		},

		totalchar : function () {
			var el    = $("#suggest_content");
			var len   = el.val().length;
			var value = el.val();
			if (len > 50) {
				value = value.substring(0, 50);
				el.val(value);
				$("#textid").text(50);
			}
			len = el.val().length;
			$("#textid").text(len);
		},

		suggestion_submit : function () {
			if(this._validateForm()) {
				var content  = this.$("#suggest_content").val().replace(/\s/g, "");
				var userName = this.$("#suggestion_userName").val().replace(/\s/g, "");
				var email    = this.$("#suggestion_email").val().replace(/\s/g, "");
				var telNum   = this.$("#suggestion_telNum").val().replace(/\s/g, "");
				var sex      = "未知";
				var city     = App.storage.get("UserInfo")&&App.storage.get("UserInfo").get("cityName")?App.storage.get("UserInfo").get("cityName"):"";;
				// 每个参数都必须有值
				var data = {
					type            : 3,
					questionsummary : content+","+this.getDevice(),
					sname           : userName,
					mobile          : telNum,
					email           : email,
					sex             : "未知",
					city            : city || "未知",
					subject         : "04"
				};
				App.request("https://www.pingan.com/cms-tmplt/contactUs.do", {
					data: data
				}).complete(function(res){
					utils.dialog.alert("问题反馈成功");
					App.navigate("me/logined/index", true);
				});
			}
		},
		_validateForm : function () {
			var suggest_content     = this.$("#suggest_content").val().replace(/\s/g, "");
			var suggestion_userName = this.$("#suggestion_userName").val().replace(/\s/g, "");
			var suggestion_email    = this.$("#suggestion_email").val().replace(/\s/g, "");
			var suggestion_telNum   = this.$("#suggestion_telNum").val().replace(/\s/g, "");

			if (suggest_content == "") {
				utils.dialog.alert("请输入您的问题或建议");
				return false;
			}
			if (!utils.validate.specialCharacter(suggest_content)) {
				utils.dialog.alert("问题反馈不能有特殊字符");
				return false;
			}
			if (suggestion_userName == "") {
				utils.dialog.alert("请输入您的真实姓名");
				return false;
			}

			if (!utils.validate.specialCharacter(suggestion_userName)) {
				utils.dialog.alert("姓名不能有特殊字符");
				return false;
			}
			if (suggestion_telNum == "") {
				utils.dialog.alert("请输入您的手机号码");
				return false;
			}
			var telReg = !!utils.validate.phone(suggestion_telNum);
			if (telReg == false) {
				utils.dialog.alert("请输入正确手机号码");
				return false;
			}
			if (suggestion_email == "") {
				utils.dialog.alert("请输入您的电子邮箱");
				return false;
			}
			var szReg_email = !!utils.validate.email(suggestion_email);

			if (szReg_email == false) {
				utils.dialog.alert("请输入正确的电子邮箱");
				return false;
			}
			return true;
		}
	});
});