define(function (require, exports, module) {
	var accoutAndSecurityHtml = require("text!../../template/accoutAndSecurity/accoutAndSecurity.html");
	var accountInfoSta = require("mod/common/accountInfoStatus/accountInfoStatus");
    var bindCardTip = require('component/bindCardTip');

	module.exports = ItemView.extend({
			template : _.template(accoutAndSecurityHtml),
			events : {
				"tap #accountDetails" : "accountDetails",
				"tap #bankManage" : "bankManage",
				"tap #SecuritySet" : "SecuritySet",
				"tap #codeManage" : "codeManage",
				"tap #stateCheck" : "stateCheck",
				"tap #faq" : "bankfaq",
				"tap #exitBtn" : "exitHandler"

			},
			initialize : function (options) {
				userInfo = options.model.attributes;
				// console.log(userInfo.model.attributes);
			},
			onRender : function () {},
			accountDetails : function () {
				App.navigate("me/meInfoIndex/index", true);
			},
			bankManage : function () {
				var accountSta = accountInfoSta.getAccountInfoLossStatus("me/accoutAndSecurity/index");
				if (accountSta) {
					App.navigate("me/accoutAndSecurity/bankManage/bindCard", true);
				}
			},
			SecuritySet : function () {
				App.navigate("me/accoutAndSecurity/securitySet", true);
			},
			codeManage : function () {
                
                if(App.storage.get("UserInfo").get("isTelephoneLogin") && bindCardTip.newBindFlag()){
                    bindCardTip.activeSwitch({susFlag: true});
                    return;
                }

				var tel = accountInfoSta.getIsTelephoneLogin("me/accoutAndSecurity/index");
				if (!tel) {
					var accountSta = accountInfoSta.getAccountInfoLossStatus("me/accoutAndSecurity/index");
					if (accountSta) {
						App.navigate("me/passindex/passbtn", true);
					}
				}
			},
			stateCheck : function () {
				if (App.storage.get("UserInfo").get("cardState") == "1") {
					utils.dialog.toast("你已通过身份认证，开始体验精彩橙子吧！");
				} else {
					App.navigate("verifyAccount/main/verify", true);
				}
				return false;
			},
			bankfaq : function () {
				App.navigate('czFaq/faqIndex/czFaq/accoutAndSecurity', true);

			},

			exitHandler : function(){
			    App.commands.execute("logout");
			}

		});
});
