/*
*  登录安全验证
*  liujun
*/
define(function(require, exports, module){
    var loginSecurityConfirmHtml = require("text!../../template/accoutAndSecurity/loginSecurityConfirm.html");
    var CustomPwdOtpInput = require("component/password/customPwdOtpInput");
    var bankManage = require("../../model/bankManage");
    module.exports = ItemView.extend({
        template: _.template(loginSecurityConfirmHtml),
        events: {
            "tap .btn_orange": "btnSecurityConfirm",
            "tap #loginSecuritySwitch": "loginSecuritySwitch",
            "tap .btn_orange": "nextStep"
        },
        initialize: function(options){
            if(options){
                state = options.previous;
            }
        },
        onRender: function(){
            
        },
        onShow: function(){

        },
        //安全验证开关
        loginSecuritySwitch: function(e){
            var curr = e.currentTarget;
            var switchState = "0"; 
            if($(curr).hasClass("on")){
                $(curr).removeClass("on");
                switchState = "0";
                if($("#nextBtn").attr("data-pre") == switchState){
                    $("#nextBtn").removeClass("btn_orange");
                    $("#nextBtn").addClass("btn_disable");
                }else{
                    $("#nextBtn").removeClass("btn_disable");
                    $("#nextBtn").addClass("btn_orange");
                }
                $('#tipText').text("开启后，登录时需验证手机动态密码");
            }else{
                $(curr).addClass("on");
                switchState = "1";
                if($("#nextBtn").attr("data-pre") == switchState){
                    $("#nextBtn").removeClass("btn_orange");
                    $("#nextBtn").addClass("btn_disable");
                }else{
                    $("#nextBtn").removeClass("btn_disable");
                    $("#nextBtn").addClass("btn_orange");
                }
                $('#tipText').text("");
            }
        },
        //下一步
        nextStep: function(e){
            var curr = e.currentTarget;
            var currState = "";
            if($('#loginSecuritySwitch').hasClass("on")){
                currState = "1";
            }else{
                currState = "0";
            }
            var previous = $(curr).attr('data-pre');
            if(currState != previous){
                App.storage.set("me/accoutAndSecurity/loginSecurityOtp",currState);
                App.navigate("me/accoutAndSecurity/loginSecurityOtp",true);
            }
        } 
    });
});