/*
*  登录验证otp
*  liujun
*/
define(function(require, exports, module){
    var loginSecurityOtpHtml = require("text!../../template/accoutAndSecurity/loginSecurityOtp.html");
    // var CustomPwdOtpInput = require("component/password/customPwdOtpInput");
    var OtpView=require("component/otp/OtpView");
    var bankManage = require("../../model/bankManage");
    module.exports = ItemView.extend({
        template: _.template(loginSecurityOtpHtml),
        events: {
            // "tap .btn_orange": "btnSecurityConfirm",
            // "tap #loginSecuritySwitch": "loginSecuritySwitch",
            // "tap .btn_orange": "nextStep"
            "input #otp_passWord":"_onCustomInputFocusOutPwd",
            "tap #confirmBtn" : "submit"
            // ,"tap .js-clear-input": "clearInput"
        },
        initialize: function(){
            
        },
        onRender: function(){
            var options = {
                isOtpSended : false,
                isNeedSendOtpValidate : true,
                isQryOtpPhoneNo : true,
                otpEnable : null,
                isMobilePhoneByUser : false,
                callbackError : _.bind(this._callbackError, this),
                callbackSubmit : _.bind(this._callbackSubmit, this),
                cat: config.values.set_otp_cat
            };
            this.otpView = new OtpView();
            this.otpView.initOtp(options);
            this.$("#otp_container").empty();
            this.$("#otp_container").append($(this.otpView.$el[0]));
        },
        onShow: function(){

        },

        _callbackSubmit: function(){
            this.ReqOtpConfirm();
        },
        _callbackError: function(){
            this.otpView.setCustomValidity("动态密码错误！");
        },
        _onCustomInputFocusOutPwd: function(){
            var otpValue = this.$("#otp_passWord").val();  //获取动态密码
            if(otpValue != ""){
                this.$("#confirmBtn").removeClass("btn_disable").addClass("btn_orange");  
            }else{
                this.$("#confirmBtn").removeClass("btn_orange").addClass("btn_disable"); 
            }
        },
        //otp触发
        submit : function(){
            if(this.$("#confirmBtn").hasClass("btn_disable")){
                return;
            }
            if(!this.validate()){
                return;
            }
            this.otpView.submit();
        },
        //otp提交
        ReqOtpConfirm : function(){
            var dataArg = {};
            var currState = null;
            if(App.storage.get("me/accoutAndSecurity/loginSecurityOtp")){
                currState = App.storage.remove("me/accoutAndSecurity/loginSecurityOtp");
                dataArg.otpSwitch = currState;  
                bankManage.loginSecurityOtpSwitch({
                    data: dataArg,
                    callback: function(res){
                        App.storage.get("security/otpSwitch").set({"otpSwitch":currState});
                        if(res.success){
                            App.navigate("me/accoutAndSecurity/loginSecurityFinish?state="+currState,true);
                        }
                    },
                    errorCallback: function(err){
                        //提交失败
                        utils.dialog.alert(err.message);
                    }
                });  
            }else{}
                  
        },
        //otp验证
        validate : function(){
            var otp = this.otpView.getValue();
            if(!otp){
                this.otpView.setCustomValidity("请输入动态密码！");
                return false;
            }
            return true;
        }  
    });
});