/*
* liujun
* 房贷
*/
define(function(require, exports, module){
    var loanHtml = require("text!../../template/individual/loan.html");
    var updateAccountGXInfoData = require("../../model/updateAccountGXInfo");
    module.exports = ItemView.extend({
        template: _.template(loanHtml),
        events: {
            "tap #loan .dswkb": "loanOption"
        },
        initialize: function(options){
            loanFlag = options.loanFlag;
        },
        onRender: function(){

        },
        loanOption: function(e){
            var curr = e.currentTarget;
            var dataValue;
            $('#loan .dswkb').find('i').removeClass("iconA59");
            $(curr).children('i').addClass("iconA59");
            dataValue = $(curr).index();      //选项的序号，恰好与选项范围数值相当
            updateAccountGXInfoData.submitFlag({
                url: "updateAccountGXInfo",             //需要确认
                data: {loanFlag : dataValue},
                callback: function(res){
                    //点击提交成功后跳转页面
                    App.back();
                },
                errorCallback: function(err){
                    utils.dialog.alert(err.message);
                }
            });
        }

    });

});