define(function(require, exports, module){
   var meContactInfoTpl = _.template(require("text!../../template/meInfo/meContactInfo.html"));

    module.exports =  ItemView.extend({
        template : meContactInfoTpl,
        events : {
        	"tap #faAddress" :"_faAddress",
        	"tap #zCode" :"_zipCode",
        	"tap #emeComName" :"_emeComName",
        	"tap #emeComTel" :"_emeComTel"
        },
        initialize:function(){

        }, 
        onRender: function(){
        },
        
        onShow: function(){
        	var usInfo = App.storage.get('UserPersonalInfo');
        	address=usInfo.address;
            if(address)
            {
              address= utils.string._dealTheAddress(address);  
            }
            
            if(address=="" || address==undefined){
                address='<span>请输入地址</span>';
            }

        	emergencyContacts=usInfo.emergencyContacts;
            if(emergencyContacts){
                emergencyContacts=utils.string._dealTheName(emergencyContacts);
            }
            
            if(emergencyContacts=="" || emergencyContacts==undefined){
             emergencyContacts='<span>请输入紧急联系人</span>';
            }
            
        	zipCode=usInfo.zipCode;
            if(zipCode=="" || zipCode==undefined){
             zipCode='<span>请输入邮政编码</span>';
            }

        	emergencyTelephone=usInfo.emergencyTelephone;
            if(emergencyTelephone)
            {
              emergencyTelephone = utils.string._maskPhoneNumber(emergencyTelephone);  
            }
            

            if(emergencyTelephone=="" || emergencyTelephone==undefined){
             emergencyTelephone='<span>请输入紧急联系人电话</span>';
            }

        	$("#familyAddress").html(address);
        	$("#zipCode").html(zipCode);
        	$("#emergencyContacts").html(emergencyContacts);
        	$("#emergencyNum").html(emergencyTelephone);

        },
        _emeComTel: function(){
        	App.navigate("me/meInfoIndex/contactInfo/mergPhone", true); 
        },
        _faAddress: function(){
        	App.navigate("me/meInfoIndex/contactInfo/address", true); 
        },
         _emeComName: function(){
        	App.navigate("me/meInfoIndex/contactInfo/mergName", true); 
        },
        _zipCode:   function(){
        	App.navigate("me/meInfoIndex/contactInfo/zipcode", true); 
        }    
    });
});
