/**
 * EX-WUWENJUN
 * 重置手机号码第二步
 *  
 */

define(function(require, exports, module){
	var Form = require("component/form");
    var Step1Tpl = require("text!../../template/meInfo/resetIphoneStep2.html");
    var safeKeyBoardHelper=require("component/customInput.helper");
    var MeInfoModel = require("../../model/meInfo");
    
    var Step1View = module.exports = Form.extend({
        template : _.template(Step1Tpl),
        
        events : {
            "tap #nextBtn" : "submit",
            "input #emailOtp" : "changeBtn"
        },
        
        onRender : function(){
            
        },
        
        changeBtn : function(){
        	var emailOtp = this.$("#emailOtp").val();
        	if(emailOtp != ""){
        		this.$("#nextBtn").removeClass("btn_disable").addClass("btn_orange");
        	}else{
        		this.$("#nextBtn").removeClass("btn_orange").addClass("btn_disable");
        	}
        },
        
        submit : function(){
        	if(this.$("#nextBtn").hasClass("btn_disable")){
            	return;
            }
        	var emailOtp = this.$("#emailOtp").val();
        	if (this._validate()) {
                this._checkEmailCode(emailOtp);
            }
        },
        
        // 后端验证邮箱动态密码
        _checkEmailCode: function(checkCode){
            if (this.submitFlag === "1") return;
            this.submitFlag = "1";
            
            var thisView = this;
            MeInfoModel.resetMobCheckEmailCode({
                params: {
                    "checkCode": checkCode
                },
                success:function(){
                    App.navigate("me/meInfo/resetIphoneStep3",true);
                    thisView.submitFlag = "0";
                },
                error: function(response){
                    thisView.submitFlag = "0";
                    utils.dialog.alert(response.message);
                }
            });
            
        },
        
        //验证
        _validate: function(){
            var emailOtp = this.$("#emailOtp").val();
            if(!emailOtp){
            	utils.dialog.toast("请输入动态密码！");
                return false;
            }
            return true;
        }
        
       
    }); 
});
