/**
 * @author zhoushiwen
 * @ date ${date}
 * @company 中国平安
 * @type   密码管理首页
 * @loginpass  登陆密码页面
 * @tradepass  交易密码
 * @gesturepass 手势密码
 *
 */
define(function (require, exports, module) {
	var FinishTpl = require("text!../../template/passmanagement/passindex.html")

		var FinishView = module.exports = ItemView.extend({
			template : _.template(FinishTpl),
            
			events : {
				"tap #loginpass" : "loginpassPage",
				"tap #gesturepass" : "gesturepassPage",
				"tap #tradepass" : "tradepasspage"
			},
			
			onShow : function(){
			    utils.native.versionInformation(_.bind(function(data){
                    var version = data.version.replace(/\./g,"") * 1;
                    if((IS_RUN_ON_ANDROID && version>204) || (IS_RUN_ON_IDEVICE && version>204)){
                        this.$("#gesturepass").show();
                    }else{
                        this.$("#gesturepass").hide();
                    }
                },this));
			},

			loginpassPage : function () {
				App.navigate("me/passmanagement/loginpassPage", true);
			},

			gesturepassPage : function () {
			    if(App.storage.get("security/otpSwitch").get("otpSwitch") == "1"){
			        utils.dialog.toast("请先关闭登录安全验证");
			        return;
			    }
			    App.navigate("me/passmanagement/gesturepassPage", true);
			},

			tradepasspage : function () {
				App.navigate("me/passmanagement/tradepasspage", true);
			}

		});
});
