define(function(require, exports, module){
	var TransModel = module.exports = Backbone.Model.extend({		
		/**
		 * 获取平安盈交易记录
		 */
      getPingAnYingInfo : function(options){
          App.request("profitTransferQry",{
                data : options.param,
                success : function(res){
                    options.callback && options.callback(res);
                },
                error : function(error){
                    utils.dialog.alert(error.message || error);
                    options.errCallback && options.errCallback(error);
                },
                complete: function(){
                    options.complete && options.complete();
                }
            });
		},

        /**
         * 获取定活通交易记录
         */		
		getDingHuoTongInfo : function(options){		    
            App.request("precontractFixedCurrentTransferResultList",{
                data : options.param,
                success : function(res){
                    options.callback && options.callback(res);
                },
                error : function(error){
                    utils.dialog.alert(error.message || error);
                    options.errCallback && options.errCallback(error);
                },
                complete: function(){
                    options.complete && options.complete();
                }
            });
		},

        /**
         * 获取理财产品交易记录
         */	
		getFinancialProInfo : function(options){                                             
            App.request("financeHistoryTradeQuery",{
                data : options.param,
                success : function(res){
                    options.callback && options.callback(res);
                },
                error : function(error){
                    utils.dialog.alert(error.message || error);
                    options.errCallback && options.errCallback(error);
                },
                complete: function(){
                    options.complete && options.complete();
                }
            });
		},

        /**
         * 获取养老产品交易记录
         */				
        getYangLaoProInfo : function(options){
            App.request("financeHistorPension",{
                data : options.param,
                success : function(res){
                    options.callback && options.callback(res);
                },
                error : function(error){
                    utils.dialog.alert(error.message || error);
                    options.errCallback && options.errCallback(error);
                },
                complete: function(){
                    options.complete && options.complete();
                }
            });                      
        }
	});
});