define(function(require,exports,module){
    var itemTemp = require("text!../../template/myInvestment/transRecordsListItem.html");
    
    var itemView = ItemView.extend({
        tagName: 'li',
        className: function(){
            if (this.model.get('transName') === '转出') {
                return 'green';
            } else {
                return 'red';
            }
        },
        template: _.template(itemTemp),
        events : {
            "tap": "itemClick"
        },
        templateHelpers: {
            transAmtHtml: function(){
                return utils.string.moneyFormatHTML({
                    bigFontClass:"f14",
                    smallFontClass:"f12",
                    money:this.transAmt
                });
            },
            transDateHtml: function(){
                return utils.date.formatTime(this.transDate).format("yyyy-MM-dd");
            }
        },
        onShow: function(){
            var itemData = this.model;
        },
        itemClick: function(e){
            this.triggerMethod('clicked');
        }
        
    });
    
    var emptyView = ItemView.extend({
        tagName: 'li',
        template: '<div class="w100 ma tac">查无记录</div>'
    });
    
    module.exports = CollectionView.extend({
        tagName: 'ul',
        itemView: itemView,
        emptyView: emptyView,
        onItemviewClicked: function(itemView){
        },
        onShow : function(){
            
        }
    });
    
});
