/**
 * liujun
 * 分红方式设置
 */
define(function (require, exports, module) {
    var Component = require("component/form");
    var bonusSettingsHtml = require("text!../template/bonusSettings.html");
    var fundDetailsModel = require("../../fund/model/fundDetails");
    var CustomPwdInput = require("component/password/customPwdInput");
    var bonusSettingsView = module.exports = ItemView.extend({
        template: _.template(bonusSettingsHtml),
        initialize: function () {
            // this.model  = options.model;
            submitStates = false;
        },
        onShow: function () {
        },
        events: {
            "tap #bonusSettingsItems li": "itemSettings",
            "tap #bonusConfirm": "bonusConfirm"
        },

        //设置选项
        itemSettings: function (e) {
            var curr = e.currentTarget;
            $('#bonusSettingsItems li').find('i').removeClass('iconA59');
            $(curr).children('i').addClass('iconA59');
            var temp = $(curr).index();
            if (temp == 0) {
                temp = 1;
            } else if (temp == 1) {
                temp = 0;
            }
            //与原始判断按钮颜色
            if (temp == App.storage.get("myPropertyData").divMode) {
                $('#bonusConfirm').children('input').removeClass('btn_orange');
                $('#bonusConfirm').children('input').addClass('btn_disable');
            } else {
                $('#bonusConfirm').children('input').removeClass('btn_disable');
                $('#bonusConfirm').children('input').addClass('btn_orange');
            }
        },

        //分红确认
        bonusConfirm: function (e) {
            var curr = e.currentTarget;
            if ($(curr).children('input').hasClass('btn_orange')) {
                if (submitStates == true) {
                    utils.dialog.toast("请勿重复提交");
                } else {
                    var bonusData = {};
                    var bonusType = $('#bonusSettingsItems i.iconA59').parent('li').index();
                    if (bonusType == 0) {
                        bonusType = "1";
                    } else if (bonusType == 1) {
                        bonusType = "0";
                    }
                    bonusData.style = bonusType;
                    bonusData.fundCode = App.storage.get("myPropertyData").prdCode;
                    CustomPwdInput.customPwdInput(
                        function (pwd) {
                            bonusData.passwd = utils.crypto.RSAKey.encrypt(pwd, config.base.rsa_public_key);
                            bonusData.sm2Pwd = utils.sm2.SM2Key.encrypt(pwd, config.base.sm2_public_key);
                            fundDetailsModel.bonusTypeSettings({
                                url: "bonusTypeSettings",
                                data: bonusData,
                                callback: function (res) {
                                    submitStates = true;
                                    //删除我的资产缓存信息
                                    App.requester.storage.remove("loginedAccountInfo");
                                    App.navigate('myProperty/holdDetailsInfo/bonusSettings/success', true);
                                },
                                errorCallback: function (err) {
                                    utils.dialog.alert(err.message);
                                }
                            });
                        }
                    );
                }
            }

        }
    });
});