/**
 * EX-WUWENJUN 
 * 投资详情(持有详情)
 */
define(function(require,exports,module){
    var Component = require("component/form"); 
    var holdDetialsInfoHtml = require("text!../template/holdDetailsInfo.html");
    var goldHoldDetialsInfoHtml = require("text!../template/goldHoldDetails.html");
    var accountInfoSta = require("mod/common/accountInfoStatus/accountInfoStatus");  //liujun add 9.24
    var myPropertyModel = require("../model/myPropertyAccountInfo");
    var HoldDetialsInfo = module.exports = Component.extend({
       //template  : _.template(holdDetialsInfoHtml),
       initialize : function (options){
           this.model  = options.model;
       },
       onShow    : function(){
           var isProType = this.model.get("isProType");
           if(isProType == 8){
                if(this.model.get("canRedeem") == "0"){
                    // this.$("#appointmentReturn").removeClass().addClass("btn_disable");
                    this.$("#appointmentReturn").css("background","#ddd");
                    this.$("#appointmentReturn a").removeClass().addClass("c_ccc");
                    this.$("#appointmentReturn").attr("data-id","0");
                }
                // if(this.model.get("canAdd") == "0"){
                //     // this.$("#addBuyGold").removeClass().addClass("btn_disable");
                //     this.$("#addBuyGold").css("background","#ddd");
                //     this.$("#addBuyGold a").removeClass().addClass("c_ccc");
                //     this.$("#addBuyGold").attr("data-id","0");
                // }
           }
       },
       events    : {
          "tap #financialRedemp" : "financialRedemp",  //liujun add 理财可赎回产品操作
          "tap #addBuyGold"  : "toContinueBuyGold",    //黄金宝追加购买
          "tap #appointmentReturn" : "appointmentReturn"  //黄金宝赎回
       },

       /**
        * wuwenjun059
        * 渲染页面
        */
       getTemplate : function(){
           var isProType = this.model.get("isProType");
           if(isProType == 8){
               return _.template(goldHoldDetialsInfoHtml);
           }else{
               return _.template(holdDetialsInfoHtml);
           }
       },
       
      /**
       *  liujun624 add 9.24
       *  理财产品可赎回加赎回
       */
       financialRedemp : function(){
          //查询赎回detail接口，跳转至赎回页
            var dfd = accountInfoSta.getAccountInfoStatus(false,"myProperty/holdDetailsInfo/index");
            dfd.done(function(accountSta){
                if(accountSta){
              
                      App.navigate("myProperty/holdDetailsInfo/financialPartRedemption",true);
                }
            });
       },

       
       /**
        * wuwenjun059
        * 黄金宝追加购买
        */ 
        toContinueBuyGold : function(e){
            var self = this;
            if(this.$(e.currentTarget).attr("data-id") == 0){
                return;
            }
            //身份认证
            var dfd = accountInfoSta.getAccountInfoStatus(false,"myProperty/holdDetailsInfo/index");
            dfd.done(function(accountSta){
                if(accountSta){
                      //追加购买页detail，请求detail接口
                      var detailData = {};
                      detailData.prdCode = self.model.get('prdId');
                      myPropertyModel.goldAddPurchaseDetails({
                          url: "goldAddPurchaseDetails",
                          data: detailData,
                          callback: function(res){
                              if(res.object){

                                  App.storage.set("goldTreasureAddDetailData",res.object);
                                  //风测
                                  App.navigate("myInvestment/commendProducts/appGoldTreasureRisk/6",true);
                              }else{
                                 utils.dialog.toast("黄金宝购买详情数据为空");
                              }
                          },
                          errorCallback: function(err){
                              utils.dialog.alert(err.message);
                          }
                      });
                      
                }
            });
            
        },
        
        /**
         * wuwenjun059
         * 黄金宝赎回
         */
          appointmentReturn : function(e){
              if(this.$(e.currentTarget).attr("data-id") == 0){
                  return;
              }
              //身份认证
              var dfd = accountInfoSta.getAccountInfoStatus(false,"myProperty/holdDetailsInfo/index");
              dfd.done(function(accountSta){
                   if(accountSta){
                        //赎回页
                        App.navigate("myProperty/holdDetailsInfo/goldAppointmentReturn",true)
                   }
              });
          }    
    });
});