/*
*  我的资产
*  liujun
*/
define(function(require, exports, module){
	var myPropertyHtml      = require("text!../template/myProperty.html");
	var LoadingLayer        = require("app/renderDuringRequest/loadingLayer");
	var myPropertyModel     = require("../model/myPropertyAccountInfo");
	var accountInfoSta      = require("mod/common/accountInfoStatus/accountInfoStatus");//liujun add 认证
	var smartFinancialModel = require("../../smartFinancial/model/smartFinancial");
	var loginedAccountInfo  = require("mod/me/model/loginedAccountInfo");
	var ProductsQryModel    = require('mod/products/model/ProductsQryModel');

	module.exports = ItemView.extend({
		template: _.template(myPropertyHtml),
		events: {
			"tap .myProperty .myPropertyBalance" : "myPropertyBalance",
			"tap #smartFinancial"                : "smartFinancial",
			"touchstart .myProperty .iconA48"    : "touchstartIcon",
			// "touchend .myProperty .iconA48"   : "touchendIcon",
			"tap #myPropertyDetails li"          : "myPropertyItem"
		},

		onShow: function(){
			this._myPropertyAccountInfo();
			this.touchendIcon();

			if(App.storage.get('smartFinancialRisk')){
				App.storage.remove('smartFinancialRisk');
			}
		},
		//我的资产账户
		_myPropertyAccountInfo: function(){
			var self = this;
			loginedAccountInfo.queryAccountInfo({
				url    : "loginedAccountInfo",
				silent : false,
				cache  : true,//App.requester.storage.remove("loginedAccountInfo");
				data   : {},
				callback: function(res){
					//iscroll滚动
					setTimeout(function(){
						var wHeight=$(window).outerHeight();
						var dom = $("#myProperty").css({"height":wHeight,"position":"relative"});
						var iscroll = new iScroll(dom[0],{"hideScrollbar":true});
					},300);
					var obj = res.object;
					//定活通type=0、智能定活通type=1、黄金type=2,type类型传参
					function staticProductFunc(name, balance, type){
						var ele_li = document.createElement('li');
						var ele_div1 = document.createElement('div');
						var ele_span = document.createElement('span');
						var ele_div = document.createElement('div');
						var ele_p1 = document.createElement('p');
						var ele_p2 = document.createElement('p');
						var ele_i = document.createElement('i');
							ele_li.className = "dswkb";
							ele_div1.className = "flex1 m_r10";
							ele_span.className = "to";
							ele_span.appendChild(document.createTextNode(name));
							ele_div1.appendChild(ele_span);
							ele_div.className = "m_r30 tar";
							ele_p1.className = "c_666";
							if(parseFloat(balance) >= 0){
								ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(balance)));
							}
							else{
								ele_p1.appendChild(document.createTextNode("0.00"));
							}
							ele_p2.className = "c_999";
							ele_div.appendChild(ele_p1);
							ele_div.appendChild(ele_p2);
							ele_i.className = "iconA34";
							// ele_li.appendChild(ele_span);
							ele_li.appendChild(ele_div1);
							ele_li.appendChild(ele_div);
							ele_li.appendChild(ele_i);
							ele_li.setAttribute('data-isProType', type);
						return ele_li;
					}
					//平安盈type=3
					function paYingPrdListFunc(obj, type){
						if(obj){
							var len = obj.length;
							var tempFrag = document.createDocumentFragment();
							for(var i = 0;i< len;++i){
								if(obj[i].prdCode){
									if(parseFloat(obj[i].sourceAmount) > 0){
										var ele_li = document.createElement('li');
										var ele_div1 = document.createElement('div');
										var ele_span = document.createElement('span');
										var ele_div = document.createElement('div');
										var ele_p1 = document.createElement('p');
										var ele_p2 = document.createElement('p');
										var ele_i = document.createElement('i');
											ele_div1.className = "flex1 m_r10";
											ele_li.className = "dswkb";
											ele_span.className = "to";
											ele_span.appendChild(document.createTextNode(obj[i].prdName));
											ele_div1.appendChild(ele_span);
											ele_div.className = "m_r30 tar";
											ele_p1.className = "c_666";
											if(parseFloat(obj[i].sourceAmount) >= 0){
												ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].sourceAmount)));
											}
											else{
												// ele_p1.appendChild(document.createTextNode("0.00"));
											}
											ele_p2.className = "c_999";
											ele_div.appendChild(ele_p1);
											ele_div.appendChild(ele_p2);
											ele_i.className = "iconA34";
											// ele_li.appendChild(ele_span);
											ele_li.appendChild(ele_div1);
											ele_li.appendChild(ele_div);
											ele_li.appendChild(ele_i);
											ele_li.setAttribute('data-prdCode', obj[i].prdCode);
											ele_li.setAttribute('data-isProType', type);
										tempFrag.appendChild(ele_li);
									}
								}
							}
							return tempFrag;
						}
					}
					//每日盈赎回列表type=11
					function fundStrongRedeemListFunc(obj, type){
						var len = obj.length;
						var tempFrag = document.createDocumentFragment();
						App.storage.set("fundStrongRedeemList", obj);
						for(var i = 0; i < len; ++i){
							if(parseFloat(obj[i].requestLot) > 0){
								var ele_li = document.createElement('li');
								var ele_div1 = document.createElement('div');
								var ele_span = document.createElement('span');
								var ele_div = document.createElement('div');
								var ele_p1 = document.createElement('p');
								var ele_p2 = document.createElement('p');
								var ele_i = document.createElement('i');
									ele_div1.className = "flex1 m_r10";
									ele_li.className = "dswkb";
									ele_span.className = "to";
									ele_span.appendChild(document.createTextNode("每日盈")); //obj[i].productName
									ele_div1.appendChild(ele_span);
									ele_div.className = "m_r30 tar";
									ele_p1.className = "c_666";
									ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].requestLot)));
									ele_p2.className = "c_999 f12";
									ele_p2.appendChild(document.createTextNode("赎回委托中"));
									ele_div.appendChild(ele_p1);
									ele_div.appendChild(ele_p2);
									ele_i.className = "iconA34";
									// ele_li.appendChild(ele_span);
									ele_li.appendChild(ele_div1);
									ele_li.appendChild(ele_div);
									//ele_li.appendChild(ele_i);
									ele_li.setAttribute('data-index', i);
									ele_li.setAttribute('data-isProType', type);
								tempFrag.appendChild(ele_li);
							}
						}
						return tempFrag;
					}

					//平安盈持仓type=12
					function fundStrongHoldFunc(obj, type){
						var tempFrag = document.createDocumentFragment();
						var ele_li = document.createElement('li');
						var ele_div1 = document.createElement('div');
						var ele_span = document.createElement('span');
						var ele_div = document.createElement('div');
						var ele_p1 = document.createElement('p');
						var ele_p2 = document.createElement('p');
						var ele_i = document.createElement('i');
							ele_div1.className = "flex1 m_r10";
							ele_li.className = "dswkb";
							ele_span.className = "to";
							ele_span.appendChild(document.createTextNode("每日盈"));
							ele_div1.appendChild(ele_span);
							ele_div.className = "m_r30 tar";
							ele_p1.className = "c_666";
							if(parseFloat(obj.fundStrongAmt) >= 0){
								ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj.fundStrongAmt)));
							}else{
								// ele_p1.appendChild(document.createTextNode("0.00"));
							}
							ele_p2.className = "c_999 f12";
							ele_p2.appendChild(document.createTextNode("持仓"));
							ele_div.appendChild(ele_p1);
							ele_div.appendChild(ele_p2);
							ele_i.className = "iconA34";
							// ele_li.appendChild(ele_span);
							ele_li.appendChild(ele_div1);
							ele_li.appendChild(ele_div);
							ele_li.appendChild(ele_i);
							//ele_li.setAttribute('data-prdCode', obj[i].prdCode);
							ele_li.setAttribute('data-isProType', type);

							tempFrag.appendChild(ele_li);
							return tempFrag;
					}

					//基金产品type=4列表
					function fundPrdListFunc(obj, type){
						if(obj){
							var len = obj.length;
							var status = ["持有","委托中"];
							var tempFrag = document.createDocumentFragment();
							for(var i = 0;i< len;++i){
								var ele_li = document.createElement('li');
								var ele_div1 = document.createElement('div');
								var ele_span = document.createElement('span');
								var ele_div = document.createElement('div');
								var ele_p1 = document.createElement('p');
								var ele_p2 = document.createElement('p');
								var ele_i = document.createElement('i');
									ele_div1.className = "flex1 m_r10";
									ele_li.className = "dswkb";
									ele_span.className = "to";
									ele_span.appendChild(document.createTextNode(obj[i].prdName));
									ele_div1.appendChild(ele_span);
									ele_div.className = "m_r30 tar";
									ele_p1.className = "c_666";
									// if(parseFloat(obj[i].vend) >= 0){
									// 	ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].vend)));
									// }
									// else{
									// 	ele_p1.appendChild(document.createTextNode("0.00"));
									// }
									// ele_p2.className = "c_999 f12";
									// if(parseInt(obj[i].prdStatus,10) > 0 && parseInt(obj[i].prdStatus,10) < 3){
									// 	ele_p2.appendChild(document.createTextNode(status[parseInt(obj[i].prdStatus,10)-1]));
									// }
									// else{
									// }

									if(parseInt(obj[i].prdStatus,10) > 0 && parseInt(obj[i].prdStatus,10) < 3){
										//基金状态，1持有、2委托，持有参考市值vend，委托取金额amt字段
										if(parseInt(obj[i].prdStatus,10) == 1){
											if(parseFloat(obj[i].vend) >= 0){
												ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].vend)));
											}
											else{
												ele_p1.appendChild(document.createTextNode("0.00"));
											}
										}else if(parseInt(obj[i].prdStatus,10) == 2){
											// if(parseFloat(obj[i].amt) >= 0){
											// 	ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].amt)));
											// }
											// else{
												ele_p1.appendChild(document.createTextNode("0.00"));
											// }
										}else{}
										ele_p2.className = "c_999 f12";
										ele_p2.appendChild(document.createTextNode(status[parseInt(obj[i].prdStatus,10)-1]));
										ele_div.appendChild(ele_p1);
										ele_div.appendChild(ele_p2);
										ele_i.className = "iconA34";
										// ele_li.appendChild(ele_span);
										ele_li.appendChild(ele_div1);
										ele_li.appendChild(ele_div);
										ele_li.appendChild(ele_i);
										ele_li.setAttribute('data-isProType', type);
										ele_li.setAttribute('data-obj', JSON.stringify(obj[i]));
										tempFrag.appendChild(ele_li);
									}
									else{
									}
							}
							return tempFrag;
						}
					}
					//理财type=5产品列表
					function financialListFunc(obj, type){
						if(obj){
							var len = obj.length;
							var status = ["持有","委托中","待清算"];
							var tempFrag = document.createDocumentFragment();
							for(var i = 0;i< len;++i){
								var ele_li = document.createElement('li');
								var ele_div1 = document.createElement('div');
								var ele_span = document.createElement('span');
								var ele_div = document.createElement('div');
								var ele_p1 = document.createElement('p');
								var ele_p2 = document.createElement('p');
								var ele_i = document.createElement('i');
									ele_li.className = "dswkb";
									ele_span.className = "to";
									ele_div1.className = "flex1 m_r10";
									ele_span.appendChild(document.createTextNode(obj[i].prdName));
									ele_div1.appendChild(ele_span);
									ele_div.className = "m_r30 tar";
									ele_p1.className = "c_666";
									if(parseInt(obj[i].prdStatus,10) > 0 && parseInt(obj[i].prdStatus,10) < 4){
										if(parseInt(obj[i].prdStatus,10) == 2){
											if(parseFloat(obj[i].sourceAmount) >= 0){
												ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].sourceAmount)));
											}
											else{
												ele_p1.appendChild(document.createTextNode("0.00"));
											}
											// ele_p1.appendChild(document.createTextNode("0.00"));
										}else if(parseInt(obj[i].prdStatus,10) == 1){
											if(parseFloat(obj[i].sourceAmount) >= 0){
												ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].sourceAmount)));
											}else{
												ele_p1.appendChild(document.createTextNode("0.00"));
											}
										}else if(parseInt(obj[i].prdStatus,10) == 3){
											ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(Number(obj[i].sourceAmount)+Number(obj[i].transAmount))));
										}else{
											ele_p1.appendChild(document.createTextNode("0.00"));
										}
										ele_p2.className = "c_999 f12";
										ele_p2.appendChild(document.createTextNode(status[parseInt(obj[i].prdStatus,10)-1]));
									}else{
									}
									// if(parseFloat(obj[i].sourceAmount) >= 0){
									// 	ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].sourceAmount)));
									// }
									// else{
									// 	ele_p1.appendChild(document.createTextNode("0.00"));
									// }
									// ele_p2.className = "c_999 f12";
									// if(parseInt(obj[i].prdStatus,10) > 0 && parseInt(obj[i].prdStatus,10) < 4){
									// 	ele_p2.appendChild(document.createTextNode(status[parseInt(obj[i].prdStatus,10)-1]));
									// }
									// else{
									// }
									ele_div.appendChild(ele_p1);
									ele_div.appendChild(ele_p2);
									ele_i.className = "iconA34";
									// ele_li.appendChild(ele_span);
									ele_li.appendChild(ele_div1);
									ele_li.appendChild(ele_div);
									ele_li.appendChild(ele_i);
									ele_li.setAttribute('data-isProType', type);
									ele_li.setAttribute('data-obj', JSON.stringify(obj[i]));
								tempFrag.appendChild(ele_li);
							}
							return tempFrag;
						}
					}
					//养老type=6和平安票type=7产品列表
					function pensionKuaiEyingFunc(obj, type){
						if(obj){
							var len = obj.length;
							var status = ["持有","委托中","待清算"];
							var tempFrag = document.createDocumentFragment();
							for(var i = 0;i< len;++i){
								var ele_li = document.createElement('li');
								var ele_div1 = document.createElement('div');
								var ele_span = document.createElement('span');
								var ele_div = document.createElement('div');
								var ele_p1 = document.createElement('p');
								var ele_p2 = document.createElement('p');
								var ele_i = document.createElement('i');
									ele_li.className = "dswkb";
									ele_span.className = "to";
									ele_div1.className = "flex1 m_r10";
									ele_span.appendChild(document.createTextNode(obj[i].prdName));
									ele_div1.appendChild(ele_span);
									ele_div.className = "m_r30 tar";
									ele_p1.className = "c_666";
									if(parseInt(obj[i].prdStatus,10) > 0 && parseInt(obj[i].prdStatus,10) < 4){
										if(parseInt(obj[i].prdStatus,10) == 2){
											// ele_p1.appendChild(document.createTextNode("0.00"));
											if(parseFloat(obj[i].sourceAmount) >= 0){
												ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].sourceAmount)));
											}
											else{
												ele_p1.appendChild(document.createTextNode("0.00"));
											}
										}else if(parseInt(obj[i].prdStatus,10) == 1){
											if(parseFloat(obj[i].sourceAmount) >= 0){
												ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].sourceAmount)));
											}else{
												ele_p1.appendChild(document.createTextNode("0.00"));
											}
										}else if(parseInt(obj[i].prdStatus,10) == 3){
											ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(Number(obj[i].sourceAmount)+Number(obj[i].transAmount))));
										}else{
											ele_p1.appendChild(document.createTextNode("0.00"));
										}
										ele_p2.className = "c_999 f12";
										ele_p2.appendChild(document.createTextNode(status[parseInt(obj[i].prdStatus,10)-1]));
									}else{
									}
									// if(parseFloat(obj[i].sourceAmount) >= 0){
									// 	ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].sourceAmount)));
									// }
									// else{
									// 	ele_p1.appendChild(document.createTextNode("0.00"));
									// }
									// ele_p2.className = "c_999 f12";
									// if(parseInt(obj[i].prdStatus,10) > 0 && parseInt(obj[i].prdStatus,10) < 4){
									// 	ele_p2.appendChild(document.createTextNode(status[parseInt(obj[i].prdStatus,10)-1]));
									// }
									// else{
									// }
									ele_div.appendChild(ele_p1);
									ele_div.appendChild(ele_p2);
									ele_i.className = "iconA34";
									// ele_li.appendChild(ele_span);
									ele_li.appendChild(ele_div1);
									ele_li.appendChild(ele_div);
									ele_li.appendChild(ele_i);
									ele_li.setAttribute('data-isProType', type);
									ele_li.setAttribute('data-obj', JSON.stringify(obj[i]));
								tempFrag.appendChild(ele_li);
							}
							return tempFrag;
						}
					}
					//黄金宝type=8产品列表
					function goldPrdListFunc(obj, type){
						if(obj){
							var len = obj.length;
							var status = ["持有","委托中","待清算"];
							var tempFrag = document.createDocumentFragment();
							for(var i = 0;i< len;++i){
								var ele_li = document.createElement('li');
								var ele_div1 = document.createElement('div');
								var ele_span = document.createElement('span');
								var ele_div = document.createElement('div');
								var ele_p1 = document.createElement('p');
								var ele_p2 = document.createElement('p');
								var ele_i = document.createElement('i');
									ele_li.className = "dswkb";
									ele_span.className = "to";
									ele_div1.className = "flex1 m_r10";
									ele_span.appendChild(document.createTextNode(obj[i].prdName));
									ele_div1.appendChild(ele_span);
									ele_div.className = "m_r30 tar";
									ele_p1.className = "c_666";

									if(parseInt(obj[i].prdStatus,10) > 0 && parseInt(obj[i].prdStatus,10) < 4){
										if(parseInt(obj[i].prdStatus,10) == 2){
											ele_p1.appendChild(document.createTextNode("0.00"));
										}else if(parseInt(obj[i].prdStatus,10) == 1){
											if(parseFloat(obj[i].sourceAmount) >= 0){
												ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].sourceAmount)));
											}else{
												ele_p1.appendChild(document.createTextNode("0.00"));
											}
										}else if(parseInt(obj[i].prdStatus,10) == 3){
											ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(Number(obj[i].sourceAmount)+Number(obj[i].transAmount))));
										}else{
											ele_p1.appendChild(document.createTextNode("0.00"));
										}
										ele_p2.className = "c_999 f12";
										ele_p2.appendChild(document.createTextNode(status[parseInt(obj[i].prdStatus,10)-1]));
									}else{
									}

									// if(parseFloat(obj[i].sourceAmount) >= 0){
									// 	ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].sourceAmount)));
									// }
									// else{
									// 	ele_p1.appendChild(document.createTextNode("0.00"));
									// }
									// ele_p2.className = "c_999 f12";
									// if(parseInt(obj[i].prdStatus,10) > 0 && parseInt(obj[i].prdStatus,10) < 4){
									// 	ele_p2.appendChild(document.createTextNode(status[parseInt(obj[i].prdStatus,10)-1]));
									// }
									// else{
									// }
									ele_div.appendChild(ele_p1);
									ele_div.appendChild(ele_p2);
									ele_i.className = "iconA34";
									// ele_li.appendChild(ele_span);
									ele_li.appendChild(ele_div1);
									ele_li.appendChild(ele_div);
									ele_li.appendChild(ele_i);
									ele_li.setAttribute('data-isProType', type);
									ele_li.setAttribute('data-obj', JSON.stringify(obj[i]));
								tempFrag.appendChild(ele_li);
							}
							return tempFrag;
						}
					}

					//定期余额type=9(wuwenjun059)
					function periodicBalance(name, balance, type){
						var ele_li = document.createElement('li');
						var ele_div1 = document.createElement('div');
						var ele_span = document.createElement('span');
						var ele_div = document.createElement('div');
						var ele_p1 = document.createElement('p');
						var ele_p2 = document.createElement('p');
							ele_li.className = "dswkb";
							ele_div1.className = "flex1 m_r10";
							ele_span.className = "to";
							ele_span.appendChild(document.createTextNode(name));
							ele_div1.appendChild(ele_span);
							ele_div.className = "m_r30 tar";
							ele_p1.className = "c_666";
							if(parseFloat(balance) >= 0){
								ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(balance)));
							}
							else{
								ele_p1.appendChild(document.createTextNode("0.00"));
							}
							ele_p2.className = "c_999";
							ele_div.appendChild(ele_p1);
							ele_div.appendChild(ele_p2);
							ele_li.appendChild(ele_div1);
							ele_li.appendChild(ele_div);
							ele_li.setAttribute('data-isProType', type);
							return ele_li;
					}
					if(obj){
						//我的资产
						$('#myPropertyMoney').text(utils.string.formatMoneyNumber(obj.totalAmt));   //资产
						//我的活期余额
						$('#myPropertyBalance').text(utils.string.formatMoneyNumber(obj.currBalance));//活期余额
						$('#myPropertyBalance').attr("data-money",obj.currBalance);
						//我的投资=我的资产-我的活期余额
						if(parseFloat(obj.totalAmt).toFixed(2)-parseFloat(obj.currBalance).toFixed(2) > 0){
							$('#myPropertyInvest').text(utils.string.formatMoneyNumber(parseFloat(obj.totalAmt).toFixed(2)-parseFloat(obj.currBalance).toFixed(2)));
						}else{
							$("#myInvest").css("display","none");
						}
						var frag = document.createDocumentFragment();
						//定期余额（wuwenjun059）
						if(obj.fixBalance && obj.fixBalance > 0){
							var deposit = periodicBalance('定期余额',obj.fixBalance,'9');
							frag.appendChild(deposit);
						}
						if(obj.depositAmt && obj.depositAmt > 0){
							var deposit = staticProductFunc('定活通',obj.depositAmt,'0');
							frag.appendChild(deposit);
						}
						// if(obj.smartDepositAmt){
						// 	var smartDeposit = staticProductFunc('智能定活通',obj.smartDepositAmt,'1');
						// 	frag.appendChild(smartDeposit);
						// }
						// if(obj.goldAmt){
						// 	var gold = staticProductFunc('黄金',obj.goldAmt,'2');
						// 	frag.appendChild(gold);
						// }

						//每日盈持仓
						if(obj.fundStrongAmt > 0){
							var fundStrongHold = fundStrongHoldFunc(obj,'12');
							frag.appendChild(fundStrongHold);
						}
						//每日盈赎回列表
						if(obj.fundStrongRedeemlist && obj.fundStrongRedeemlist.length > 0){
							var fundStrongRedeemlist = fundStrongRedeemListFunc(obj.fundStrongRedeemlist,'11');
							frag.appendChild(fundStrongRedeemlist);
						}
						//平安盈list
						if(obj.paYingPrdList && obj.paYingPrdList.length != 0){
							var paYingPrdList = paYingPrdListFunc(obj.paYingPrdList,'3');
							frag.appendChild(paYingPrdList);
						}
						//基金list
						if(obj.fundPrdList && obj.fundPrdList.length != 0){
							var fundPrdList =  fundPrdListFunc(obj.fundPrdList,'4');
							frag.appendChild(fundPrdList);
						}
						//理财产品
						if(obj.financingPrdList && obj.financingPrdList.length != 0){
							var financingPrdList = financialListFunc(obj.financingPrdList,'5');
							frag.appendChild(financingPrdList);
						}
						//养老list
						if(obj.pensionPrdList && obj.pensionPrdList.length != 0){
							var pensionPrdList = pensionKuaiEyingFunc(obj.pensionPrdList,'6');
							frag.appendChild(pensionPrdList);
						}
						//快E盈list
						if(obj.papiaoPrdList && obj.papiaoPrdList.length != 0){
							var papiaoPrdList = pensionKuaiEyingFunc(obj.papiaoPrdList,'7');
							frag.appendChild(papiaoPrdList);
						}
						//黄金宝list
						if(obj.goldPrdList && obj.goldPrdList.length != 0){
							var goldPrdList = goldPrdListFunc(obj.goldPrdList,'8');
							frag.appendChild(goldPrdList);
						}
						//E企盈
						if(obj.earningsPrdList && obj.earningsPrdList.length != 0){
							var earningsPrdList = self.earningsPrdList(obj.earningsPrdList,'10');
							frag.appendChild(earningsPrdList);
						}
						$('#myPropertyDetails').html(frag);
					}
					else{
						// utils.dialog.alert("对象object不存在！");
					}
				},
				errorCallback: function(res){
					utils.dialog.alert(res.message);
				}
			});
		},

		//E企盈列表数据（type：10）
		earningsPrdList : function(obj,type){
			if(obj){
				var len = obj.length;
				var status = ["持有","委托中","待清算"];
				var tempFrag = document.createDocumentFragment();
				for(var i = 0;i< len;++i){
					var ele_li = document.createElement('li');
					var ele_div1 = document.createElement('div');
					var ele_span = document.createElement('span');
					var ele_div = document.createElement('div');
					var ele_p1 = document.createElement('p');
					var ele_p2 = document.createElement('p');
					var ele_i = document.createElement('i');
						ele_li.className = "dswkb";
						ele_span.className = "to";
						ele_div1.className = "flex1 m_r10";
						ele_span.appendChild(document.createTextNode(obj[i].billName));
						ele_div1.appendChild(ele_span);
						ele_div.className = "m_r30 tar";
						ele_p1.className = "c_666";
						if(parseInt(obj[i].prdStatus,10) > 0 && parseInt(obj[i].prdStatus,10) < 4){
							if(parseInt(obj[i].prdStatus,10) == 2){
								// ele_p1.appendChild(document.createTextNode("0.00"));
								if(parseFloat(obj[i].buyAmt) >= 0){
									ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].buyAmt)));
								}
								else{
									ele_p1.appendChild(document.createTextNode("0.00"));
								}
							}else if(parseInt(obj[i].prdStatus,10) == 1){
								if(parseFloat(obj[i].buyAmt) >= 0){
									ele_p1.appendChild(document.createTextNode(utils.string.formatMoneyNumber(obj[i].buyAmt)));
								}else{
									ele_p1.appendChild(document.createTextNode("0.00"));
								}
							}else{
								ele_p1.appendChild(document.createTextNode("0.00"));
							}
							ele_p2.className = "c_999 f12";
							ele_p2.appendChild(document.createTextNode(status[parseInt(obj[i].prdStatus,10)-1]));
						}else{
						}
						ele_div.appendChild(ele_p1);
						ele_div.appendChild(ele_p2);
						ele_i.className = "iconA34";
						// ele_li.appendChild(ele_span);
						ele_li.appendChild(ele_div1);
						ele_li.appendChild(ele_div);
						ele_li.appendChild(ele_i);
						ele_li.setAttribute('data-isProType', type);
						ele_li.setAttribute('data-obj', JSON.stringify(obj[i]));
					tempFrag.appendChild(ele_li);
				}
				return tempFrag;
			}
		},

		myPropertyBalance: function(){
			var money = $('#myPropertyBalance').attr("data-money");
			App.navigate('me/balance/index?money='+money,true);
		},

		smartFinancial: function(){
			//查询数据，判断是否签约、是否评测
			//...
			//评测状态
			var dfd = window.accountInfoStatus.getAccountInfoStatus(false,"myProperty/myProperty/index");
			dfd.done(function(status){
				if(status){
					var promise = $.when(
						smartFinancialModel.qrySmartFinancialState(),
						smartFinancialModel.riskAbilityTestQry()
					);

					promise.done(_.bind(function(arg1,arg2){
						arg1 = arg1[0].object;
						arg2 = arg2[0].object;
						//签约状态
						// console.log(obj1);
						var smartStatus = arg1;
						var riskState = arg2.otherRiskStatus;
						if(!smartStatus || smartStatus.status == "1"){
							//未签约
							if(riskState == "2" || riskState == "3"){
								//未评测及过期,广告、评测->结果->签约页
								App.storage.set("smartFinancialRisk","1");
								App.storage.set("smartFinancial/smartFinancial/fromPage",1);
								App.navigate("smartFinancial/smartFinancial/index",true);
							}else if(riskState == "1"){
								App.storage.set("smartFinancialRisk","1");
								App.storage.set("smartFinancial/smartFinancial/fromPage",1);
								App.storage.set("smartFinancialLevel",arg2.riskLevel);
								App.navigate("smartFinancial/smartFinancial/evaluated",true);
								//是否重评+签约点击->签约页
							}else{}
						}else{
							App.storage.set("smartFinancial/smartFinancial/fromPage",1);
							App.storage.set("smartFinancialLevel",arg2.riskLevel);
							App.navigate("smartFinancial/smartFinancial/signed",true);
						}
					},this));

					promise.fail(function(err){
						utils.dialog.toast(err.message);
					});

								// if (riskStatus == '1') {
								//     // 有效的风险评测状态
								//     thisView.judgeAgeAndRiskLevel(obj,proModel);
								// } else if (riskStatus == '2') {
								//     // 未做理财风险评测，请临柜评测
								//     thisView.tipRiskAtAgency();
								// } else if (riskStatus == '3') {
								//     // 风险评测过期，请重新评测
								//     thisView.tipRiskExpired();
				}else{}
			});
		},

		touchstartIcon: function(){
			$('.myProperty .AssetsTips').show();
			function time(){
				$('.myProperty .AssetsTips').hide();
			}
			setTimeout(time,3000);
		},
		touchendIcon: function(){
			$('.myProperty .AssetsTips').hide();
		},
		//点击单个资产条目跳转页面
		myPropertyItem: function(e){
			var self = this;
			var curr = e.currentTarget;
			var loadingLayer = new LoadingLayer();
			//显示加载中
			loadingLayer.show();
			setTimeout(function(){
				//隐藏加载中
				loadingLayer.hide();
				var data = '';
				//定活通type=0
				if(curr.getAttribute('data-isProType') == 0){
					//进入定活通已登录页面
					var model = new Model({fromPage: "myProperty"});
					App.storage.set("dinghuotong/unlog/index",model);
					// App.navigate('dinghuotong/index/login',true);
					App.navigate('dinghuotong/index/dhtHoldAssets',true);
				}
				//每日盈持仓type=12
				if(curr.getAttribute('data-isProType') == 12){
					App.navigate('fundStrong/fundStrongLogin/index',true);
				}
				//每日盈赎回列表type=11
				if(curr.getAttribute('data-isProType') == 11){
					data = $(curr).attr("data-index");
					var obj = {};
					obj.isProType=11;
					obj.fundStrongRedeemDetail = App.storage.get("fundStrongRedeemList")[data];
					// App.storage.set('myPropertyData',obj);
					// App.navigate('myProperty/holdDetailsInfo/index',true);
				}
				//平安盈type=3
				if(curr.getAttribute('data-isProType') == 3){
					var tempCode = '';
					tempCode = curr.getAttribute('data-prdCode');
					if(tempCode){
						var model = new Model({prdCode: tempCode,fromPage: "myProperty"});
						App.storage.set("pinganying/payIndex/index",model);
						//根据平安盈产品代号转向平安盈产品详情页对应选项卡
						App.navigate('pinganying/payIndex/index',true);
					}
				}

				//ex_huangzit(2016.04.19)
				if(curr.getAttribute('data-isProType') == 4){//基金
					data = curr.getAttribute('data-obj');
					var obj = JSON.parse(data);
					obj.isProType = curr.getAttribute('data-isProType');

					//基金委托需要基金类型,1持有、2委托，
					if(!obj.prdAttr && obj.prdStatus == '2'){
						ProductsQryModel.queryFundDetails({
							data : { prdCode : obj.prdCode }
						}).done(function(res) {
							var detailDTO = res.detailDTO || {};
							obj.prdAttr = detailDTO.prdAttr;
							App.storage.set('myPropertyData',obj);
							App.navigate('myProperty/holdDetailsInfo/index',true);
						}).fail(function(e) {
							if (e && e.message) utils.dialog.toast(e.message);
						});
					}else{
						App.storage.set('myPropertyData',obj);
						App.navigate('myProperty/holdDetailsInfo/index',true);
					}
				}

				if(curr.getAttribute('data-isProType') == 5 || curr.getAttribute('data-isProType') == 6 || curr.getAttribute('data-isProType') == 7 || curr.getAttribute('data-isProType') == 8 || curr.getAttribute('data-isProType') == 10){
					data = curr.getAttribute('data-obj');
					//未清算状态3，如果不是未清算，则可以跳转
					//if(JSON.parse(data).prdStatus != 3)
					//{
						var obj;
						obj = JSON.parse(data);
						obj.isProType = curr.getAttribute('data-isProType');
						//点击理财产品，养老产品，平安票，持有和委托的时候，传递数据，资产详情页面所需
						App.storage.set('myPropertyData',obj);
						App.navigate('myProperty/holdDetailsInfo/index',true);
						// console.log(App.storage.get('myPropertyData'));
					//}
				}
			},300);
		}
	});
});