/**
 *注册模块提示信息常量文件
 */
define(function(require, exports, module){

    var registerLang = module.exports = function(name) {
        var registerConfig = {
            //用户名
            "registerUserNameEmpty" : "请输入用户名",
            "userNameNoLessFour" : "用户名不能少于4位，请重新输入",
            "userNameMaxThirty" : "用户名不能多于30位，请重新输入",
            "userNameFormatError1" : "用户格式错误（含字母、数字、中或下划线之外字符）",
            "userNameFormatError2" : "用户名不能为字母、数字、“-”、“_”以外的字符，请你重新输入",
            "userNameFormatError3" : "用户名首位不能为'-'或'_'，请重新输入",
            "userNameUsed" : "用户名已被使用，请你选用其它用户名或增加后缀，如'pingan2008'",

            //登录密码
            "registerLoginPwdEmpty" : "请输入密码",
            "logPwdNoLessSix" : "登录密码不能少于8位",
            "logPwdMaxSixteen" : "登录密码不能多于16位，请重新输入",
            "logPwdPureLetter" : "登录密码不能为纯字母，请重新输入",
            "logPwdPureNumber" : "登录密码不能为纯数字，请重新输入",
            "logPwdNoContainSignAndSpace" : "登录密码不能含有特殊符号和空格，请重新输入",
            "logPwdNoRepeatThreeAboutSameNumber" : "登录密码中同一数字不能出现连续3次重复，请重新输入",
            "logPwdNoRepeatLifting" : "登录密码中不能出现连续4位数字升、降序排列，请重新输入",
            "logPwdNoRepeatThreeTime" : "登录密码中不能出现2个数字连续3次重复，请重新输入",
            "logPwdNoRepeatTwoTime" : "登录密码中不能出现3个数字连续2次重复，请重新输入",
            "logPwdNoContainBirthday" : "登录密码中不能包含出生日期，请重新输入",
            "logPwdFormatErrorAboutPhone" : "登录中不能包含电话号码前、后6位，请重新输入",

            //注册第一步
            "registerRealNameEmpty" : "请输入真实姓名",
            "registerTypeNoError" : "你输入证件号码不符合规范，请重新输入",
            "registerTypeNoEmpty" : "请输入证件号码",
            "registerPhoneEmpty" : "请输入手机号。",
            "registerPhoneError" : "你输入的手机号不符合规范。",
            "registerEmailEmpty" : "请输入电子邮箱。",
            "registerEmailError" : "你输入的电子邮箱不符合规范。",
            "registerjPwdEmpty" : "请输入交易密码",
            "registerConfjPwdEmpty" : "请输入确认交易密码",
            "registerjPwdError" : "交易密码不能少于6位数字，请重新输入",
            "registerSetjPwdEqu" : "你两次输入的交易密码不一致，请重新输入。",
            "registerSetUserSecEqu" : "你两次输入的登录密码不一致，请重新输入。",
            "registerCodeEmpty" : "请输入动态密码。",
            "registerConfLoginPwdEmpty" : "请输入确认密码",
            "registerGetCodeNo" : "请点击获取动态密码",
            "registerUserNameUsed" : "用户名已被使用,请重新输入",
            "registerRealNameError" : "你输入真实姓名不符合规范，请重新输入",
            "registerVerityOTPError" : "您输入的手机动态密码错误，请您检查后重新输入。",
            "registerVerityOTPEmpty" : "手机动态密码不能为空",
            "registerUmCodeError" : "你输入的推荐人UM账号不符合规范，请重新输入",

            //设置安全信息
            "registerProEmpty" : "请选择省份",
            "registerCityEmpty" : "请选择城市",
            "registerCityEmpty2" : "请选择你的常驻城市",
             "registerCheckAgrreement"  : "请阅读并勾选服务协议",

            //设置平安信用卡自动还款
            "repayAccountError"                    : "请输入正确的还款账号",
            "creditCardNumError"                   : "请输入正确的信用卡账号",
            "PleaseReadAndAgreeAutoRepayAgreement" : "请阅读并勾选《服务条款》"

        };

        var str = registerConfig[name] || '';
        return str;
    };
});