/**
 * ex-wuyongsheng001 一账通 注册成功 视图
 */
define(function(require, exports, module){
    var RegisterModel = require("../model/registerModel");
    var accountModel  = require("mod/common/model/accountModel");
    var Tpl           = _.template(require("text!../template/openSuccess.html"));

    module.exports = ItemView.extend({
        template: Tpl,
        ui: {
            activateBtn    : '#activateBtn',
            enterBtn       : '#enterBtn',
            upgradeBtn     : '#upgradeBtn'
        },
        events    : {
            'tap @ui.activateBtn'   : 'toActivate',
            'tap @ui.enterBtn'      : 'toMyAccount',
            'tap @ui.upgradeBtn'    : 'toUpgrade'
        },

        onShow : function(){
            //是否送万里通积分
            this.getWLTCheckRule();
        },

        toActivate: function (e) {

            this.ui.activateBtn.removeClass('btn_set');
            this.ui.enterBtn.addClass('btn_set');

            this._redirect('verifyAccount/main/verify');
        },

        toMyAccount: function (e) {

            this.ui.activateBtn.addClass('btn_set');
            this.ui.enterBtn.removeClass('btn_set');

            if(App.storage.get("isUserLoggedIn")){
                App.navigate("login/login/gestureLogin",true);
            }else{
                App.navigate("index/index/index",true);
            }

            return;
            this._redirect('me/meInfoIndex/index');
        },

        _redirect: function (url) {
            if (!url) return;

            var url = '?returnURL='+ encodeURIComponent(url);
            var stepOneCache = App.storage.get("openAccount/main/openMain");

            if (stepOneCache.isRich == '0') {
                _.defer(function () {
                    App.navigate('login/login/mobileIndex' + url, true);
                });
                return;
            }

            _.defer(function () {
                App.navigate('login/login/toaIndex' + url, true);
            });
        },

        toUpgrade : function () {
            App.navigate('me/accoutAndSecurity/securityOrange', true);
        },

        //万里通送积分开关
        getWLTCheckRule : function(){
            var self = this;
            accountModel.getWLTCheckRule({
                data : {"ruleId":config.values.wltZhuCe},
                callback : function(res){
                    //0是送积分1不送积分
                    if(res.object.wanlitongRule && res.object.wanlitongRule == 0){
                        self.$("#wanlitongPrompt").show();
                    }
                },
                errorCallback : function(res){
                    //utils.dialog.alert(res.message);
                }
            });
        }

    });
});
