define(function (require, exports, module) {
    var panicBuyRecordsView    = require("../view/panicBuyRecords");
    var accountInfoSta         = require("mod/common/accountInfoStatus/accountInfoStatus");
    
    var Index = module.exports = Controller.extend({
        actions: {
            index: "index" 
        },


        index:function(){
            //状态判定
            App.header.reset({
                title: "抢购记录",
                leftButtonContent: "@back",
                leftButtonHandler: function(){
                    App.navigate("products/index/panicBuy",true);
                }
            });
            App.footer.reset({visible:false, selectedIndex:0});
            var param = this._getDefaultParam();
            App.container.show(new panicBuyRecordsView({model : new Model(param)}));
        },
         _getDefaultParam: function(){
              var startDate = "";
              var endDate   = "";
              var date = new Date(App.storage.get("Login_SysTime") || new Date());
              return {
                "startDate": startDate||utils.date.diffDateAdd(date,0,'d').format("yyyy-MM-dd"),
                "endDate"  : endDate||utils.date.diffDateAdd(date,0,'d').format("yyyy-MM-dd"),
                "pageIndex": 1,
                "pageSize" : 10,
            };
         }
    });
});
        
        
