define(function(require, exports, module){
    var IndexTpl = require("text!../template/transOutPattern.html");
    
    var IndexView = module.exports = ItemView.extend({
        template : _.template(IndexTpl),
        events:{
			"tap #transOutFast":"_transOutFast",
			"tap #transOutTAddOne":"_transOutTAddOne"
        },
        
         /**
         * 初始化
         */
        initialize: function(options){
        	this.proCode = options.proCode;
        },
        
        onRender:function(){
        	this._showPayDetail();
        },
        
        //展示平安盈首页
        _showPayDetail:function(){
        	var transOutFlag = App.storage.get("transOutFlag");
        	if(transOutFlag){
        		if(transOutFlag == 0){
    				if(this.$("#transOutTAddOne>i")) this.$("#transOutTAddOne>i").remove();
        			this.$("#transOutFast").append("<i class='iconA59'></i>");
        		}else{
        			if(this.$("#transOutFast>i")) this.$("#transOutFast>i").remove();
        			this.$("#transOutTAddOne").append("<i class='iconA59'></i>");
        		}
        	}
        },
        
        _transOutFast:function(){
        	if(this.$("#transOutTAddOne>i")) this.$("#transOutTAddOne>i").remove();
        	this.$("#transOutFast").append("<i class='iconA59'></i>");
        	App.storage.set("transOutFlag",0);
        	App.navigate("pinganying/payIndex/payTransOut/" +this.proCode, true);
        },
        _transOutTAddOne:function(){
        	if(this.$("#transOutFast>i")) this.$("#transOutFast>i").remove();
        	this.$("#transOutTAddOne").append("<i class='iconA59'></i>");
        	App.storage.set("transOutFlag",1);
        	App.navigate("pinganying/payIndex/payTransOut/"+this.proCode, true);
        }
    });
})
