/**
 * wuyongsheng560 基金费率详情视图
 */
define(function(require, exports, module){
    var Tpl = _.template(require("text!../../template/detail/fundRate.html"));
    module.exports = ItemView.extend({
        template: Tpl,
        templateHelpers: {
            rRate: function (rate, unit) {
                rate = rate || '0.0';
                unit = unit || '1';
                if (unit == '1') {
                    return utils.string.numberFormat(rate, 1) + '%';
                }else if(unit == '2'){
                    return '每笔' + utils.string.numberFormat(rate) + '元';
                }
            }
        }
    });
});