define(function(require, exports, module) {
	var indexModel = module.exports = Model.extend();
	//查询梦想状态

	indexModel.qryDreamState = function() {
		return App.request("qryDreamState");
	};

	indexModel.passwordOperate = function() {
		return App.request("passwordOperate");
	};

	indexModel.passwordLottery = function(data){
		return App.request("passwordLottery",{data:data});
	};

	//2016-3-28 查看保证金待确认订单数量
	indexModel.qryMarginsPendingOrderCount = function (options) {
		if (!options || typeof options !== 'object') options = {};
		return App.request('qryMarginsPendingOrderCount', options).pipe(function (result) {
			result.object || (result.object = {});
			return result.object;
		});
	};

	/**
	 * ex-chenfuhua001
	 * 夺宝奇兵开关
	 */
	indexModel.chestSwitch = function(options){
		App.request(options.url,{
            silent:true,
			success: function(res){
				options.callback(res);
			},
			error: function(res){
				options.errorCallback(res);
			}
		});
	};

	// 橙易贷校验
	indexModel.checkApplyLoan = function(options){
		var callback = options.callback;
		var errorCallback = options.errorCallback;
		App.request("checkApplyLoan",{
			success:function(res){
				callback && callback(res);
			},
			error:function(res){
				errorCallback && errorCallback(res);
			}
		});
	};
	
	//橙易贷入口显示开关
	indexModel.loansDisplaySwitch = function(options){
		App.request("loansDisplaySwitch",{
            silent:true,
			success: function(res){
				options.callback(res);
			},
			error: function(res){
				options.errorCallback(res);
			}
		});
	};
});