define(function(require, exports, module){
    var IndexTpl = require("text!../../../template/wonderfulConsume/consumeStory/bigImg.html");
    var IndexView = module.exports = ItemView.extend({
        template : _.template(IndexTpl),
        regions: {
            contentRegion: "#imgDivCon"
        },
        events: {
            "tap #delBtn": "delImg"  //删除照片
        },
        initialize:function(){
            var index = this.model.get("indexCode");
            this._createHtml(index);
        },
        _createHtml : function(index) {
            this.urlList = App.storage.get("upload/imgimgUrls");
            var ctrItem = this.urlList[index];
            /*
            if(ctrItem && ctrItem.consumId) {
                            this.model.attributes.imgSrc = ctrItem.imageUrl;
                        }else{
                            this.model.attributes.imgSrc = "data:image/jpeg;base64,"+ctrItem.imageUrl;
                        }*/
            this.model.attributes.imgSrc = "data:image/jpeg;base64,"+ctrItem.imageUrl;
        },
        /**
         * 删除图片
         */
        delImg : function() {
            var index = event.target.getAttribute("index");
            var item = this.urlList[index];
            this.urlList.splice(index,1);
            App.storage.set("consume/afterDelImg",this.urlList);
            App.navigate("search/wonderfulConsume/editConsumeDetailPage",true);
        }
    });
});
