define(function (require, exports, module) {
    var itemTemp = require("text!../../../template/wonderfulConsume/consumeStory/storyList.html");
    var detailsView = require("./storyListDetail");
    var count = 0;
    var flag = true;
    var self = null;
    var itemView = module.exports = ItemView.extend({
        template: _.template(itemTemp),
        tagName: 'li',
        className: '',
        initialize: function () {
            this.model.attributes.count = count;
            count++;
            self = this;
        },
        events: {
            "tap .showMore": "showMore",
            "tap .showDetail": "showDetail",
            "tap img": "showGallery"
        },
        //显示照片墙
        showGallery: function (e) {
            var imgIndex = e.target.getAttribute("index");
            var imgUrlList = [];
            var el = $(event.target);
            var els = el.parent().find("img");
            _.each(els, function(image){
                imgUrlList.push($(image).attr("src"));
            });
            // 调用native方法展示照片墙
            utils.native.gallery.show({
                source: imgUrlList,
                highIndex: parseInt(imgIndex)
            });
        },
        showMore: function () {
            var count = this.model.get("count");
            var el = $("#em" + count);
            if (el.hasClass("iconA34")) {
                el.removeClass("iconA34").addClass("iconA33");
            } else if (el.hasClass("iconA33")) {
                el.removeClass("iconA33").addClass("iconA34");
            }
            $("." + count).toggle();
        },
        showDetail: function (e) {
            var startDate = $("#startDate").attr("data-initDate");
            var endDate = $("#endDate").attr("data-initDate");
            App.storage.set('search/consumestory/searchDate', {"startDate": startDate, "endDate": endDate});
            var index = e.currentTarget.getAttribute("index");
            var obj = this.model.get("list")[index];
            var active = obj.activityName;
            if (active && active.replace(/\s+/gi, '')) {//已编辑过的消费项目点击查看“消费故事详情
                App.storage.set("consume/activeCtrItem", obj);
                App.navigate("search/wonderfulConsume/consumeDetailPage", true);
            } else {//未编辑过的消费项目点击进入“消费详情编辑页面”
                App.storage.set("consume/notActiveCtrItem", obj);
                App.navigate("search/wonderfulConsume/editConsumeDetailPage", true);
            }
        }
    });

    module.exports = CollectionView.extend({
        tagName: 'ul',
        itemView: itemView,
        initialize: function () {
            count = 0;
            this.bindFn();
        },
        bindFn: function () {
            this.on("initCount", function (formData) {
                count = 0;
            });
        }
    });
});