/*
 *   签约页
 *   liujun
 */
define(function (require, exports, module) {
    var signHtml = require("text!../template/sign.html");
    var smartFinancialModel = require("../model/smartFinancial");
    var Form = require("component/form");
    var CustomPwdInput = require("component/password/customPwdInput");
    var safeKeyBoardHelper = require("component/customInput.helper");
    var TERMS = config.urls.get("terms_of_service_pinganying");
    var TERMS_DAHUA = config.urls.get("terms_of_service_pinganying_dahua");
    var TERMS_SMART = config.urls.get("terms_of_smartFinancial");
    var CustomPwdInput = require("component/password/customPwdInput");
    var safeKeyBoardHelper = require("component/customInput.helper");

    var IndexView = module.exports = Form.extend({
        template: _.template(signHtml),

        events: {
            "tap .signPrd": "signPrd",
            "tap .prdCancel": "prdCancel",
            "tap .prdAdd": "prdAdd",
            "tap .prdItemSwitch": "prdItemSwitch",
            "tap #signConfirm": "signConfirm",
            "tap .optionsDate": "optionsDate",
            "customInputFocusOut #yearRate input": "yearRateIpt",
            "customInputFocusOut #keepBlance input": "keepBlanceIpt",
            "focus #keepBlance input": "keepBlanceFocus",
            "focusout #keepBlance input": "keepBlanceFocusout",
            "tap #smartFinancialAgreement": "smartFinancialAgreement",
            "tap #payServiceAgreement": "payServiceAgreement",
            "tap #payQuickServiceAgreement": "payQuickServiceAgreement",
            "tap #pinganyingTips": "pinganyingTips",
            "tap #papTips": "papTips",
            "tap #prdTips": "prdTips",
            "tap #rateTips": "rateTips",
            "tap #balanceTips": "balanceTips",
            "customInputFocusIn #yearRate": "customInputFocusInRate",
            "customInputFocusOut #yearRate": "customInputFocusOutRate",
            "customInputFocusIn #yearRate": "hiddenDelete",
            // "customInputFocusIn #keepBlance": "customInputFocusInBalance",
            // "customInputFocusOut #keepBlance": "customInputFocusOutBalance",
            "tap #advise": "adviseVal",
            "tap #tips1": "tips1", //unsign tips
            "tap #tips2": "tips2",
            "tap #tips3": "tips3"
        },

        initialize: function (options) {
            unsignedTips = App.storage.remove("smartUnsignedTips");
            signedData = "";
            riskLevel = "";
            if (options.status) {
                signedData = options;
            }
            // else if(options.level){
            //     riskLevel = options.level;
            // }else{}
            riskLevel = options.level;
            submitState = false;
        },

        onRender: function () {
        },

        onShow: function () {
            var date = ["小于30天", "31天-60天", "61天-90天", "91天-120天", "121天-180天", "大于181天"];
            var yearRate = ["3", "3", "5", "5.5", "6", "6"];
            if (App.storage.get("smartFinancial/smartFinancial/prdDate") || App.storage.get("smartFinancial/smartFinancial/prdDate") == 0) {
                // App.storage.get("smartFinancial/smartFinancial/prdDate");
                var index = App.storage.remove("smartFinancial/smartFinancial/prdDate");
                $("#optionsDate").attr("data-optionsDate", index);
                $("#optionsDate").text(date[index]);
                $("#advise").attr("data-advise", yearRate[index]);
                $("#advise").text("推荐" + yearRate[index] + "%");
            }
            this._dhtInitAmountKeyboard();
            if (signedData) {
                $("#yearRate input").val(signedData.profit_rate);
                if (signedData.keepAmount != 0) {
                    keepBlc = signedData.keepAmount;
                    $("#keepBlance input").val(keepBlc);
                    remainBlance = signedData.keepAmount;
                    $("#keepBlance input").attr("data-balance", remainBlance);
                } else {
                    // $("#keepBlance input").val(null);
                    $("#keepBlance input").attr("data-balance", 0);
                }
            } else {
                // $("#keepBlance input").val("");
                $("#keepBlance input").attr("data-balance", 0);
            }
            //数字组件中添加%
            var spanTag = document.createElement('span');
            spanTag.appendChild(document.createTextNode("%"));
            spanTag.style.padding = "0px 3px 0px 4px";
            $("#yearRate .customInput-input-container").append(spanTag);
            //产品期限页签约页数据不变
            if (App.storage.get("smartFinancial/smartFinancial/fromPrdDate/prdId")) {
                var prdId = App.storage.remove("smartFinancial/smartFinancial/fromPrdDate/prdId");
                $(".prdItems .signPrd").eq(1).attr("data-state", prdId);
                if (prdId == "0") {
                    $(".prdItems .signPrd").eq(1).children('i').removeClass('on');
                    $(".prdItems .signPrd").eq(1).children('i').addClass('on');
                    $('.prdItems .signPrd').eq(1).addClass("c_ccc");
                }
            }
            if (App.storage.get("smartFinancial/smartFinancial/fromPrdDate/rate")) {
                var prdRate = App.storage.remove("smartFinancial/smartFinancial/fromPrdDate/rate");
                $('#yearRate input').val(prdRate);
            } else {
                // var prdIndex = $("#optionsDate").attr("data-optionsDate");
                // $('#yearRate input').val(yearRate[prdIndex]);
            }
            if (App.storage.get("smartFinancial/smartFinancial/fromPrdDate/balance")) {
                var prdBalance = App.storage.remove("smartFinancial/smartFinancial/fromPrdDate/balance");
                $('#keepBlance input').attr('data-balance', prdBalance);
                if (prdBalance == "0") {
                    // $('#keepBlance input').val("");
                } else {
                    $('#keepBlance input').val(prdBalance);
                }
            }
            // if(unsignedTips){
            //     $('.znBG').height($(window).height() - );
            // }
        },
        //产品勾选
        signPrd: function (e) {
            var curr = e.currentTarget;
            if ($(curr).hasClass('c_ccc')) {
                if (riskLevel != "1") {
                    if ($(curr).children('i').hasClass('on')) {
                        $(curr).children('i').removeClass('on');
                        $(curr).siblings('.show_opt').eq(1).css('display', "auto");
                    } else {
                        $(curr).children('i').addClass('on');
                        $(curr).siblings('.show_opt').eq(1).css('display', "none");
                    }
                }
            } else {
                $(curr).siblings('.signPrd').find('i').removeClass('on');
                $(curr).siblings('.show_opt').css('display', "none");
                if ($(curr).children('i').hasClass('on')) {
                    $(curr).children('i').removeClass('on');
                    $(curr).next('.show_opt').css('display', "none");
                } else {
                    $(curr).children('i').addClass('on');
                    $(curr).next('.show_opt').css('display', "auto");
                }
            }
        },
        //产品取消
        prdCancel: function (e) {
            var curr = e.currentTarget;
            var index = null;
            index = $('.prdItems .show_opt').index($(curr).closest('.show_opt'));
            $('.prdItems .signPrd').eq(index + 1).attr('data-state', "0");
            $('.prdItems .signPrd').eq(index + 1).addClass("c_ccc");
            $(curr).closest('.show_opt').css('display', "none");
        },

        //产品添加
        prdAdd: function (e) {
            var curr = e.currentTarget;
            var index = null;
            index = $('.prdItems .show_opt').index($(curr).closest('.show_opt'));
            $('.prdItems .signPrd').eq(index).attr('data-state', "1");
            $('.prdItems .signPrd').eq(index).removeClass("c_ccc");
            $(curr).closest('.show_opt').css('display', "none");
        },

        _dhtInitAmountKeyboard: function () {
            this.$("#yearRate").customInput({
                type: "decimal",
                placeholder: "请输入年化收益率",
                className: "safeKeyBoard",
                maxLength: "6"
            });
            this.$("#keepBlance").customInput({
                type: "decimal",
                placeholder: "不留存",
                className: "safeKeyBoard",
                maxLength: "12"
            });
        },

        hiddenDelete: function (e) {
            var curr = e.currentTarget;
            $(curr).children(".js-clear-icon").css("display", "none");
        },

        customInputFocusInRate: function () {
            safeKeyBoardHelper.focusIn({
                id: "yearRate"
            });
        },

        customInputFocusOutRate: function () {
            safeKeyBoardHelper.focusOut({
                id: "yearRate"
            });
        },

        // customInputFocusInBalance: function(){
        //     safeKeyBoardHelper.focusIn({
        //         id: "keepBlance"
        //     });
        // },

        // customInputFocusOutBalance: function(){
        //     safeKeyBoardHelper.focusOut({
        //         id: "keepBlance"
        //     });
        // },

        yearRateIpt: function (e) {
            var curr = e.currentTarget;
            var reg = /^[0-9]+(\.)?[0-9]{0,2}$/;
            // function time(){
            //     $(curr).val("0.00");
            //     // $(curr).attr("placeholder","请输入年化收益率");
            // }
            if (reg.test($(curr).val().replace(/,/g, ""))) {
                if (parseFloat($(curr).val().replace(/,/g, "")) >= 0.1 && parseFloat($(curr).val().replace(/,/g, "")) <= 100) {
                } else {
                    utils.dialog.toast("请正确输入起点年化收益率");
                    // setTimeout(time,150);
                }
                // console.log($(curr).val());
            } else {
                if (parseFloat($(curr).val().replace(/,/g, ""))) {
                    // console.log(parseFloat($(curr).val().replace(/,/g, "")));
                    utils.dialog.toast("请正确输入起点年化收益率");
                } else {
                }
                // setTimeout(time,150);
            }
        },

        // keepBlanceFocus: function(e){
        //     var curr = e.currentTarget;
        //     $(curr).val($(curr).attr("data-balance"));
        // },
        //留存活期余额输入框
        keepBlanceIpt: function (e) {
            var curr = e.currentTarget;
            var reg = /^[0-9]*$/;
            var reg1 = /^[0-9]*(\.)[0]{2}$/;
            // function time(){
            //     $(curr).val("0.00");
            //     $(curr).attr("data-balance",0);
            //        // $(curr).attr("placeholder","不留存");
            // }
            if (reg.test($(curr).val().replace(/,/g, "")) || reg1.test($(curr).val().replace(/,/g, ""))) {
                if ($(curr).val().replace(/,/g, "") == "") {
                    $(curr).attr("data-balance", 0);
                } else {
                    $(curr).attr("data-balance", $(curr).val().replace(/,/g, ""));
                }
            } else {
                if (parseFloat($(curr).val().replace(/,/g, ""))) {
                    utils.dialog.toast("请输入整数留存活期余额");
                } else {
                }
                $(curr).attr("data-balance", 0);
                // setTimeout(time,200);
            }
        },

        // keepBlanceFocusout: function(e){
        //     var curr = e.currentTarget;
        //     $(curr).val(utils.string.formatMoneyNumber($(curr).attr("data-balance")));
        // },

        prdItemSwitch: function (e) {
            var curr = e.currentTarget;
            $(curr).toggleClass("on");
        },

        checkIsPap: function (options) {
            if (options.prod_pap == "1") {
                return true;
            }
            return false;
        },
        //签约提交
        signConfirm: function (e) {

            var promise = smartFinancialModel.qrySmartFinancialState();
            promise.done(_.bind(function (arg1) {
                var smartFlage = arg1.object ? arg1.object.status : false;
                var self = this;
                utils.dialog.customDialog("签约本协议将为您自动购买平安盈(大华)产品，<br>如您需要通过平安橙子扣还贷款等，请谨慎签约！", {
                    title: "",
                    okButtonText: "确认"
                }, _.bind(function (e) {
                    if (e == true) {
                        if (submitState == false) {
                            setTimeout(_.bind(function () {
                                var curr = e.currentTarget;
                                var arrName = ["pinganying", "pinganpiao"];
                                var data = {};
                                // var len = $('.prdItems .signPrd').length;
                                data.prodPay = $('.prdItems .signPrd').eq(0).attr('data-state');
                                data.prodPap = $('.prdItems .signPrd').eq(1).attr('data-state');
                                if ($('#optionsDate').attr('data-optionsDate') != "") {
                                    if ($('#yearRate input').val() != "") {
                                        if (parseFloat($('#yearRate input').val().replace(/,/g, "")) >= 0.1 && parseFloat($('#yearRate input').val().replace(/,/g, "")) <= 100) {
                                            // if($('#keepBlance input').val() != ""){
                                            var reg = /^[0-9]*$/;
                                            var reg1 = /^[0-9]*(\.)[0]{2}$/;
                                            var reg2 = /^.*(\.)[123456789]{0,2}$/;
                                            var reg3 = /^.*(\.)(((0{1,}[123456789]{1,}0{0,}[123456789]{0,}){1,})|(([123456789]{1,}0{0,}[123456789]{0,}0{0,}){1,}))$/;
                                            if (reg.test($('#keepBlance input').attr("data-balance")) || reg1.test($('#keepBlance input').val().replace(/,/g, "")) || $('#keepBlance input').val().replace(/,/g, "") == "") {
                                                if (reg2.test($('#keepBlance input').val().replace(/,/g, "")) || reg3.test($('#keepBlance input').val().replace(/,/g, ""))) {
                                                    utils.dialog.toast("请输入整数留存活期余额");
                                                } else {
                                                    if (parseInt($('#keepBlance input').attr('data-balance'), 10) >= 0) {
                                                        // $('#keepBlance').attr('data-balance',$('#keepBlance').val());
                                                        if ($('.prdItemSwitch').hasClass('on')) {
                                                            data.periodCode = $('#optionsDate').attr('data-optionsDate');
                                                            data.profitRate = parseFloat($('#yearRate input').val().replace(/,/g, "")).toFixed(1);
                                                            data.keepAmount = parseInt($('#keepBlance input').attr('data-balance'), 10);
                                                            data.status = "0";
                                                            if (smartFlage) {
                                                                App.storage.remove("smartFinancial/smartFinancial/signed/edit");
                                                                //修改时进入的
                                                                CustomPwdInput.customPwdInput(function (password) {

                                                                    data.password = utils.crypto.RSAKey.encrypt(password, config.base.rsa_public_key);
                                                                    data.sm2Pwd = utils.sm2.SM2Key.encrypt(password, config.base.sm2_public_key);
                                                                    smartFinancialModel.editSmartFinancial({
                                                                        url: "editSmartFinancial",
                                                                        data: data,
                                                                        callback: function (res) {
                                                                            submitState = true;
                                                                            App.storage.set("smartFinancial/smartFinancial/signed/edit/success", true);
                                                                            App.navigate("smartFinancial/smartFinancial/smartFinancialSuccess", true);
                                                                        },
                                                                        errorCallback: function (err) {
                                                                            utils.dialog.alert(err.message);
                                                                        }
                                                                    });
                                                                });

                                                            } else {

                                                                CustomPwdInput.customPwdInput(function (password) {
                                                                    data.password = utils.crypto.RSAKey.encrypt(password, config.base.rsa_public_key);
                                                                    data.sm2Pwd = utils.sm2.SM2Key.encrypt(password, config.base.sm2_public_key);
                                                                    smartFinancialModel.confirmSmartFinancial({
                                                                        url: "addSmartFinancial",
                                                                        data: data,
                                                                        callback: _.bind(function (res) {
                                                                            submitState = true;
                                                                            if (self.checkIsPap(data)) {
                                                                                App.storage.set("signPapSuccess", true);
                                                                            }
                                                                            App.navigate("smartFinancial/smartFinancial/smartFinancialSuccess", true);
                                                                        }, this),
                                                                        errorCallback: function (err) {
                                                                            utils.dialog.alert(err.message);
                                                                        }
                                                                    });
                                                                });

                                                            }

                                                        } else {
                                                            utils.dialog.toast("请同意协议后继续操作");
                                                        }
                                                    } else {
                                                        utils.dialog.toast("请输入整数留存活期余额");
                                                    }
                                                }
                                            } else {
                                                utils.dialog.toast("请输入整数留存活期余额");
                                            }
                                        } else {
                                            utils.dialog.toast("请正确输入起点年化收益率");
                                        }
                                    } else {
                                        utils.dialog.toast("请输入起点年化收益率");
                                    }
                                } else {
                                    utils.dialog.toast("请选择产品期限");
                                }
                            }, this), 220);
                        } else {
                            utils.dialog.toast("请勿重复提交");
                        }
                    }
                }, this));

            }, this));
            promise.fail(function (err) {
                utils.dialog.toast(err.message);
            });

        },
        //跳至产品期限选择
        optionsDate: function () {
            setTimeout(function () {
                App.storage.set("smartFinancial/smartFinancial/fromPrdDate/prdId", $(".prdItems .signPrd").eq(1).attr("data-state"));
                App.storage.set("smartFinancial/smartFinancial/fromPrdDate/rate", $('#yearRate input').val());
                App.storage.set("smartFinancial/smartFinancial/fromPrdDate/balance", $('#keepBlance input').attr("data-balance"));
                App.navigate("smartFinancial/smartFinancial/prdDate", true);
            }, 100);
        },

        smartFinancialAgreement: function () {
            //智能理财协议
            var _url = TERMS_SMART;
            option = {
                title: '《智能理财协议》',
                url: _url
            };
            utils.window.open(option);
        },

        payServiceAgreement: function () {
            var _url = TERMS;
            option = {
                title: '《平安盈服务协议》',
                url: _url
            };
            utils.window.open(option);
        },

        payQuickServiceAgreement: function () {
            var _url = TERMS_DAHUA;
            option = {
                title: '《平安盈快速服务协议》',
                url: _url
            };
            utils.window.open(option);
        },

        pinganyingTips: function (e) {
            utils.dialog.alert("平安盈是随时存取产品，而且收益率比活期要高的多的多，我们会在每日深夜把您没有投资的小钱钱临时存放在这里，所以默认选择不能取消哦，请注意我们会自动给您购买平安盈（大华），如果有符合条件的快E盈，我们会再自动给您赎回购买快E盈哦！（产品选择会在次日生效）");
            return false;
        },

        papTips: function (e) {
            utils.dialog.alert("快E盈的产品收益那是杠杠滴，赚钱就靠它了！在下面的条件设定区设定好条件，只要有符合条件的产品出售我们就可以帮您自动抢购了！如果快E盈产品是灰色，那说明您的风险承受等级不够哦，无法购买快E盈产品，请您考虑是否要重新做下风险评测！（产品选择会在次日生效）");
            return false;
        },

        prdTips: function (e) {
            // utils.dialog.alert("产品期限是指问您期望购买的产品的最长赎回时间，小于该时间并符合其他条件的产品，我们将为您进行产品预约。");
            utils.dialog.alert("产品期限是指您期望购买的产品期限范围，我们会为您自动预约设定期限内的产品。目前本项仅针对快E盈产品哦！（条件设定会在次日生效）");
            return false;
        },

        rateTips: function (e) {
            // utils.dialog.alert("产品期限是指问您期望购买的产品的最长赎回时间，小于该时间并符合其他条件的产品，我们将为您进行产品预约。");
            utils.dialog.alert("起点年化收益率是指您期望购买的产品的年化收益率，我们会为您自动预约设定收益率以上的产品。目前本项仅针对快E盈产品哦！（条件设定会在次日生效）");
            return false;
        },

        balanceTips: function (e) {
            //utils.dialog.alert("留存活期余额是指我们将为您保存在活期账户中的余额，在保留这部分余额的基础上，我们将使用其他剩余部分资金和平安盈（大华）资金为您进行产品预约。理性设置留存活期余额以保障您的日常流动资金充足，以便进行消费、信用卡还款等。");
            utils.dialog.alert("如果您希望小钱钱不要都拿去投资，还要留一些零花钱的话，可以将金额填写在这里，我们会给您留在活期里面，不会再拿去购买产品的哦。（条件设定会在次日生效）");
            return false;
        },

        adviseVal: function (e) {
            var curr = e.currentTarget;
            // var reg = /^.*[0-9]\.?[0-9]?%$/;
            // if(reg.test($(curr).text())){
            //     // $('#yearRate input').val((reg.exec($(curr).text()))[1]);
            //     console.log((reg.exec($(curr).text())));
            //     // console.log($(curr).text());
            // }
            if ($(curr).attr("data-advise") == "0") {
                utils.dialog.toast("请选择产品期限");
            } else {
                $('#yearRate input').val($(curr).attr("data-advise"));
            }
        },

        //进入签约页引导第一步
        tips1: function (e) {
            var curr = e.currentTarget;
            $(curr).closest('.section').css({
                'display': 'none'
            });
            $(curr).closest('.section').next('.section').css('display', 'block');
            return false;
        },
        //进入签约页引导第二步
        tips2: function (e) {
            var curr = e.currentTarget;
            $(curr).closest('.section').css({
                'display': 'none'
            });
            $(curr).closest('.section').next('.section').css('display', 'block');
            return false;
        },
        //进入签约页引导第三步
        tips3: function (e) {
            var curr = e.currentTarget;
            $(curr).closest('.section').css({
                'display': 'none'
            });
            $('#signSection').css('display', 'block');
            return false;
        }
    });
});
