define(function (require, exports, module) {
    var temp = require("text!../../template/newActive/bindCardSuccess.html");
    var FormComponent = require("component/form");
    var accountModel = require("mod/common/model/accountModel");

    module.exports = FormComponent.extend({
        template: _.template(temp),
        events: {
            'tap #btnSubmit': 'toSubmit'
        },

        initialize: function () {
            this.bankFlag = App.storage.get("toPostUnionPay_formData").bankFlag || '0';
        },

        onShow: function () {
            //删除数据
            var self = this,
            userInfo = App.storage.get('UserInfo'),
            cardState = userInfo.get('cardState');
            //activeState =  userInfo.get('activeState');

            App.storage.remove("toPostUnionPay_formData");
            App.storage.remove("verifyIdentity/bankOption");
            if(App.storage.get("bankManageObj")) App.storage.remove("bankManageObj");

            //未激活
            if (cardState == '0' || cardState == '2'){
                //是否送万里通积分
                accountModel.getWLTCheckRule({
                    data: { "ruleId": config.values.wltJiHuo },
                    callback: function (res) {
                        //0是送积分1不送积分
                        if (res.object.wanlitongRule && res.object.wanlitongRule == 0) {
                            self.$("#wanlitongPrompt").show();
                        }
                    },
                    errorCallback: function (res) {
                        //utils.dialog.alert(res.message);
                    }
                });

                App.storage.get("UserInfo").set("cardState", "1");
                App.storage.get("UserInfo").set("activeState", "1");
                App.storage.get("UserInfo").set("bindState", "1");
            }
        },

        /**
		 * 功能：借记卡管理
		 * author:ex_huangzit
		 * time: 2015-12-28
		 */
        toSubmit: function () {
            var flag = App.storage.get("register/inputBindCard");
            (flag) ? App.navigate("login/login/gestureLogin",true) : App.navigate('index/indexLogined/index', true);
        }
    });
});