define(function(require, exports, module) {
    var temp = require("text!../../template/verifyIdentity/byFastAuthFail.html");
    var FormComponent = require("component/form");

    module.exports = FormComponent.extend({
        template: _.template(temp),
        events: {
            'tap #btnSubmit' : 'toSubmit',
            'tap #btnCancel' : 'toCancel'
        },
        
        initialize:function(options){
        	this.options = options.attributes;
        },
        
         /**
		 * 功能：银联成功倒计时
		 * author:wuwenjun059
		 * time: 2015-08-27 
		 */
        onShow:function(){
          $('#failMessage').html(this.options.failReason);
        },
        
        /**
		 * 功能：重新认证
		 * author:ex_huangzit
		 * time: 2015-08-21 
		 */
        toSubmit:function(){
        	App.storage.remove("verifyIdentity/byFastAuth");
        	App.storage.remove("verifyIdentity/bankOption");
            App.storage.remove("toPostUnionPay_formData");
            var registerBind= App.storage.get("register/bindCardFlag");
            var bindCardFlag = App.storage.get('UserInfo').get('bindCardFlag');
            if (bindCardFlag === '1' || registerBind === '1') { 
                var flag = App.storage.get("register/inputBindCard");
                (flag) ? App.navigate("login/login/gestureLogin",true) : App.navigate("verifyAccount/bindCard/inputBindCard", true);
            }else{
                App.navigate("verifyAccount/main/verifyIdentity", true);
            }
        },
        
         /**
		 * 功能：取消回到首页
		 * author:ex_huangzit
		 * time: 2015-08-21 
		 */
        toCancel:function(){
        	App.storage.remove("verifyIdentity/byFastAuth");
        	App.storage.remove("verifyIdentity/bankOption");
            App.storage.remove("toPostUnionPay_formData");
            var registerBind= App.storage.get("register/bindCardFlag");
            var bindCardFlag = App.storage.get('UserInfo').get('bindCardFlag');
            if (bindCardFlag === '1' || registerBind === '1') { 
                var flag = App.storage.get("register/inputBindCard");
                (flag) ? App.navigate("login/login/gestureLogin",true) :  App.navigate('me/accoutAndSecurity/bankManage/bindCard', true);
            }else{
                App.navigate('index/indexLogined/index', true);
            }
        }
    });
});