define(function(require, exports, module) {
    var temp 		  = require("text!../../template/verifyIdentity/byFastAuthSuccess.html");
    var FormComponent = require("component/form");
    var accountModel  = require("mod/common/model/accountModel");

    module.exports = FormComponent.extend({
        template: _.template(temp),
        events: {
            'tap #btnSubmit' : 'toSubmit'
        },

        onShow:function(){
            var self = this,
            userInfo = App.storage.get('UserInfo'),
            cardState = userInfo.get('cardState');

        	var data = App.storage.get("toPostUnionPay_formData");
        	App.storage.remove("bankManageObj");
        	this.$("#unionAccount").html(data.cardNo);

            if (cardState == '0' || cardState == '2'){
                //是否送万里通积分
                accountModel.getWLTCheckRule({
                    data : {"ruleId":config.values.wltJiHuo},
                    callback : function(res){
                        //0是送积分1不送积分
                        if(res.object.wanlitongRule && res.object.wanlitongRule == 0){
                            self.$("#wanlitongPrompt").show();
                        }
                    },
                    errorCallback : function(res){
                        //utils.dialog.alert(res.message);
                    }
                });

                App.storage.get("UserInfo").set("cardState", "1");
                App.storage.get("UserInfo").set("activeState", "1");
                App.storage.get("UserInfo").set("bindState", "1");
            }
        },

        /**
		 * 功能：跳转到银联
		 * author:ex_huangzit
		 * time: 2015-08-19
		 */
        toSubmit:function(){
        	App.storage.remove("verifyIdentity/byFastAuth");
        	App.storage.remove("verifyIdentity/bankOption");
        	App.navigate('index/indexLogined/index', true);
        }
    });
});