define(function(require, exports, module) {
    var temp = require("text!../../template/verifyIdentity/success.html");

    module.exports = ItemView.extend({
        template: _.template(temp),

        templateHelpers: {
            showMessage: function(){
                if (this.param == 'byIdCard') {
                    var telephone = App.storage.get("UserInfo").get("telephoneNum");
                    telephone = telephone.replace(/....(....)$/, "****$1");

                    var msg = "1 - 2个工作日内反馈审核结果。";
                    msg += "审核结果会通过短信发送到您的手机<span class='c_ffb400'>" + telephone + "</span>，请注意查收。";

                    return this._message('身份证上传成功！', msg);
                } else {
                    return this._message('身份验证成功！', '你现在可以把资金转入平安橙子和购买产品了!');
                }
            },

            _message: function(title, message){
                var html = '<p class="f14">' + title + '</p>';
                html += '<p class="c_bbb f12">' + message + '</p>';
                return html;
            }
        },

        events: {
            'tap #btnOk': 'success'
        },

        success: function(){
            App.navigate("me/logined/index", true);
        }

    });
});