/**
 * 万里通积分
 * by 7iang(wangqiang873)
 * 2015-06-24
 */
define(function(require, exports, module){
    var WanlitongView      = require("../view/wanlitong");
    var PointsEarnView     = require("../view/pointsEarn");
    var loginedAccountInfo = require("mod/me/model/loginedAccountInfo");

    var Wanlitong = module.exports = Controller.extend({
        actions : {
            "index"      : "index",     //首页
            "pointsEarn" : "pointsEarn" //积分获取和使用方式
        },

        /**
         * 显示万里通积分
         */
        index : function(){
            utils.native.talkingDataTrackEvent("万里通积分");
            App.header.reset({
                title : "万里通积分",
                leftButtonContent : "@back",
                leftButtonHandler : function(){
                    App.navigate("me/logined/index", true);
                }

                // rightButtonContent : "登录",
                // rightButtonHandler : function(){
                    // App.navigate("login/login/toaIndex",true);
                // }
            });

            App.footer.reset({"visible":false});

            loginedAccountInfo.getPointsLeft({
				url    : "getPointsLeft",
				data   : {},
				callback: function(res){
					App.container.show(new WanlitongView({model:new Model(res.object)}));
				},
				errorCallback: function(res){
					utils.dialog.alert(res.message,function(){
						App.navigate("me/logined/index",true);
					});
				}
			});
        },
        /**
         * 获得万里积分方法
         */
        pointsEarn: function(){
            App.header.reset({
                title : "积分获取使用方式",
                leftButtonContent : "@back",
                leftButtonHandler : function(){
                    App.navigate('wanlitong/wanlitong/index', true);
                }

                // rightButtonContent : "登录",
                // rightButtonHandler : function(){
                    // App.navigate("login/login/toaIndex",true);
                // }
            });

            App.footer.reset({"visible":false});
            App.container.show(new PointsEarnView());
        }
    });
});