define(function(require, exports, module){
    
    var CHANNEL_TYPE_DEFAULT = "0";
    var CHANNEL_TYPE_IPHONE = "1";
    var CHANNEL_TYPE_IPAD = "2";
    var CHANNEL_TYPE_ANDROID = "3";
    var CHANNEL_TYPE_WINDOWS_MOBILE_PHONE = "4";
    var CHANNEL_TYPE_IPHONE_WAP = "5";
    var CHANNEL_TYPE_IPAD_WAP = "6";
    var CHANNEL_TYPE_ANDROID_WAP = "7";
    var CHANNEL_TYPE_OTHER_WAP = "8";

    var ua = navigator.userAgent.toLowerCase();
    
    if(ua.indexOf("iphone") !== -1){
        module.exports = ENABLE_PHONEGAP ? CHANNEL_TYPE_IPHONE : CHANNEL_TYPE_IPAD_WAP;
    
    }else if(ua.indexOf("ipad") !== -1){
        module.exports = ENABLE_PHONEGAP ? CHANNEL_TYPE_IPAD : CHANNEL_TYPE_IPAD_WAP;
    
    }else if(ua.indexOf("android") !== -1){
        module.exports = ENABLE_PHONEGAP ? CHANNEL_TYPE_ANDROID : CHANNEL_TYPE_ANDROID_WAP;
    
    }else{
        module.exports = CHANNEL_TYPE_OTHER_WAP;
    }
});