/**
 * Created by EX-yangjingpeng001 on 2015/5/27.
 */
define(function (require, exports, module) {
    var IScroll = require('vendor/iscroll');
    var chooseBankTpl = require("text!./chooseBank.html");
//    require('idate');
    var ChooseBankView = module.exports = ItemView.extend({

        id: 'chooseView',
        name: 'chooseView',
        tagName: 'div',
        template: _.template(chooseBankTpl),
        events: {
            "input #searchBank": "filterBank",
            "tap .dswkb": "chooseBank"
        },
        initialize: function (options) {
            /*
             *   options必传  但是这里的数值 不能改变模版里的值
             * */
            var html = this.template(options);
            this.$el.html(html);
        },
        onShow: function () {
            alert("onRender");
//            var html = this.template(options);
//            this.$el.html(html);
//            this.initPTRScroll();
        },
        filterBank: function (e) {
//            this.$("#searchResult").show();
            this.$(".por").show();
            var inputSearchContent = $(e.currentTarget).val();
            if (inputSearchContent === "") {     //搜索内容为空 显示默认
                this.$(".por").show();
                this.$("#defaultBankDiv").show();
                this.$("#hotBanksDiv").show();
//                this.$("#separation").hide();
                this.$("#transForIntoInfo").show();
                this.$("#searchResult").hide();
                this.$("#searchFail").hide();
                this.$("#trnsforOutputBanksByLetter").show();
                this.$("#trnsforOutputBanksByLetter .qyMain").show();
                this.$("#trnsForIntoBanksByChinese").hide();
            } else {                             //搜索内容不为空 显示搜索结果
                /*
                 * A~Z 正则表达式 判定是按照字母查询？还是按照中文拼音查询？还是按照中文查询？
                 * 从而判定是否显示 div搜索结果
                 * 如果true  表示按字母查找 不显示 div搜索结果
                 *   1 **
                 * 如果false 表示按中文查找 显示 div搜索结果
                 *   1 将银行全部放入一个数组 trnsForIntoBanksByChinese
                 *   2 遍历数组(正则) 将其显示
                 */
                var checkLetter = /^[A-Za-z]+$/;
                var isLetter = checkLetter.test(inputSearchContent);
                if (inputSearchContent.length === 1 && isLetter) { //按照字母查询
                    this.$("#defaultBankDiv").hide();
                    this.$("#hotBanksDiv").hide();
                    this.$("#trnsForIntoBanksByChinese").hide();
//                      this.$("#separation").show();
                    this.$("#transForIntoInfo").hide();
                    var banks = $("#trnsforOutputBanksByLetter .qyMain");
                    var j = 0;
                    for (var i = 0, bL = banks.length; i < bL; i++) {
                        $($("#trnsforOutputBanksByLetter.qyMain")[i]).show();
                        var letter = $($(this.$("#trnsforOutputBanksByLetter .qyMain")[i]).find("p")[0]).html().trim();
                        if (letter !== inputSearchContent.toUpperCase() && letter !== inputSearchContent.toLowerCase()) {
                            $($("#trnsforOutputBanksByLetter .qyMain")[i]).hide();
                            j++;
                        }
                    }
                    if (j === bL) {
                        this.$("#searchResult").show();
                        this.$("#searchFail").show();
                        this.$("#trnsforOutputBanksByLetter").hide();
                    } else {
                        this.$("#searchResult").hide();
                        this.$("#searchFail").hide();
                    }
                } else {            //按照中文拼音、中文查询
                    this.$("#trnsForIntoBanksByChinese .searchCon .Columns ul").empty();
                    var trnsForIntoBanksByChinese = $("#trnsforOutputBanksByLetter .qyMain .Columns ul>li");
                    var count = 0;
                    for (var i = 0, bL = trnsForIntoBanksByChinese.length; i < bL; i++) {
                        var bankLi = trnsForIntoBanksByChinese[i];
                        var bankName = $(bankLi).find("div p").html().trim();
                        var bankPinyinName = $(bankLi).find("span").html().trim();
                        if (bankName.indexOf(inputSearchContent) > -1 || bankPinyinName.indexOf(inputSearchContent) > -1) {
//                            this.$("#trnsForIntoBanksByChinese")
                            var divClone = $(bankLi).clone();
                            this.$("#trnsForIntoBanksByChinese .searchCon .Columns ul").append(divClone);
                            count++;
                        }
                    }
                    if (count === 0) {      //没有搜索到一个可匹配银行
                        this.$("#searchFail").show();
                        this.$("#searchResult").show();
                        this.$("#trnsForIntoBanksByChinese").hide();
                        this.$("#trnsforOutputBanksByLetter").hide();
                        this.$(".por").hide();
                    } else {
                        this.$(".por").hide();
                        this.$("#searchFail").hide();
                        this.$("#searchResult").show();
                        this.$("#trnsForIntoBanksByChinese").show();
                    }
                }
            }
        },
        initChooseBank: function (options) {

        },
        chooseBank: function (e) {
            var temp = $(e.currentTarget);
            var chooseIcon = $(".dswkb .iconA59");
            if($(temp).attr("dataflag")!=="inputSearch"){
                $($(temp)[0]).append(chooseIcon);
            }
            alert($(temp).find("div p").text().trim());
        }
    });
});