define(function(require, exports, module){
    
   var Component = require("./component");
    
    
   var DatePicker = module.exports =  Component.extend({
       constructor:function(){
           DatePicker.__super__.constructor.apply(this, arguments);
           this.$el.on("tap",_.bind(this._dateClick,this));
       },
       
       _dateClick : function(e){
           var defaultDate = this.$el.attr("data-initDate");
           var startDate = this.$el.attr("data-startDate");
           var endDate = this.$el.attr("data-endDate");
           if(!defaultDate) return;
           utils.native.datepicker({"defaultDate":defaultDate,"startDate":startDate,"endDate":endDate,"title":"日期选择"},_.bind(function(arg){
                arg = $.parseJSON(arg);
                var date = arg.year+"-"+arg.month+"-"+arg.day;// {"month":"12","year":2014,"day":"23"};
                this.triggerBoth("dateSelect",this,date);            
           },this));  
       }
        
   });
});
