/*
 * @Author: LINQIUGUI177
 * @Date:   2016-05-11 19:43:56
 * @Last Modified by:   LINQIUGUI177
 * @Last Modified time: 2016-05-14 18:21:10
 */
/*
 * 选择红包弹窗View
 */
define(function(require, exports, module) {
	var RedPacketTpl   = require("text!./redPacketSelect.html");
	var PTRScroll      = require('component/PTRScroll');
	module.exports = ItemView.extend({
		template: _.template(RedPacketTpl),

		events: {
			"tap .radioSelected"    : "radioSelected",
			"tap .checkboxSelected" : "checkboxSelected",
			"tap #okSure"           : "okSure"
		},

		onRender: function() {
			this.selectionBox = this.model.get("selectionBox");
			this.redPacketId = this.model.get("redPacketId");
			this.listNum = this.model.get("listNum");
		},

		onShow: function(){
			this._iscroll();
			if(this.selectionBox == "radio"){
				this.radioSelected(null, this.listNum[0]);
			}else if(this.selectionBox == "checkbox"){
				var listNum = this.listNum;
				if(listNum){
					var length = listNum.length;
					for(var i=0; i<length; i++){
						var $cur = $(".checkboxSelected[data-num='"+this.listNum[i]+"']");
						$cur.find("i").toggleClass("on");
						$cur.find("i").parent().toggleClass("c_333 c_f90");
						if(_.indexOf(this.listNum, $cur.data("num")) == -1){
							this.listNum.push(parseInt($cur.data("num")));
						}
					}
				}
			}
		},

		// 上下拉插件
		_iscroll: function(){
			var dom = $("#redPacketListShow").css({"position": "relative"});
			this.scroller = new PTRScroll(dom[0], {
				"hScroll"           : false,
				"vScrollbar"        : false,
				"checkDOMChanges"   : true,
				"hideScrollbar"     : true,
				"pullDownToRefresh" : false,
				"pullUpToLoadMore"  : false
			});
		},

		// 单选选择支付红包
		radioSelected: function(e, listNum){
			var $cur = e ? $(e.currentTarget) : $(".radioSelected[data-num='"+listNum+"']");
			if($cur.data("status")=="1" && $cur.data("canselect")=="1" && !$cur.find("i").hasClass("iconA107small")){
				$(".radioSelected").find("i").removeClass("iconA107small").parent().addClass("c_333");
				$cur.find("i").addClass("iconA107small").parent().removeClass("c_333").addClass("c_f90");
				this.redPacketId = [$cur.data("id").toString()];
				this.listNum = [parseInt($cur.data("num"))];
			}else if($cur.data("status")=="1" && $cur.data("canselect")=="1"){
				$cur.find("i").toggleClass("iconA107small").parent().toggleClass("c_333").toggleClass("c_f90");
				this.redPacketId = [];
				this.listNum = [];
			}
		},

		// 多选选择支付红包
		checkboxSelected: function(e){
			var $cur = $(e.currentTarget);
			if($cur.data("status")=="1" && $cur.data("canselect")=="1"){
				$cur.find("i").toggleClass("on");
				$cur.find("i").parent().toggleClass("c_333 c_f90");
				if(_.indexOf(this.listNum, parseInt($cur.data("num"))) == -1){
					this.listNum.push(parseInt($cur.data("num")));
					this.redPacketId.push($cur.data("id").toString());
				}else{
					this.listNum = _.without(this.listNum, parseInt($cur.data("num")));
					this.redPacketId = _.without(this.redPacketId, $cur.data("id").toString());
				}
			}
			// console.log(this.listNum + "__" + this.redPacketId);
		},

		// 确定按钮
		okSure: function(){
			this.trigger("submit", {
				redPacketId : this.redPacketId,
				listNum : this.listNum
			});
		}
	});
});