define(function(require, exports, module){

    // exports all classes of marionette
    _.extend(exports, Marionette);

    exports.Collection = Backbone.Collection;
    exports.Model = Backbone.Model;

    exports.Application = require("./application");
    exports.Controller = require("./controller");
    exports.Router = require("./router");
    exports.CustomStorage = require("./storage");

    exports.TemplateCache = require("./templateCache");

});