/**
 * WUWENJUN059
 * 账户状态判断
 */
define(function(require, exports, module){
	var securityInfoModel = require("../model/accountModel");
    var bindCardTip = require('component/bindCardTip');

    window.accountInfoStatus = module.exports = {
    	//账户状态   url返回页面的地址  flag是否验证绑定银行卡  返回值为true是验证成功(未身份认证、冻结、绑定卡)
    	getAccountInfoStatus : function(bindCardFlag,url){
           var dfd = $.Deferred();
           $.when(
                securityInfoModel.getSecurityInfo()
           ).done(function(res){
           		var state = App.storage.get("UserInfo").get("cardState");
				var status = App.storage.get("cradLossStatus");
				var flag = true;
				var bindCard = res.object.bindState;
				App.storage.get("UserInfo").set("bindState",bindCard);
                
                //新增邦卡开关开启：则进行弹窗提示 ex_huangzit 2015-12-26
                if (bindCardTip.newBindFlag()) {
                    App.storage.set("accountInfoStatus/bindState", "1");
                    flag = false;
                    bindCardTip.activeSwitch();
                    return;
                }
                
                //旧的认证公共流程
				if(url == "" || url == undefined){
					url = "me/accoutAndSecurity/index";
				}
				App.storage.set("backUrl",url);

				if(status == false){
                    if (state == "1") {
                        if (bindCardFlag == true) {
                            if (bindCard == "1") {
                                flag = true;
                            } else {
                                App.navigate("common/accountInfoCon/accountUnBindAcc", true);
                                flag = false;
                            }
                        } else {
                            flag = true;
                        }

                    } else {
                        App.navigate("common/accountInfoCon/accountNoCard", true);
                        flag = false;
                    }
				}else{
					App.navigate("common/accountInfoCon/accountLoss", true);
					flag = false;
				}
           	 	dfd.resolve(flag);
           }).fail(function(error){
           		utils.dialog.alert(error.message);
           		App.navigate(url, true);
           		dfd.reject(false);
           });

           return dfd;

		},



		//账户状态认证(冻结) url返回页面的地址
		getAccountInfoLossStatus : function(url){
			if(url == "" || url == undefined){
				url = "me/accoutAndSecurity/index";
			}
			App.storage.set("backUrl",url);
			var status = App.storage.get("cradLossStatus");
			if(status == false){
				return true;
			}else{
				App.navigate("common/accountInfoCon/accountLoss", true);
				return false;
			}
		},

		//账户状态认证(未绑定卡) url返回页面的地址
		getAccountInfoBindCardStatus : function(url){
		   var dfd = $.Deferred();
           $.when(
                securityInfoModel.getSecurityInfo()
           ).done(function(res){
           		var flag = true;
           		var bindCard = res.object.bindState;
				App.storage.get("UserInfo").set("bindState",bindCard);
				if(url == "" || url == undefined){
					url = "me/accoutAndSecurity/index";
				}
				App.storage.set("backUrl",url);

				if(bindCard == "1"){
					flag = true;
				}else{
					App.navigate("common/accountInfoCon/accountUnBindAcc", true);
					flag = false;
				}
           	 	dfd.resolve(flag);
           }).fail(function(error){
           		utils.dialog.alert(error.message);
           		App.navigate(url, true);
           		dfd.reject(false);
           });

           return dfd;

		},

		//身份认证 url返回页面的地址
		getAccountInfoCardStateStatus : function(url){
			if(url == "" || url == undefined){
				url = "me/accoutAndSecurity/index";
			}
			App.storage.set("backUrl",url);
			var cardState = App.storage.get("UserInfo").get("cardState");
			if(cardState == "1"){
				return true;
			}else{
				App.navigate("common/accountInfoCon/accountNoCard", true);
				return false;
			}
		},

		//判断是否是手机号登陆 url返回页面的地址
		getIsTelephoneLogin : function(url){
			if(url == "" || url == undefined){
				url = "me/accoutAndSecurity/index";
			}
			App.storage.set("backUrl",url);
			var isTelephoneLogin = App.storage.get("UserInfo").get("isTelephoneLogin");
			if(isTelephoneLogin){
				App.navigate("common/accountInfoCon/accountNoCard", true);
				return true;
			}else{
				return false;
			}
		}
    };
});