/**
 * EX-WUWENJUN
 * 未身份认证、未绑定卡、冻结
 *
 */
define(function(require, exports, module) {
    var accountStaView       = require("mod/common/accountInfoStatus/accountInfoStaView");

    var index = module.exports = Controller.extend({
        actions : {
            'accountNoCard'     : 'accountNoCard',
            'accountLoss'       : 'accountLoss',
            'accountUnBindAcc'  : 'accountUnBindAcc'
        },

        accountNoCard : function() {
            var backUrl = App.storage.get("backUrl");
            App.storage.remove("backUrl");
            App.header.reset({
                title : "未身份认证",
                leftButtonContent : '@back',
                leftButtonHandler : function() {
                    //App.back();
                    App.navigate(backUrl,true);
                }
            });
            App.footer.reset({
                visible : false
            });
            App.container.show(new accountStaView(new Model({type:0})));
        },

        accountLoss : function(){
            var backUrl = App.storage.get("backUrl");
            App.storage.remove("backUrl");
            App.header.reset({
                title : "账户挂失",
                leftButtonContent : '@back',
                leftButtonHandler : function() {
                   App.navigate(backUrl,true);
                }
            });
            App.footer.reset({
                visible : false
            });
            App.container.show(new accountStaView(new Model({type:1})));
        },

        accountUnBindAcc : function(){
            var backUrl = App.storage.get("backUrl");
            App.storage.remove("backUrl");
            App.header.reset({
                title : "未绑定卡",
                leftButtonContent : '@back',
                leftButtonHandler : function() {
                    //App.back();
                    App.navigate(backUrl,true);
                }
            });
            App.footer.reset({
                visible : false
            });
            App.container.show(new accountStaView(new Model({type:2})));
        }
    });
});
