/**
 * wuyongsheng560 初始化上下拉
 */
define(function(require, exports, module) {
    var PTRScroll = require('component/PTRScroll');

    module.exports = function(options) {
        options || (options = {});
        var footerHeight,
            cssOpt = (typeof options.css === 'object' && options.css) || {},
            scroller = (typeof options.scroller === 'string' && options.scroller) || 'scroller',
            PTRScroller = (this.$(options.holder).length === 1 && this.$(options.holder)) || this.$('#PTRScroller'),
            webviewHeight = App.locStorage.get('webviewHeight'),
            gap = (options.gap && parseInt(options.gap, 10)) || 0;

        if (PTRScroller.length !== 1) return;
        if (this[scroller]) {
            this[scroller].destroy();
            delete this[scroller];
        }

        if (IS_RUN_ON_DEVICE) {
            webviewHeight = webviewHeight - gap;
        } else {
            footerHeight = App.footer.$el.is(':hidden') ? 0 : App.footer.$el.height();
            webviewHeight = webviewHeight - footerHeight - PTRScroller.offset().top - gap;
        }

        cssOpt = _.extend({
            height: webviewHeight,
            position: 'relative'
        }, cssOpt);

        PTRScroller.css(cssOpt);

        var defaultOptions = {
            'hScroll': false,
            'hideScrollbar': true,
            'vScrollbar': false,
            'pullDownToRefresh': false,
            'pullUpToLoadMore': false
                //, onBeforeScrollStart : function (e) {}
        };

        defaultOptions = _.extend(defaultOptions, _.omit(options, ['gap', 'css', 'scroller', 'holder']));

        this[scroller] = new PTRScroll(PTRScroller[0], defaultOptions);
    };

});
