/**
 * @author zhoushiwen
 * @ date ${date}
 * @company 中国平安
 */
define(function(require, exports, module) {
	var faqDetails = require("../view/faq/faqDetails");
	var UseRuleView = require("../view/faq/useRule");
	var BuyController = module.exports = Controller.extend({
		actions : {
			"czFaq/:code" : "czFaq"
		},
		authorize : function() {
			return true;
		},
		//常见问题首页
		czFaq : function(code) {   
			var self = this;
			App.header.reset({
				title : "常见问题",
				leftButtonContent : "@back",
				leftButtonHandler : function() {
					self.getBackUrl(code);
				}
			});
            if(code == "redPacket"){
                App.container.show(new UseRuleView({code : code}));
            }else{
               App.container.show(new faqDetails({code : code})); 
            }
			
		},

		getBackUrl : function(code) {
			switch (code) {
				case "bankfaq":
					App.navigate("me/accoutAndSecurity/bankManage/bindCard", true);
					break;
				case "creditCard":
					App.navigate("me/accoutAndSecurity/bankManage/creditCard", true);
					break;
				case "pinganying":
					App.navigate("pinganying/payIndex/index", true);
					break;
				case "dinghuotong":
					App.navigate("dinghuotong/index/login", true);
					break;
				case "finace":
					App.navigate("products/detail/finace", true);
					break;
				case "accoutAndSecurity":
					App.navigate("me/accoutAndSecurity/index", true);
					break;
				case "verifyIdentity":
					App.navigate("verifyAccount/main/verifyIdentity", true);
					break;
				case "pinganyinged":
					App.navigate("pinganying/payIndexLogin/index", true);
					break;
				case "dinghuotonged":
					App.navigate("dinghuotong/unlog/index", true);
					break;
				case "goldbao":
					App.navigate("products/detail/goldbao",true);
					break;
				case "redPacket":
				    App.navigate("redPacket/redPacket/index",true);
				    break;
			}

		}
	});
});
