/**
 * @author zhoushiwen
 * @ date ${date}
 * @company 中国平安
 */
define(function(require, exports, module) {
	var FinishTpl = require("text!../../template/faq/faqdetails.html")

	var FinishView = module.exports = ItemView.extend({
		template : _.template(FinishTpl),

		initialize : function(options) {

		},
		events : {
			"click #dntfaq" : "openBookLink",
			"tap .dswkb "   : "itemTap"

		},
		onShow : function() {
			var code = this.options.code;
			switch (code) {
				case "accoutAndSecurity":
					$("#accoutAndSecurity").removeClass("dsn");
					break;
				case "pinganying":
					$("#pinganying").removeClass("dsn");

					break;
				case "finace":
					var res = App.storage.get('czFaq/faqIndex/czFaq/finace');
					res = res ? res.fnType : '';
					if (res === '1') {
						var str = '<li class="dswkb"><span>日添利/天天利产品的购买赎回规则是什么样的呢？</span></li><p class=" c_999 f13 lh24 dsn pfaq">该产品每工作日可申购赎回，每工作日08：00-16：00可实时申购赎回。</p>';
						this.$("#finace").append(str);
					}

					$("#finace").removeClass("dsn");
					break;
				case "dinghuotong":
					$("#dinghuotong").removeClass("dsn");

					break;
				case "dinghuotonged":
					$("#dinghuotong").removeClass("dsn");

					break;

				case "pinganyinged":
					$("#pinganying").removeClass("dsn");

					break;
				case "verifyIdentity":
					$("#verifyIdentity").removeClass("dsn");

					break;
				case "bankfaq":
					$("#bankfaq").removeClass("dsn");

					break;
				case "creditCard":
					$("#bankfaq").removeClass("dsn");
					break;
				case "goldbao":
					$("#goldbao").removeClass("dsn");
					break;
			}

		},

		itemTap : function(e) {
			if($(e.currentTarget).next('p,div').is(':visible')){
				$(e.currentTarget).next('p,div').hide();
			}else{
				$(e.currentTarget).parents("ul").find("p,div").hide();
				$(e.currentTarget).next('p,div').show();
			}
		},
		openBookLink : function(e){
			e.stopPropagation();
			utils.window.open({
				title : "产品说明",
				url : "https://bank.pingan.com/geren/cunkuanlilv/index.shtml"
			});
		}
	});
});
