/**
 * @author liangyin
 */

define(function (require, exports, module) {
    var dinghuotongModel = module.exports = Model.extend({}, {
        /*
         * 定活通初始化
         */
        /*      dhtIni: function(options){
         var success = options.successCallback;
         var error = options.errorCallback;
         App.request("dhtIniData", {
         success : function(resp){
         success(resp);
         },
         error : function(resp){
         error(resp);
         }
         });
         },*/


        /*
         * 持有资产初始化集合
         **/
        dhtHoldAssetsList: function (options) {

            var success = options.successCallback;
            var error = options.errorCallback;
            var params = options.params;
            return App.request("fixedToCurrentTransferList", {
                data: params,
                success: function (resp) {
                    success && success(resp);
                },
                error: function (resp) {
                    error && error(resp);

                }

            });


        },
        /*
         *存入时发送密码到后台
         */
        sendPassword: function (options) {
            var success = options.successCallback;
            var error = options.errorCallback;
            App.request("no", {
                success: function (resp) {
                    success(resp);
                },
                error: function (resp) {
                    error(resp);

                }

            });

        },

        //购买定活通向后台提交数据

        currentToFixedTransferConfirm: function (option) {
            var formData = option.formData,
                errorCallback = option.errorCallback,
                callback = option.callback;
            App.request("currentToFixedTransferConfirm", {
                //  type : "POST",
                data: formData,
                success: function (resp) {
                    callback && callback(resp);
                },
                error: function (resp) {
                    errorCallback && errorCallback(resp);
                }
            });
        },

        //定活通收益率查询
        dinghuotongYearsIncome: function (option) {
            errorCallback = option.errorCallback,
                callback = option.callback;
            App.request("qryDepositInterestRate", {
                cancelWhenRouting: true,//设置为 true, 当页面跳转的时候会自动 取消该语法 (不调用任何回调)。
                success: function (resp) {
                    callback && callback(resp.object);
                },
                error: function (resp) {
                    errorCallback && errorCallback(resp);
                }
            });
        },

        /**
         *
         *
         * 定活通统计
         *
         */
        dhtBuyedMoneyQry: function (option) {
            var param = option.param,
                errorCallback = option.errorCallback,
                callback = option.callback;
            App.request("dhtBuyedMoneyQry", {
                data: param,
                cancelWhenRouting: true,//设置为 true, 当页面跳转的时候会自动 取消该语法 (不调用任何回调)。
                success: function (resp) {
                    callback && callback(resp.object);
                },
                error: function (resp) {
                    errorCallback && errorCallback(resp);
                }
            });
        },
        //获取靠档计息利率的方法

        dhtTotalIntRate: function (options) {
            var param = options.param,
                errorCallback = options.errorCallback,
                callback = options.callback;
            App.request("qryDhtRateAndInterest", {
                data: param,
                success: function (resp) {
                    callback && callback(resp.object);
                },
                error: function (resp) {
                    errorCallback && errorCallback(resp);
                }
            });

        },
        //起存金额，最高年利率
        qreryDepositInterestRate: function (options) {
            var param = options.param,
                errorCallback = options.errorCallback,
                callback = options.callback;
            App.request("qryDepositInterestRate", {
                data: param,
                success: function (resp) {
                    callback && callback(resp.object);
                },
                error: function (resp) {
                    errorCallback && errorCallback(resp);
                }
            });
        },
        //异步加载的方法
        searchAccountDetail: function (options) {
            return App.request("searchAccountDetail", options);
        }

    });
});