/**
 * @author liangyin
 */

define(function (require, exports, module) {
    var accountInfoStatus = require("../../common/accountInfoStatus/accountInfoStatus");
    var DhtUnloginTpl = require("text!../template/dhtUnlogin.html");
    var DhtUnloginModel = require("../model/dhtModel");
    var DhtUnloginView = module.exports = ItemView.extend({
        template: _.template(DhtUnloginTpl),
        events: {
            "tap .jqdswkb": "_sliderUpDown",
            "tap #dhtToDeposit": "_unlogToDeposit",
            "tap #faq": "bankfaq"


        },
        initialize: function () {

            DhtUnloginModel.qreryDepositInterestRate({
                "param": "",
                "errorCallback": function (resp) {
                    utils.dialog.alert(resp.message);
                },
                "callback": function (resp) {

                    var minAccount = resp.minAmt;
                    var highestRate = resp.intRate;
                    var minAccount = utils.string.numberFormat(minAccount) + '<i class="f12 lh12">元</i>';
                    this.$("#minAccount").html(minAccount);
                    this.$("#highestRate").text(highestRate);

                }
            });

        },
        onRender: function () {
        },

        onShow: function () {

            /*var minAccount=App.storage.get('dinghuotong/unlog/index').attributes.minAmt;
             var highestRate=App.storage.get('dinghuotong/unlog/index').attributes.intRate;*/
            /*var minAccount=App.storage.get('dhtMinAccount');
             var highestRate=App.storage.get('dhtHighestRate');
             minAccount = utils.string.numberFormat(minAccount);
             this.$("#minAccount").text(minAccount);
             this.$("#highestRate").text(highestRate);*/

        },
        _unlogToDeposit: function () {
            App.navigate("dinghuotong/index/dhtDeposit", true);
        },


        _sliderUpDown: function (events) {

            tempThis = this.$(events.currentTarget);
            this.$(".jqdswkb").not(tempThis).each(function () {
                forCon = $(this);
                $(this).find("i").removeClass("on");
                forCon.siblings(".con").slideUp();

            })
            tempThis.find("i").toggleClass("on");
            tempThis.siblings(".con").slideToggle();

        },
        bankfaq: function () {
            App.navigate('czFaq/faqIndex/czFaq/dinghuotonged', true);

        }
    });

})
