/*
 *  我的梦想
 * zhoushiwen
 *  2015.10.28
 */
define(function(require, exports, module) {
	var FormComponent = require("component/form");
	var PTRScroll = require("component/PTRScroll");
	var dreamModel = require("../model/dream");
	var myDreamListView = require("../view/myDreamList");
	var myDreamHtml = require("text!../template/myDream.html");
	var myDreamListHtml = require("text!../template/myDreamList.html");
	var indexView = module.exports = FormComponent.extend({
		template : _.template(myDreamHtml),
		regions : {
			'transListRegion' : '#transRecordListContainer'
		},
		events : {
			"tap #dreamWall" : "dreamWall",
			"tap #addDream" : "addDream",
			"tap .Mask" : "Mask",
			"tap .iconF5" : "pointPraise",
			"tap .iconF6" : "pointReport",
			"tap  #dreamQ" : "gtouchend",
			"tap  .wjnr" : "gtouchend"

		},

		initialize : function() {
			this.param = this.model.get('param');
			this.submitFlag = false;
			recordCollection = [];
		},
		onRender : function() {

		},

		onShow : function() {
			//var dreamModel = App.storage.get('myDreames');

			// if (dreamModel) {
			// if (dreamModel.length != 0) {
			// listA = [];
			// listB = [];
			// listss = dreamModel;
			//
			// if (listss.length) {
			// for (var i = 0; i < listss.length; i++) {
			// if (i % 2 == 0) {
			// listA.push(listss[i])
			// } else {
			// listB.push(listss[i])
			// }
			// }
			// }
			// str = _.template(myDreamListHtml, {
			// 'data' : listss,
			// 'listA' : listA,
			// 'listB' : listB
			// });
			// $("#transRecordListContainer").html(str);
			//
			// this.initPTRScroll();
			// recordCollection = [];
			// this.initPullUpToLoadMore(dreamModel);
			// } else {
			//
			// this.qryFirstPageData();
			//
			// }

			//} else {
			this.qryFirstPageData();

			//}

		},
		Mask : function() {
			$(".Mask").hide();
		},
		// 准备查询（当首次进入页面 或 变更查询参数时）
		qryFirstPageData : function() {
			var param = this.param;
			param.pageIndex = 1;
			this.doQryFirstPageData(param);
		},
		// 执行查询（当首次进入页面 或 变更查询参数时）
		doQryFirstPageData : function(param) {
			this.qryData({
				param : param,
				callback : _.bind(function(response) {
					var list = this.getResultList(response.object.allDreamsList);

					//判断当前用户是否又存在梦想
					if (!list || list.length == 0) {
						this.initPTRScroll();
						this.initPullUpToLoadMore(response.object);
						recordCollection = [];

						listA = [];
						listB = [];
						listss = response.object.allDreamsList.length;

						if (listss.length) {
							for (var i = 0; i < listss.length; i++) {
								if (i % 2 == 0) {
									listA.push(listss[i])
								} else {
									listB.push(listss[i])
								}
							}
						}
						str = _.template(myDreamListHtml, {
							'data' : listss,
							'listA' : listA,
							'listB' : listB
						});
						$("#transRecordListContainer").html(str);

					} else {
						this.initPTRScroll();
						recordCollection = [];
						recordCollection = list;
						listA = [];
						listB = [];
						if (recordCollection.length) {
							for (var i = 0; i < recordCollection.length; i++) {

								if (i % 2 == 0) {
									listA.push(list[i])
								} else {
									listB.push(list[i])
								}
							}
						}

						str = _.template(myDreamListHtml, {
							'data' : list,
							'listA' : listA,
							'listB' : listB
						});
						$("#transRecordListContainer").html(str);
					}
				}, this)
			});
		},
		//执行请求数据
		qryData : function(options) {
			var self = this;
			// 防重复提交
			if (self.submitFlag)
				return;
			self.submitFlag = true;
			dreamModel.qryMyDream({
				param : options.param,
				callback : function(response) {
					options.callback && options.callback(response);
					App.storage.set('myDreames', recordCollection);

				},
				errorCallback : function(err) {
					utils.dialog.alert(err.message);
				},
				complete : function() {
					options.complete && options.complete();
					self.submitFlag = false;
				}
			});
		},

		getResultList : function(response) {
			if (response) {
				return response;
			} else {
				return [];
			}
		},

		//初始化上下拉标签
		initPullUpToLoadMore : function(object) {
			if (object.totalNum > 1 * this.param.pageIndex * object.pageSize) {
				this.scroller.enablePullUpToLoadMore();
			} else {
				this.scroller.disabledPullUpToLoadMore();
			}
		},

		//初始化上下拉
		initPTRScroll : function() {
			if (this.scroller)
				return;
			var self = this;
			//var wHeight = $(window).outerHeight(true);
			var wHeight = App.locStorage.get('webviewHeight');
			var listHeight = wHeight - 10;
			var dom = $("#scrollContainer").css({
				"height" : listHeight,
				"position" : "relative"

			});

			//初始化iscroller
			this.scroller = new PTRScroll(dom[0], {
				"hScroll" : false,
				"checkDOMChanges" : true,
				"vScrollbar" : false

			});
			//下拉刷新
			this.scroller.options.refreshContent = function(refresh) {
				self.scrollerLoadData(refresh, 1);
			};
			//上拉加载
			this.scroller.options.loadMoreContent = function(refresh) {
				self.scrollerLoadData(refresh, self.param.pageIndex + 1);
			};
		},
		//上下拉时加载数据
		scrollerLoadData : function(refresh, pageIndex) {
			var self = this;
			// 重置页码参数
			var param = this.param;
			var tempParam = _.defaults({
				pageIndex : pageIndex
			}, param);
			// 请求数据

			this.qryData({
				param : tempParam,
				callback : function(response) {
					param.pageIndex = pageIndex;
					var list = self.getResultList(response);
					if (pageIndex == 1) {
						recordCollection = list.object.allDreamsList;
					} else if (param.pageIndex > 1) {
						recordCollection = recordCollection.concat(list.object.allDreamsList);

					} else {
					}
					listA = [];
					listB = [];
					a = recordCollection;
					if (a.length) {
						for (var i = 0; i < a.length; i++) {
							if (i % 2 == 0) {
								listA.push(a[i])
							} else {
								listB.push(a[i])
							}
						}
					}
					str = _.template(myDreamListHtml, {
						'data' : a,
						'listA' : listA,
						'listB' : listB
					});
					$("#transRecordListContainer").html(str);

					self.initPullUpToLoadMore(response.object);
				},
				complete : function() {
					refresh();
				}
			});
		},
		//底部菜单-梦想墙
		dreamWall : function() {
			App.navigate("dream/dream/dreamWall", true);
		},
		//底部菜单-添加梦想
		addDream : function() {
			//禁言(0未禁言,1禁言)与频次(0合理,1不合理)
			var promise = $.when(dreamModel.isOrNotForbidden(), dreamModel.dreamFrequencyControl());
			promise.done(function(arg1, arg2) {
				var arg1 = arg1[0].object;
				var arg2 = arg2[0].object;
				if (arg1.chkFlag == 1) {
					utils.dialog.alert("因您多次发表违禁内容，已被禁言，不能发表梦想！");
				} else if (arg2.chkFlag == 1) {
					utils.dialog.alert("您发布梦想的频率过高，请稍候再添加");
				} else {
					App.storage.set("addDreamFromPage", "dream/dream/myDream");
					App.navigate("dream/dream/addDream", true);
				}
			});
			promise.fail(function(err) {
				utils.dialog.toast(err.message);
			});
		},
		//点赞
		pointPraise : function(e) {

			var data = {}
			var dreamId = $.parseJSON($(e.currentTarget).closest('div').attr("data-obj")).dreamId
			data.dreamId = dreamId;
			data.flag = 1
			var dian = $(e.currentTarget);

			dreamModel.praiseOrReport({
				data : data,
				callback : function(res) {
					if (dian.hasClass('on')) {
						var dreamData = App.storage.get('myDreames');

						for (var i = 0; i < dreamData.length; i++) {

							if (dreamData[i].dreamId == dreamId) {

								dreamData[i].praiseAmt = parseInt(dreamData[i].praiseAmt) - parseInt(1);
								dreamData[i].praiseFlag = 0;
							}
						}

						var num = dian.next().text();
						var num1 = parseInt(num) - parseInt(1)
						dian.removeClass('on');
						dian.next().text(num1)

						utils.dialog.toast("点赞取消");
					} else {
						var dreamData = App.storage.get('myDreames');

						for (var i = 0; i < dreamData.length; i++) {

							if (dreamData[i].dreamId == dreamId) {

								dreamData[i].praiseAmt = parseInt(dreamData[i].praiseAmt) + parseInt(1);
								dreamData[i].praiseFlag = 1;

							}
						}

						var num = dian.next().text();
						var num1 = parseInt(num) + parseInt(1)
						dian.addClass('on');
						dian.next().text(num1)
						utils.dialog.toast("点赞成功");
					}

				},
				errorCallback : function(err) {
					utils.dialog.toast(err.message);
				}
			});

		},

		//举报
		pointReport : function(e) {
			var dian = $(e.currentTarget);

			var dreamID = $.parseJSON($(e.currentTarget).closest('div').attr("data-obj")).dreamId
			var data = {}
			var dreamId = $.parseJSON($(e.currentTarget).closest('div').attr("data-obj")).dreamId
			data.dreamId = dreamId;
			data.flag = 0;

			dreamModel.praiseOrReport({
				data : data,
				callback : function(res) {
					if (dian.hasClass('on')) {
						var dreamData = App.storage.get('myDreames');

						for (var i = 0; i < dreamData.length; i++) {

							if (dreamData[i].dreamId == dreamId) {

								dreamData[i].reportAmt = parseInt(dreamData[i].reportAmt) - parseInt(1);
								dreamData[i].reportFlag = 0;
							}
						}
						var num = dian.next().text();
						var num1 = parseInt(num) - parseInt(1)
						dian.removeClass('on');
						dian.next().text(num1)

						utils.dialog.toast("举报取消");

					} else {
						var dreamData = App.storage.get('myDreames');

						for (var i = 0; i < dreamData.length; i++) {

							if (dreamData[i].dreamId == dreamId) {

								dreamData[i].reportAmt = parseInt(dreamData[i].reportAmt) + parseInt(1);
								dreamData[i].reportFlag = 1;
							}
						}
						var num = dian.next().text();
						var num1 = parseInt(num) + parseInt(1)
						dian.addClass('on');
						dian.next().text(num1)
						utils.dialog.toast("举报成功");
					}

				},
				errorCallback : function(err) {
					utils.dialog.toast(err.message);
				}
			});

		},
		gtouchend : function(e) {
			e.preventDefault();

			var self = this;

			var curr = e.currentTarget;
			App.storage.set("dreamDetailId", $.parseJSON($(curr).attr("data-obj")).dreamId);
			App.storage.set("dreamState", $.parseJSON($(curr).attr("data-obj")).state);

			App.storage.set("dreamDisplayList", 1);
			App.navigate("dream/dream/dreamDetails", true);

		},
	});

});

