/**
 * 橙子成就-搞基好手
 * ex_huangzit
 * 2016-05-03
 */
define(function (require, exports, module) {
	var medalTpl = require("text!../template/medal.html");
	module.exports = ItemView.extend({
		template: _.template(medalTpl),
		events: {
			"tap #share"      : "share",
			"tap #investment" : "investment"
		},
		templateHelpers: {
			monthHis: function (month) {
				var monthValue = '';
				if(month === '1') monthValue = 'on'; //勋章上锁
				return monthValue;
			}
		},
		initialize: function(){
			this.medalData = this.model.attributes;
			this.shareData = {};
			switch(this.medalData.type){
				case "1":
					this.shareData.imgName="tryToResolve.png";
					this.shareData.title="初试牛刀";
					this.shareData.message="“初试牛刀”勋章和积分等你来拿";
					break;
				case "2":
					this.shareData.imgName="moonlightClan.png";
					this.shareData.title="告别月光";
					this.shareData.message="“告别月光”勋章和积分等你来拿";
					break;
				case "3":
					this.shareData.imgName="myriadHousehold.png";
					this.shareData.title="万元户";
					this.shareData.message="“万元户”勋章和积分等你来拿";
					break;
				case "4":
					this.shareData.imgName="doFundGood.png";
					this.shareData.title="搞基好手";
					this.shareData.message="“搞基好手”勋章和积分等你来拿";
					break;
				case "5":
					this.shareData.imgName="riskAssessment.png";
					this.shareData.title="线下风测";
					this.shareData.message="“线下风测”勋章和积分等你来拿";
					break;
			}
		},
		//立即投资
		investment: function (){
			this.$(".Mask").hide();
			switch(this.medalData.type){
				case "1":
					App.navigate('products/index/index/depositTake', true);
					break;
				case "2":
					App.navigate('index/indexLogined/index', true);
					break;
				case "3":
					App.navigate('index/indexLogined/index', true);
					break;
				case "4":
					App.navigate('products/index/index/selectFund', true);
					break;
			}
		},

		//分享给好友
		share: function (e){
			e.stopPropagation();
			e.preventDefault();
			var title = this.shareData.title;
			var message = this.shareData.message;
			var url = IS_RUN_IN_PRODUCTION_ENVIRONMENT == false ?
				"http://ibpu1.sdb.com.cn/ibd/page/web_for_h5/share_h5/index.html?" :
				"https://cz.pingan.com.cn/ibd/page/web_for_h5/share_h5/index.html?";
			url = url + "type=13&code="+this.medalData.type;

			var img = new Image();
			img.src = 'images/'+this.shareData.imgName;

			img.crossOrigin = 'Anonymous';
			// 设置canvas宽高为图片宽高
			img.onload = function () {
				// 创建一个canvas
				var c = document.createElement("canvas");
				// 定制画布的宽高
				c.width = img.width;
				c.height = img.height;
				// 将图片绘制到canvas
				var cxt = c.getContext("2d");
				cxt.drawImage(img, 0, 0);
				// 得到图片的base64编码数据
				var picData = c.toDataURL("image/jpeg", 0.8);
				//梦想图片
				var imageUrl = picData.split(',')[1];
				utils.native.shareProduct({
					"title"     : title,
					"message"   : message,
					"url"       : url,
					"type"      : 0,
					"imageSize" : 150,
					"image"     : imageUrl
				});
			};
			img.onerror = function () {
				utils.dialog.toast("数据请求失败!");
			};
		}
	});
});