/**
 * liujun
 * 基金赎回
 * 2015/8/17
*/
define(function(require, exports, module){
	var fundRedemptionView = require('../view/redemption/fundRedemption');
    var redemptionTypeView = require('../view/redemption/redemptionType');
    var redemptionSuccessView = require('../view/redemption/redemptionSuccess');
	
	var redemption = module.exports = Controller.extend({
		actions: {
			'fundRedemption' : 'fundRedemption',
            'redemptionType' : 'redemptionType',
            'redemptionSuccess' : 'redemptionSuccess'
		},

        //基金赎回
		fundRedemption : function(){
            App.header.reset({
                title : '基金赎回',
                leftButtonContent : '@back',
                leftButtonHandler : function(){
                    setTimeout(function(){
                        App.navigate('myProperty/holdDetailsInfo/index',true);
                    },600);
                }
            });
            App.container.show(new fundRedemptionView());
        },

        //巨额赎回处理方式
        redemptionType : function(){
            App.header.reset({
                title : '巨额赎回处理方式',
                leftButtonContent : '@back',
                leftButtonHandler : function(){
                    App.navigate('fund/redemption/fundRedemption',true);
                }
            });
            App.container.show(new redemptionTypeView());
        },

        //赎回成功
        redemptionSuccess : function(){
             App.header.reset({
                title : '赎回成功',
                leftButtonContent : '@back',
                leftButtonHandler : function(){
                    App.navigate('myProperty/myProperty/index',true);
                }
            });
            App.container.show(new redemptionSuccessView());
        }

        
	});
});