/**
 * liujun
 * 基金持有委托Model 
 * 
 */
define(function(require,exports,module){
    var fundDetailsModel = module.exports = Model.extend({},{
        
        //基金赎回
        fundRedemption : function(options){
            App.request(options.url,{
                data: options.data,
                success: function(res){
                    if(res.success){
                        options.callback && options.callback(res);
                    }
                },
                error: function(err){
                    options.errorCallback && options.errorCallback(err);
                }
            });
        },

        //委托撤销
        entrustRevote : function(options){
            App.request(options.url,{
                data : options.data,
                success : function(res){
                    if(res.success){
                        options.callback && options.callback(res);
                    }
                },
                error : function(err){
                    options.errorCallback && options.errorCallback(err);
                }
            });
        },

        //分红方式设置
        bonusTypeSettings : function(options){
            App.request(options.url,{
                data : options.data,
                success : function(res){
                    if(res.success){
                        options.callback && options.callback(res);
                    }
                },
                error : function(err){
                    options.errorCallback && options.errorCallback(err);
                }
            });
        },

        //基金详情查询
        queryFundDetails : function(options){
            App.request(options.url,{
                data: options.data,
                success: function(res){
                    if(res.success){
                        options.callback && options.callback(res);
                    }
                },
                error: function(err){
                    options.errorCallback && options.errorCallback(err);
                }
            });
        },

        //查询基金委托费率
        fundRateDetails: function(options){
            return App.request("entrustFundRateDetails",{
               data: options.data
            });
        },
        
        //基金定投管理
        qryFundFix : function(options){
            App.request(options.url,{
                data: options.data,
                success: function(res){
                    if(res.success){
                        options.callback && options.callback(res);
                    }
                },
                error: function(err){
                    options.errorCallback && options.errorCallback(err);
                }
            });
        },
        
        //基金定投修改
        qryFundFixModify : function(options){
            App.request(options.url,{
                data: options.data,
                success: function(res){
                    if(res.success){
                        options.callback && options.callback(res);
                    }
                },
                error: function(err){
                    options.errorCallback && options.errorCallback(err);
                }
            });
        },
        
        //基金终止、恢复、暂停
        qryFundFixOpera : function(options){
            App.request(options.url,{
                data: options.data,
                success: function(res){
                    if(res.success){
                        options.callback && options.callback(res);
                    }
                },
                error: function(err){
                    options.errorCallback && options.errorCallback(err);
                }
            });
        }
    });
});