/*
* @Author: WANGQIANG873
* @Date:   2016-04-18 14:54:43
* @Last Modified by:   WANGQIANG873
* @Last Modified time: 2016-04-21 15:03:49
*/

define(function(require, exports, module){
	var Tpl     = require("text!../template/buySuccess.html");

	var indexView = module.exports = ItemView.extend({
		template : _.template(Tpl),
		events:{
			"tap #buyAgain"  : "buyAgain",
			"tap #backIndex" : "backIndex"
		},
		initialize:function(){
			this.model = new Model(App.storage.get("fundStrong_buy_success_data"));
		},
		onShow: function(){
			var buyDate    = utils.date.formatTime(this.model.get("buyDate")).format("yyyy-MM-dd");
			var startDate  = utils.date.formatTime(this.model.get("lotRegisteredDate")).format("yyyy-MM-dd");
			var incomeDate = utils.date.formatTime(this.model.get("incomeRegisteredDate")).format("yyyy-MM-dd");

			var amtHtml    = utils.string.numberFormat(this.model.get("cfmAmt"));
			var buyHtml    = buyDate+" "+utils.date.getWeek(buyDate);
			var startHtml  = startDate+" "+utils.date.getWeek(startDate);
			var incomeHtml = incomeDate+" "+utils.date.getWeek(incomeDate);

			$("#buyAmt").html(amtHtml);
			$("#buyDate").html(buyHtml);
			$("#startDate").html(startHtml);
			$("#incomeDate").html(incomeHtml);
		},
		buyAgain: function(){
			App.navigate('fundStrong/fundStrongLogin/buy', true);
		},
		backIndex: function(){
			App.navigate('index/indexLogined/index', true);
		}
	});
});