/*
* @Author: WANGQIANG873
* @Date:   2016-04-18 14:54:43
* @Last Modified by:   WANGQIANG873
* @Last Modified time: 2016-04-25 17:00:49
*/

define(function(require, exports, module){
	var Tpl     = require("text!../template/redeemSuccess.html");

	var indexView = module.exports = ItemView.extend({
		template : _.template(Tpl),
		events:{
			"tap #redeemProgress" : "redeemProgress",
			"tap #backIndex"   : "backIndex"
		},
		initialize:function(){
			this.model = new Model(App.storage.get("fundStrong_redeem_success_data"));
		},
		onShow: function(){
			var redeemDate = utils.date.formatTime(this.model.get("redeemDate")).format("yyyy-MM-dd");
			var incomeDate = utils.date.formatTime(this.model.get("redeemEffectDate")).format("yyyy-MM-dd");

			var amtHtml    = utils.string.numberFormat(this.model.get("ibuyLot"));
			var incomeHtml = incomeDate+" 24:00:00 前";

			$("#redeemAmt").html(amtHtml);
			$("#redeemDate").html(redeemDate); //赎回日期
			$("#incomeDate").html(incomeHtml); //赎回到账日期
		},
		redeemProgress: function(){
			App.navigate('myProperty/myProperty/index', true);
		},
		backIndex: function(){
			App.navigate('index/indexLogined/index', true);
		}
	});
});