/**
 * liu jun 黄金宝追加购买
 * 15.9.25
 *
 */
define(function (require, exports, module) {
	var addPurchaseView = require("../view/addPurchase/addPurchase");
	var addPurchaseFinishView = require("../view/addPurchase/addPurchaseFinish");
	var rule = require("../view/addPurchase/rule");
	var accountModel = require("mod/common/model/accountModel");

	var AddPurchaseController = module.exports = Controller.extend({
			actions : {
				"addPurchase" : "addPurchasePage",
				"addPurchaseFinish" : "addPurchaseFinishPage",
				"rule": "rule"
			},

			//黄金宝追加购买
			addPurchasePage : function () {
				App.header.reset({
					title : "填写信息",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
					    App.storage.remove("goldtreasure");   //产品详情
                        App.storage.remove("selPayBeforeData");   //选择支付方式缓存信息
						App.navigate("myProperty/holdDetailsInfo/index", true);
					},
					rightButtonContent: "规则",
					rightButtonHandler: function(){
					  	App.navigate("goldtreasure/addPurchase/rule",true);
					}
				});
				App.footer.reset({
					visible : false
				});
                //判断是否存在选择支付方式缓存信息
                if(App.storage.get("selPayBeforeData")){
                    App.container.show(new addPurchaseView({
                        model : new Model(App.storage.get("goldtreasure"))
                    }));
                }else{
    				var promise = $.when(accountModel.qryAccountList(), accountModel.asycAccountInfo());
    
    				promise.done(function (arg1, arg2) {
    
    					var tempData = {
    						"GoldTreasureAddData" : App.storage.get("goldTreasureAddDetailData")
    					};
    					var addPurchaseData = _.extend(tempData, {
    							balance : arg2[0].object.balance,
    							dhBalance : arg2[0].object.dhBalance,
                                totalBalance : arg2[0].object.totalBalance,
    							accountList : arg1[0].object.accountList
    						});
    					App.storage.set("goldtreasure",addPurchaseData);
    					App.container.show(new addPurchaseView({
    							model : new Model(addPurchaseData)
    						}));
    				});
    
    				promise.fail(function (err) {
    					utils.dialog.alert(err.message);
    				});
                }
			},

			//追加购买成功页面
			addPurchaseFinishPage : function () {
				App.header.reset({
					title : "提交成功",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.navigate("myProperty/myProperty/index", true);
					}
				});
				
				App.container.show(new addPurchaseFinishView());
			},

			//规则
			rule :function(){
				App.header.reset({
					title : "规则",
					leftButtonContent : '@back',
					leftButtonHandler : function() {
						App.navigate("goldtreasure/addPurchase/addPurchase", true);
					}
				});
				App.container.show(new rule());
			},

		});
});
