/**
 * ex-chenfuhua001
 * 功能描述：夺宝奇兵（新手专享）宝箱列表页
 */
define(function(require, exports, module){
	var indianaJonesTpl = require("text!../template/indianaJones.html");
	var Index = module.exports = ItemView.extend({
		template: _.template(indianaJonesTpl),

		events: {
			"tap #newOrange"      : "newOrange",
			"tap #newFinancial"   : "newFinancial",
			"tap #popularity"     : "popularity",
			"tap #revenueDetails" : "revenueDetails"
		},

		initialize: function(){
			this.eventsClient = true;
		},

		onShow: function(){
			this.databaseList = this.model.get("databaseList");
			//如果在活动前激活，三个宝箱都未领取
			if(!this.databaseList[0] && !this.databaseList[1] && !this.databaseList[2]){
				this.eventsClient = false;
				$("#newOrange .main1p1").hide();
				$("#newFinancial .main2p1").hide();
				$("#popularity .main4p1").hide();
			}else if(this.databaseList.length == 2){
				if(this.databaseList[0].boxStatus == 1 || this.databaseList[0].boxStatus == 2 || this.databaseList[0].boxStatus == 4){
					$("#popularity").addClass("on");
					$("#popularity .main4p1").hide();
				}
				if(this.databaseList[1].boxStatus == 1 || this.databaseList[1].boxStatus == 2 || this.databaseList[1].boxStatus == 4){
					$("#newFinancial").addClass("on");
					$("#newFinancial .main2p1").hide();
				}
			}else{
				if(this.databaseList[0].boxStatus == 1 || this.databaseList[0].boxStatus == 2 || this.databaseList[0].boxStatus == 4){
					$("#newOrange").addClass("on");
					$("#newOrange .main1p1").hide();
				}
				if(this.databaseList[1].boxStatus == 1 || this.databaseList[1].boxStatus == 2 || this.databaseList[1].boxStatus == 4){
					$("#newFinancial").addClass("on");
					$("#newFinancial .main2p1").hide();
				}
				if(this.databaseList[2].boxStatus == 1 || this.databaseList[2].boxStatus == 2 || this.databaseList[2].boxStatus == 4){
					$("#popularity").addClass("on");
					$("#popularity .main4p1").hide();
				}
			}
		},

		//新橙宝箱按钮
		newOrange:function(){
			//如果是非活动客户，弹框提示
			if(!this.eventsClient){
				utils.dialog.alert("不满足领取宝箱条件，此活动只针对4月29日后注册的新用户");
			}else{
				App.navigate("indianaJones/indianaJones/newOrangeChest", true);
			}
		},

		//新人理财宝箱按钮
		newFinancial : function(){
			//如果是非活动客户，弹框提示
			if(!this.eventsClient){
				utils.dialog.alert("不满足领取宝箱条件，此活动只针对4月29日后注册的新用户");
			}else{
				App.navigate("indianaJones/indianaJones/newFinancialDatabase", true);
			}
		},

		//人气宝箱按钮
		popularity:function(){
			//如果是非活动客户，弹框提示
			if(!this.eventsClient){
				utils.dialog.alert("不满足领取宝箱条件，此宝箱只针对4月29日后注册的新用户");
			}else{
				App.navigate("indianaJones/indianaJones/popularDatabase", true);
			}
		},

		//宝箱列表详情按钮
		revenueDetails:function(){
			if(!this.eventsClient){
				App.navigate("indianaJones/indianaJones/revenueError", true);
			}else{
				App.navigate("indianaJones/indianaJones/revenueDetails", true);
			}
		}

	});
});