/**
 * ex-chenfuhua001
 * 功能描述：夺宝奇兵（新手专享）新人理财宝箱页
 */
define(function(require, exports, module){
	var newFinancialDatabaseTpl = require("text!../template/newFinancialDatabase.html");
	var indianaJonesModel       = require("../model/indianaJonesModel");
	var Index = module.exports = ItemView.extend({
		template: _.template(newFinancialDatabaseTpl),
		events: {
			"tap #pushButton"    : "pushButton",
			"tap #activityRules" : "activityRules",
			"tap #bombBox"       : "activityRules",
			"tap #buy_now"       : "buy_now"
		},

		pushButton: function(){
			var boxId = this.model.get("boxId");
			var boxStatus = this.model.get("boxStatus");	//宝箱状态
			//如果宝箱未打开或已打开未升级
			if(boxStatus == 0 || boxStatus == 1){
				indianaJonesModel.openChest({
					data:{"id": boxId},
					callback: function(res){
						var code = res.object.code;
						//101 ：宝箱2、3:打开后升级成功、102 ：宝箱2、3:直接升级成功、103 ：宝箱2、3:打开成功
						if(code == 101 || code == 102 || code == 103){
							var database        = res.object.list[0] || "";
							var openDate        = new Date(database.boxOpenDate).format("MM月dd日");
							var upgradeDate     = new Date(database.boxUpgradeDate).format("MM月dd日");
							var jxEndTime       = new Date(database.jxEndTime).format("MM月dd日");
							var boxUpgradeYield = database.boxUpgradeYield*100 + "%";
							var tips            = "";
							if(code == 101){
								tips = "从" + upgradeDate +"至" + jxEndTime + "的宝箱特权金收益率已提升至" + boxUpgradeYield;
							}else if(code == 102){
								tips = database.boxAmt + "元特权金已激活，计息时间为" + upgradeDate + "至" + jxEndTime;
							}else if(code == 103){
								tips = database.boxAmt + "元特权金已激活，计息时间为" + openDate + "至" + jxEndTime;
							}
							utils.dialog.alert(tips);
							var indianaJonesOption             = App.storage.get('indianaJonesOption');
							indianaJonesOption.databaseList[1] = database;
							App.storage.set('indianaJonesOption',indianaJonesOption);
							App.reload();
						}else{
							utils.dialog.alert(res.object.errMsg);
						}
					},
					errorCallback: function(res){
						utils.dialog.alert(res.message);
					}
				});
			//如果宝箱已升级或已完成
			}else if(boxStatus == 2 || boxStatus == 4){
				App.navigate("indianaJones/indianaJones/revenueDetails", true);
			}
		},

		//活动说明开启/关闭
		activityRules: function(){
			this.$("#bombBox").toggle();
		},

		buy_now : function(){
			App.navigate("fundStrong/fundStrongLogin/buy", true);
		}
	});
});