/**
 * ex-chenfuhua001
 * 功能描述：夺宝奇兵（新手专享）新橙宝箱页
 */
define(function(require, exports, module){
	var newOrangeChestTpl = require("text!../template/newOrangeChest.html");
	var indianaJonesModel = require("../model/indianaJonesModel");
	var bindCardTip = require('component/bindCardTip');
	var Index = module.exports = ItemView.extend({
		template: _.template(newOrangeChestTpl),
		events: {
			"tap #pushButton"    : "pushButton",
			"tap #activityRules" : "activityRules",
			"tap #bombBox"       : "activityRules",
			"tap #activate_now"  : "activate_now"
		},

		pushButton: function(){
			var boxId = this.model.get("boxId");
			var boxStatus = this.model.get("boxStatus");	//宝箱状态
			//如果宝箱未打开
			if(boxStatus == 0){
				indianaJonesModel.openChest({
					data:{"id": boxId},
					callback: function(res){
						var code = res.object.code;
						if(code == 100){
							var database  = res.object.list[0] || "";
							var openDate  = new Date(database.boxOpenDate).format("MM月dd日");
							var jxEndTime = new Date(database.jxEndTime).format("MM月dd日");
							var tips      = database.boxAmt + "元特权金已激活，计息时间为" + openDate + "至" + jxEndTime;
							utils.dialog.alert(tips);
							var indianaJonesOption       = App.storage.get('indianaJonesOption');
							indianaJonesOption.databaseList[0] = database;
							App.storage.set('indianaJonesOption',indianaJonesOption);
							App.reload();
						}else{
							utils.dialog.alert(res.object.errMsg);
						}
					},
					errorCallback: function(res){
						utils.dialog.alert(res.message);
					}
				});
			//如果宝箱已打开
			}else if(boxStatus == 1 || boxStatus == 4){
				App.navigate("indianaJones/indianaJones/revenueDetails", true);
			}
		},

		//活动说明开启
		activityRules: function(){
			this.$("#bombBox").toggle();
		},

		//跳转激活页面
		activate_now :function(){
			bindCardTip.activeSwitch();
		}
	});
});