/**
 * @Author: EX-MANINGJIE001
 * @Date:   2016-03-25 16:40:24
 * 申请第一页
 */
define(function(require,exports,module){
	var ApplyBasicInfoTpl = require("text!../../template/apply/applyBasicInfo.html");
	var Form              = require("component/form");
	var loanLang          = require("../../common/loanLang");
	var applyLoanModel    = require("../../model/loanModel");
	module.exports = Form.extend({
		template:_.template(ApplyBasicInfoTpl),
		events:{
			"tap   #nextStepBtn"  : "toNextStep",
			"input #email"        : "changeSubBtn",
			"blur #email"         : "getEmail"
		},

		onShow: function(){
			if(App.storage.get("verifyEmail")){
				$("#email").val(App.storage.get("verifyEmail"));
				$("#nextStepBtn").removeClass("btn_disable");
			}
		},

		//点击"下一步"按钮
		toNextStep:function(){
			if($("#nextStepBtn").hasClass('btn_disable')){
				return;
			}
			var email = $.trim($("#email").val());
			if(!utils.validate.email(email)){//邮箱格式校验
				this.email.setCustomValidity(loanLang("emailTypeError"));
				return;
			}
			App.storage.set("verifyEmail",email);
			App.navigate("loan/applyLoan/IDcard",true);
		},

		//输入邮箱
		changeSubBtn:function(){
			var email = $.trim($("#email").val());
			if(email){
				$("#nextStepBtn").removeClass("btn_disable");
			}else{
				$("#nextStepBtn").addClass("btn_disable");
			}
		},

		//失去焦点缓存邮箱
		getEmail: function(){
			var email = $.trim($("#email").val());
			if(email){
				App.storage.set("verifyEmail", email);
			}
		}
	});
});