/*
 *橙易贷申请视图
 *ex-maningjie001
 */
define(function(require,exports,module){
	var loanModel    = require("../../model/loanModel");
	var ApplyLoanTpl = require("text!../../template/apply/applyLoan.html");
	var LoadingLayer = require("app/renderDuringRequest/loadingLayer");
	module.exports = ItemView.extend({
		template :_.template(ApplyLoanTpl),
		events :{
			"click #apply" : "apply"
		},

		initialize: function(){
			this.subFlag  = false;
			this.load = new LoadingLayer();
		},

		//判断是否调GPS 是 --按流程
		//           否 --无提示，直接停留在当前操作页
		apply:function(){
			var self = this;
			if(this.subFlag){
				return;
			}
			this.subFlag = true;
			utils.dialog.confirm("平安橙子请求获得您的位置信息，以便我们更好的为您提供服务。",function(ok){
				if(ok){
					self.load.show();
					utils.native.location(function(data){
						self.subFlag = false;
						self.load.hide();
						if(!data){
							utils.dialog.alert("请打开系统设置中“隐私→定位服务”，允许“平安橙子”使用您的位置。");
						}else{
							var data = JSON.parse(data);
							App.storage.set("locate", {"longitude":data.longitude, "latitude":data.latitude});
							App.navigate("loan/applyLoan/basicInfo", true);
						}
						return;
					});
					//安卓手机获取不到GPS无返回.在页面停留30S提醒客户
					if(IS_RUN_ON_ANDROID){
						setTimeout(function(){
							if(!App.storage.get("locate")){
								self.subFlag = false;
								self.load.hide();
								utils.dialog.alert("网络异常，请重试。");
							}
						},30000);
					}
				}else{
					App.back();
				}
			});
		}
	});
});
