/**
 * ex-chenfuhua001
 * 橙易贷还款列表
 *
 */
define(function(require, exports, module){
	var repaymentListTpl = require("text!../../template/repayment/repaymentList.html");
	var PTRScroll        = require("component/PTRScroll");
	var Index = module.exports = ItemView.extend({
		template: _.template(repaymentListTpl),
		events: {
			"tap #toPrepayment"				: "prepayment"
		},

		onShow: function(){
			this.list = this.model.get("list") || [];
			this._pullDown();
		},

		prepayment:function(e){
			var repaymentUrl   = "";
			var loan_list      = App.storage.get('loan_list');
			loan_list.accuntNo = $(e.currentTarget).data("accuntno");
			App.storage.set('loan_list',loan_list);
			if(loan_list.loanStatus == "2"){
				repaymentUrl = "loan/loan/repayment";
			}else{
				repaymentUrl   = "loan/loan/prepayment";
			}
			App.navigate(repaymentUrl, true);
		},

		_pullDown : function(data){
			var self      = this;
			var wHeight   = $(window).outerHeight(true);
			var topHeight = this.$(".toptips2").outerHeight(true) + this.$(".repayment").outerHeight(true);
			wHeight       = wHeight - topHeight;
			var dom       = $("#scrollContainer").css({"height":wHeight,"position":"relative"});
			this.scroller = new PTRScroll(dom[0],{"hideScrollbar":true});
			this.scroller.options.refreshContent = function(refresh){
				$(".beenCleared").removeClass("dsn");
				refresh();
			};
			this.scroller.disablePullUpToLoadMore();
		}
	});
});