define(function (require, exports, module) {
    var IndexView = require("../view/index");
    var assetsTransInView = require("../view/transfer/assetsTransIn");
    var noCardCashView = require("../view/noCardCash/noCardCashIndex");
    var abouctindexed = require("../view/abouct/abouctindexed");
	var version = require("../view/abouct/version");
	var idea = require("../view/abouct/idea");
    var Index = module.exports = Controller.extend({
        actions: {
            unlogin: "unlogin",        //我的未登陆页
            about:"about",
            suggestion:"suggestion",
            abouctindexed:"abouctindexed",
			version:"version",
			idea:"idea"
        },

        authorize: function () {
            return true;
        },

        index: function () {
            App.header.reset({
                title: "我的橙子",
            	leftButtonContent: "关于",
				leftButtonHandler: function(){
                    App.navigate("me/me/abouctindexed", true);
                }
                // rightButtonContent: "@customerCenter"
            });

            App.footer.reset({
                visible: true,
                selectedIndex: 3
            });
        },



        unlogin: function () {
            utils.native.talkingDataTrackEvent("2.0首页-登录后-手势密码设置-不再提示");
            this.index();
            App.container.show(new IndexView());

        },

        logined: function () {
            this.index();
            App.container.show(new LoginedView());
        },


        abouctindexed: function(){
            App.header.reset({
                title : "关于橙子",
                leftButtonHandler : function() {
                    App.navigate("me/logined/index", true);
                },
                leftButtonContent : '@back'
            });

            utils.native.versionInformation(function(data){
            	//alert(data.version);
                App.container.show(new abouctindexed({ model: new Model(data) }));
            });


        },

        idea: function(){
            App.header.reset({
                title : "意见反馈",
                leftButtonHandler : function() {
                    App.navigate("me/me/abouctindexed", true);
                },
                leftButtonContent : '@back'
            });

            App.footer.reset({
                visible : false
            });

            App.container.show(new idea());
	            App.footer.reset({visible: false});


        },

        version: function(){
            App.header.reset({
                title : "版本说明",
                leftButtonHandler : function() {
                    App.navigate("me/me/abouctindexed", true);
                },
                leftButtonContent : '@back'
            });

            utils.native.versionInformation(function(data){
            	//alert(data.version);
                App.container.show(new version({ model: new Model(data) }));
            });

        },





    });
});