/**
 * @author zhoushiwen
 * @ date ${date}
 * @company 中国平安
 * @param name 交易密码修改重置
 */

define(function (require, exports, module) {
	//重置密码交易页面
	var tradepasspage = require('../view/passmanagement/tradepasspage');
	//检查邮箱
	var checkemail = require("../view/passmanagement/showreset");
	//  检查邮箱
	var showmail = require("../view/passmanagement/checkemail");
	//修改密码成功
	var tradeSuccess = require('../view/passmanagement/tradeSuccess');
	//重置密码
	var restSuccess = require('../view/passmanagement/restSuccess');
	//  修改密码
	var updatepass = require("../view/passmanagement/passmanagement");
	//修改密码
	var resetpass = require("../view/passmanagement/resetpass");
	//手势密码设置
    var GesturepassView = require("../view/passmanagement/gesturepass");
	var index = module.exports = Controller.extend({
			actions : {
				'loginpassPage' : 'loginpassPage',
				'tradeSuccess' : 'tradeSuccess',
				'tradepasspage' : 'tradepasspage',
				"showreset" : "showreset",
				"checkemail" : "emailpage",
				"updatepass" : "updatepass",
				"resetpass" : "resetpass",
				"restSuccess" : "restSuccess",
				"gesturepassPage" : "gesturepassPage"

			},

			loginpassPage : function (code) {},

			gesturepassPage : function () {
			    utils.native.talkingDataTrackEvent("2.0账户与安全-密码管理-手势密码");
                App.header.reset({
                    title : "手势密码",
                    leftButtonHandler : function () {
                        App.navigate("me/passindex/passbtn", true);
                    },
                    leftButtonContent : '@back'
                });

                App.footer.reset({
                    visible : false
                });

                App.container.show(new GesturepassView());
			},

			tradepasspage : function () {
				utils.native.talkingDataTrackEvent("2.0账户与安全-密码管理-交易密码");
				App.header.reset({
					title : "交易密码",
					leftButtonHandler : function () {
						App.navigate("me/passindex/passbtn", true);
					},
					leftButtonContent : '@back'
				});

				App.footer.reset({
					visible : false
				});

				App.container.show(new tradepasspage());
				App.footer.reset({
					visible : false
				});

			},

			emailpage : function () {
				App.header.reset({
					title : "重置交易密码",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.navigate("me/passmanagement/resetpass", true);
					}
				});
				App.container.show(new showmail());
				App.footer.reset({
					visible : false
				});

			},
			showreset : function () {
				App.header.reset({
					title : "重置交易密码",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.navigate("me/passmanagement/checkemail", true);
					}
				});
				App.container.show(new checkemail());
				App.footer.reset({
					visible : false
				});
			},

			tradeSuccess : function () {
				App.header.reset({
					title : "修改交易密码",
					leftButtonHandler : function () {
						App.navigate("me/passindex/passbtn", true);
					},
					leftButtonContent : '@back'
				});

				App.footer.reset({
					visible : false
				});

				App.container.show(new tradeSuccess());
				App.footer.reset({
					visible : false
				});

			},
			restSuccess : function () {
				App.header.reset({
					title : "重置交易密码",
					leftButtonHandler : function () {
						App.navigate("me/passindex/passbtn", true);
					},
					leftButtonContent : '@back'
				});

				App.footer.reset({
					visible : false
				});

				App.container.show(new restSuccess());
				App.footer.reset({
					visible : false
				});

			},
			updatepass : function () {
				utils.native.talkingDataTrackEvent("2.0账户与安全-密码管理-交易密码-修改");
				App.header.reset({
					title : "修改交易密码",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.navigate("me/passmanagement/tradepasspage", true);

					}
				});
				App.container.show(new updatepass());
				App.footer.reset({
					visible : false
				});

			},
			resetpass : function () {
				utils.native.talkingDataTrackEvent("2.0账户与安全-密码管理-交易密码-重置");
				App.header.reset({
					title : "重置交易密码",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.navigate("me/passmanagement/tradepasspage", true);

					}
				});
				App.container.show(new resetpass());
				App.footer.reset({
					visible : false
				});

			}

		});
});
