define(function (require, exports, module) {
    var tradeRecordsInfo = require("../view/tradeRecordsInfo/tradeRecordsInfo");
    var Index = module.exports = Controller.extend({
        actions: {
            "index": "index",
            "index/:code":"index",
            "tadereturn" : "withreturn"
        },
        index: function (code) {
            utils.native.talkingDataTrackEvent("2.0交易记录");
            var param = this._getDefaultParam(code);
            App.container.show(new tradeRecordsInfo({"model":new Model({'param':param})}));
            App.footer.reset({"visible":false});
        },
        withreturn : function(query) {
            var code = query.code;
            var returnURL = query.returnURL;
            var param = this._getDefaultParam(code);
            App.container.show(new tradeRecordsInfo({"returnURL":returnURL,"model":new Model({'param':param})}));
            App.footer.reset({"visible":false});
        },
        _getDefaultParam: function(code){
            //ex_huangzit
            var noCardCashDateOption = App.storage.get("noCardCashDateOption");
            var startDate = "";
            var endDate = "";
            var date = new Date(App.storage.get("Login_SysTime") || new Date());
            //如果不是【交易记录】查询过去7天（包含当天）
            if(code != config.values.jiaoYiJiLu){
                startDate = utils.date.diffDateAdd(date,-6,'d').format("yyyy-MM-dd");
                endDate = date.format("yyyy-MM-dd");
            }
            //如果是无卡取现查询当天
            if(noCardCashDateOption){
                startDate = noCardCashDateOption.startDate;
                endDate = noCardCashDateOption.endDate;
            }
            return {
                "startDate": startDate||utils.date.diffDateAdd(date,-7,'d').format("yyyy-MM-dd"),
                "endDate"  : endDate||utils.date.diffDateAdd(date,-1,'d').format("yyyy-MM-dd"),
                "pageIndex": 1,
                "pageSize" : 10,
                "prdCode"  : code || config.values.jiaoYiJiLu
                // ,"account"  : App.storage.get("UserInfo").get("accNumber")
            };
        }
    });
});