/*
* liujun
* 银行卡管理model
*/
define(function(require, exports, module){
    var bankManageData = module.exports = Model.extend({},{
        bindCardData: function(){
            return App.request("autoBindAccount",{
            });
        },
        
        qryBindAccount: function(){
            return App.request("qryBindAccount",{});
        },
        
        creditCardData: function(){
            return App.request("relatingCreditCard",{
            });
        },
        //自动还款设置开关接口
        autoReplySettingSwitch: function(options){
            var options = options || {};
            return App.request("cancelSetCreditCard",{
                data: options
            });
        },
        //密码验证
        autoReplyConfirmPwd: function(options){
            App.request("modifyMobCheckPassword",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
        },
        autoReplySetSubmit: function(options){
            App.request("setEditCreditCardSubmit",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
        },
        //取消信用卡绑定
        cancelBindCard: function(options){
            App.request("cancelBindAccount",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
        },
        //查询限额
        qryTransLimit: function(options){
            App.request("qryTransferLimit",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
        },
        //设置限额
        setTransLimit: function(options){
            App.request("setTransferLimit",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
        },
        loginSecurityOtpSwitch: function(options){
            App.request("saveOtpSwitch",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
        },
        qryLoginSecurityOty: function(options){
            App.request("functionManage",{
                data: options.data,
                success: function(res){
                    options.callback(res);
                },
                error: function(err){
                    options.errorCallback(err);
                }
            });
        }
    });
});
