define(function(require, exports, module){
	var loginedAccountInfo = module.exports = Model.extend({},{
		//查询账户信息
		queryAccountInfo: function(options){
			this._callInterface(options);
		},
		//查询账户信息
		getPointsLeft: function(options){
			this._callInterface(options);
		},
		//通一调用接口
		_callInterface: function(options){
			App.request(options.url,{
				data   : options.data,
				silent : options.silent || false, //true 不显示loading
				cache  : options.cache || false,
				success: function(res){
					if(res.success){
						options.callback(res);
					}
					else{
						options.errorCallback(res);
					}
				},
				error: function(res){
					options.errorCallback(res);
				}
			});
		},

		//橙易贷入口显示开关
		loansDisplaySwitch : function(options){
			this._callInterface(options);
		},

		// 获取头像
		getImagePath : function(options){
			this._callInterface(options);
		}
	});
});