define(function(require, exports, module) {

	 var transModel = module.exports = Model.extend({}, {

		/*
		 * 查询付款方账户列表
		 */
		qryPayAccList: function(options){
			this._callInterface(options);
		},

		 /*
		 * 平安付转入校验
		 */
		qryLastTransBankInf: function(options){
			this._callInterface(options);
		},

		 /*
		 * 平安付转入校验
		 */
		gatheringCheck: function(options){
			this._callInterface(options);
		},

		/**
		 * 查询平安付支持的银行列表
		 */
		qryPaPayBankList:function(options){
			this._callInterface(options);
		},

		 /**
		 * 查询绑定账号的信息
		 */
		qryPayAccList:function(options){
			this._callInterface(options);
		},

		 /*
		 * 平安付转入确认
		 */
		gatheringConfirm: function(options){
			this._callInterface(options);
		},

		//提交无卡取现预约
		bookingNocardCash:function(options){
			this._callInterface(options);
		},

		//无卡取现预约限额查询
		bookingNocardCashBalance:function(options){
			this._callInterface(options);
		},

		//预约列表
		qryBookingNocardRecordList:function(options){
			this._callInterface(options);
		},

		//非借记卡认证不能进行无卡取现
		userVerifyMode:function(options){
			this._callInterface(options);
		},

		 /**
		 * 无卡取现交易记录
		 */
		// qryBookingNocardRecordList : function(options){
			// App.request("qryBookingNocardRecordList",{
				// data : options.data,
				// success : function(res){
					// options.callback && options.callback(res);
				// },
				// error : function(error){
					// utils.dialog.alert(error.message || error);
					// options.errCallback && options.errCallback(error);
				// },
				// complete: function(){
					// options.complete && options.complete();
				// }
			// });
		// },

		//查询账户信息
		queryAccountInfo: function(options){
			 App.request(options.url,{
				data    : options.data,
				type    : "GET",
				success : function(res){
					if(res.success) {
						options.callback(res);
					}else{
						options.errorCallback(res);
					}
				},
				error : function(res){
					options.errorCallback(res);
				}
			});
		},

		//无卡取现撤销
		cancelNocardCash: function(options){
			this._callInterface(options);
		},

		 /*
		  * 查询当前绑定的账户数据
		  */
		qryBindAccount: function (options){
			this._callInterface(options);
		},

		 /*
		  * 查询是否重复转账
		  */
		isDuplicatedOrder: function (options){
			this._callInterface(options);
		},

		 /*
		  * 查询转账交易限额
		  */
		qryTransferLimit: function (options){
			var params = options.params, callback = options.callback, url = "qryTransferLimit";
			App.request(url,{
				data    : params,
				success : function(res){
					callback && callback(res);
				},
				error : function(res){
					utils.dialog.alert(res.message);
				}
			});
		},

		 /*
		  * 设置转账交易限额
		  */
		setTransferLimit: function (options){
			var params = options.params, callback = options.callback,errorCallback = options.errorCallback, url = "setTransferLimit";
			App.request(url,{
				data    : params,
				success : function(res){
					callback && callback(res);
				},
				error : function(res){
					errorCallback && errorCallback(res);
				}
			});
		},

		/*
		 * 同行转账数据校验
		 */
		sameBankTransferCheck: function (options){
			this._callInterface(options);
		},

		/*
		 * 同行转账确认提交
		 */
		sameBankTransferConfirm: function (options){
			this._callInterface(options);
		},

		/*
		 * 跨行转账数据校验
		 */
		otherBankTransferCheck: function (options){
			this._callInterface(options);
		},

		/*
		 * 跨行转账确认提交
		 */
		otherBankTransferConfirm: function (options){
			this._callInterface(options);
		},

		/*
		 * 查询所有银行信息
		 */
		queryAllBankList: function(options){
			this._callInterface(options);
		},

		/*
		 * 查询所有支持实时转账的银行信息
		 */
		queryRealBankList: function(options){
			this._callInterface(options);
		},

		/*
		 * 根据开户行和开户城市查询支行信息
		 */
		queryBranchBankList: function(options){
			this._callInterface(options);
		},
		/**
		 *根据省份联动城市
		 */
		qryCityRegInfo : function(option) {
			this._callInterface(option);
		},

		/*
		 * 梦想立即提款
		 */
		drawMoneyMyDream: function (options){
			this._callInterface(options);
		},

		//卡Bin匹配
		qryBankBinInfo : function(option){
			this._callInterface(option);
		},

		//平安付开关
		getGatheringSwitch:function(option){
			this._callInterface(option);
		},
		//本行转入确认
		sameBankEnterConfirm: function(options){
			this._callInterface(options);
		},
		//本行转入校验1
		sameBankEnterCheckOne: function(options){
			this._callInterface(options);
		},
		//本行转入校验2
		sameBankEnterCheckTwo: function(options){
			this._callInterface(options);
		},
		//筛选本行卡
		qryPayAccListOfOwn: function(options){
			this._callInterface(options);
		},
		//开户行
		qryPaPayBankListOfOwn: function(options){
			this._callInterface(options);
		},
		//本行银行卡余额查询
		qryBalanceOfOwn: function(options){
			this._callInterface(options);
		},

		//-----银网通 ex_huangzit 2016-03-03----
		//是否支持银网通
		isSupportYWT: function(options){
			this._callInterface(options);
		},

		//银网通转入校验
		checkTransferIn: function(options){
			this._callInterface(options);
		},

		//银网通转入确认
		confirmTransferIn: function(options){
			this._callInterface(options);
		},

		//银网通交易结果查询
		dealResultTransferIn: function(options){
			this._callInterface(options);
		},

		//银网通查询银行列表
		qryAccList: function(options){
			this._callInterface(options);
		},

		// 橙易贷校验
		checkApplyLoan:function(options){
			var callback = options.callback;
			var errorCallback = options.errorCallback;
			App.request("checkApplyLoan",{
				success:function(res){
					callback && callback(res);
				},
				error:function(res){
					errorCallback && errorCallback(res);
				}
			});
		},

		/*
		 * 调用接口的公共方法
		 *
		 * 入参：
		 *      options : 请求参数
		 *          url：接口路径
		 *          data：接口入参
		 *          callback：接口成功回调函数
		 *          errorCallback：接口错误回调函数
		 *
		 * 返回：无
		 */
		_callInterface: function (options){
			App.request(options.url,{
				data    : options.data,
				type    : options.type || "POST",
				success : function(res){
					if(res.success) {
						options.callback(res);
					}else{
						options.errorCallback(res);
					}
				},
				error : function(res){
					options.errorCallback(res);
				}
			});
		},

		//银网通查询银行列表
		currentToFixedTransferBalance: function(options){
			this._callInterface(options);
		}
	});
});