/**
 * @author zhoushiwen
 * @ date ${date}
 * @company 中国平安
 * @type   关于橙子首页
 * @version 版本
 * @ 意见反馈
 *
 *
 */
define(function (require, exports, module) {
	var FinishTpl = require("text!../../template/abouct/abouct.html");

	var FinishView = module.exports = ItemView.extend({
		template : _.template(FinishTpl),

		events : {
			"tap #version" : "version",
			"tap #idea"    : "idea",
			"tap #score"   : "score"
		},
		ui : {
			score : '#score'
		},
		version : function () {
			App.navigate("me/logined/version", true);
		},

		idea : function () {
			setTimeout(function () {
				App.navigate("me/me/idea", true);
			}, 350);
		},
		score : function () {
			utils.native.getApp(['appRate', '', '', '', '', '', '906393753']);
		},

		onShow : function () {
			var u = navigator.userAgent;
			if (u.indexOf('Android') > -1 || u.indexOf('Linux') > -1) { //安卓手机
				// utils.dialog.alert("安卓手机");
				$('#score').removeClass("h50 dswkb");
				$('#score').addClass("dsn");
			} else if (u.indexOf('iPhone') > -1) { //苹果手机
				//utils.dialog.alert("苹果手机");
			} else if (u.indexOf('Windows Phone') > -1) { //winphone手机
				//utils.dialog.alert("winphone手机");
			}
		}
	});
});
