/*
* liujun
* 自动还款设置中间内容
*/
define(function(require, exports, module){
    var autoReplyContentHtml = require("text!../../template/accoutAndSecurity/autoReplyContent.html");
    var Form = require("component/form");
    var TERMS = config.urls.get("terms_of_service_creditCardPaymentBinding");
    module.exports = ItemView.extend({
        template: _.template(autoReplyContentHtml),
        events: {
            "tap #replyType": "replyTypeOptions",
            "tap .ItemSwitch": "ItemSwitch",
            "tap #creditAutoReplyAgreement": "creditAutoReplyAgreement"
        },
        initialize: function(options){
        	
        },
        onRender: function(){
        },
        onShow: function(){
        },
        replyTypeOptions: function(e){
            var curr = e.currentTarget;
            var optionsValue = $(curr).children('span.autoReplyType').attr('data-value');
            App.navigate("me/autoReply/autoReplyType?type="+optionsValue,{
                trigger: true,
                replace: true
            });
        },
        ItemSwitch: function(e){
            var curr = e.currentTarget;
            var accout = App.storage.get("UserInfo").get("accNumber");
            var type = App.storage.get("autoReplyType");
            if($(curr).attr("data-switch") == 0){
                $(curr).attr("data-switch",1);
                $(curr).addClass("on");
                if((typeof(accout) == "string" && accout.length > 0) && (typeof(type) == "number")){
                    $('.autoReply_btn').children("input").removeClass("btn_disable");
                    $('.autoReply_btn').children("input").addClass("btn_orange");
                }
            }else if($(curr).attr("data-switch") == 1){
                $(curr).attr("data-switch",0);
                $(curr).removeClass("on");
                $('.autoReply_btn').children("input").removeClass("btn_orange");
                $('.autoReply_btn').children("input").addClass("btn_disable");
            }
            App.storage.set("autoReplyOptionItem",parseInt($(curr).attr("data-switch"),10));
        },
        creditAutoReplyAgreement: function(){
            //自动还款设置协议
            var _url = TERMS;
            option = {
                title : '《自动还款业务服务责任条款》',
                url   : _url
            };
            utils.window.open(option);
        }
    });
});