/*
*   银行卡管理-借记卡
*   liujun
*/
define(function(require, exports, module){
	var creditCardHtml = require("text!../../template/accoutAndSecurity/creditCard.html");
	var PTRScroll = require('component/PTRScroll');
	module.exports = ItemView.extend({
		template: _.template(creditCardHtml),
		events: {
			// "tap .creditAutoReply" : "creditAutoReply",
			"tap #applyCreditCards"    : "applyCard",
			"tap #creditCheck"  : "creditCheck",
			"tap #autoReplySet" : "autoReplySet",
			"tap #faq"          :"creditCard",
			"tap #applyByYouCards" : "applyByYouCards"

		},

		initialize: function(options){
			data = options;
		},

		onRender: function(){

		},

		onShow: function(){
			var cardState = App.storage.get("UserInfo").attributes.cardState;
			if(data.creditCardSum > 0 && cardState == 1){
				this.initPTRScroll();
			}
		},

		//自动还款设置
		initPTRScroll: function(){
			// var self = this;
			var wHeight = $(window).height();
			var navHeight = App.header.$el.height();
			var listHeight = wHeight - navHeight;
			var dom = this.$('#creditCardScroll').css({"height": wHeight - 92,"position":"relative"});
			//初始化iscroller
			this.scroller = new PTRScroll(dom[0],{
				"hScroll"          : false,
				"vScrollbar"        : false,
				"checkDOMChanges"  : true,
				"hideScrollbar"    : true,
				"pullDownToRefresh" : false,
				"pullUpToLoadMore" : false
			});
		},

		autoReplySet: function(e){
			var curr = e.currentTarget;
			if($(curr).find('.creditAutoReply').children('p').text() == '审核中'){
			}else{
				App.navigate("me/autoReply/index",true);
			}
		},
		//申请信用卡H5页面
		applyCard: function(e){
			e.stopPropagation();
			var _url=config.urls.get("creditCard_apply");
			utils.window.open({
				title: "申请信用卡页面",
				 url: _url
			});
			//window.location.href = "https://wap-ebank.pingan.com/weixin/modules/online_apply_card/index.html#/showCards/";
		},

		creditCheck: function(){
			App.navigate("verifyAccount/main/verify",true);
		},
		 creditCard:function(){
			App.navigate('czFaq/faqIndex/czFaq/creditCard', true);

		},
		
		/**
		 * ex-wuwenjun001
		 * 申请平安由你卡
		 */
		applyByYouCards : function(){
			utils.window.open({
				title: "申请由你卡",
				url  : config.urls.get("byYouCard_apply")
			});
		}
	});
});