define(function(require, exports, module){
    var creditCardHtml = require("text!../../template/accoutAndSecurity/modifyBindCard.html");
    var CustomPwdOtpInput = require("component/password/customPwdOtpInput");
    var bankManage = require("../../model/bankManage");
    
    module.exports = ItemView.extend({
        template: _.template(creditCardHtml),
        events: {
            "tap #confirm": "confirm"
        },
        
        onShow : function(){
            
        },
        
        //确认变更
        confirm : function(){
            CustomPwdOtpInput.customPwdOtpInput({
                isSendOtp : true,
                isNeedSendOtpValidate : false,
                cat:config.values.transferConfirm,//cat
                callback:function(pwd,otp){
                    var rsaPwd = utils.crypto.RSAKey.encrypt(pwd,config.base.rsa_public_key);
                    var data = {"password":rsaPwd, "otp":otp,transToken : App.storage.get("transferConfirmData").transToken};
                    //调用更换绑定卡接口
                    
                }//确定按钮回调函数（param：pwd（交易密码），otp（otp密码））
            });
        }
    });
});