define(function(require, exports, module){
    var creditCardHtml = require("text!../../template/accoutAndSecurity/modifyBindCardPrompt.html");

    module.exports = ItemView.extend({
        template: _.template(creditCardHtml),
        events: {
            "tap #transferOut": "transferOut",
            "tap #cancelTrans": "cancelTrans"
        },

        //立即转账
        transferOut : function(){
            //原绑定卡账号
            App.storage.set("me/accoutAndSecurity/bankManage/transferOut",App.storage.get("changeOldAccNo"));
            App.storage.set("transferLimitBack","me/accoutAndSecurity/bankManage/bindCard");
            App.storage.set("me/accoutAndSecurity/transferLimit/fromPage","me/accoutAndSecurity/bankManage/bindCard");
            App.navigate("me/transfer/assetsTransOut",true);//资金转出
        },

        //取消
        cancelTrans : function(){
            //App.navigate("me/accoutAndSecurity/bankManage/bindCard", true);
            App.reload();
        }
    });
});