/*
*  安全设置 
*  liujun
*/
define(function(require, exports, module){
    var securitySetHtml = require("text!../../template/accoutAndSecurity/securitySet.html");
    var accountInfoSta = require("mod/common/accountInfoStatus/accountInfoStatus");
    var bindCardTip = require('component/bindCardTip');
    
    module.exports = ItemView.extend({
        template: _.template(securitySetHtml),
        events: {
            "tap #securityOrangeLevel": "securityOrangeLevel",
            "tap #TransferLimit": "TransferLimit",
            "tap #loginSecurity": "loginSecurity"
        },
        onRender: function(){

        },
        onShow: function(){
            this.securityOrangeSum();
        },
        //橙级个数
        securityOrangeSum: function(){
            var sum = App.storage.get("UserInfo").attributes.securityLevel;
            var frag = document.createDocumentFragment();
            for(var i=0;i < sum;++i){
                var ele = document.createElement("i");
                ele.className = "iconA61 m_r10";
                frag.appendChild(ele);
            }
            $("#securityOrangeSum").html(frag);
        },
        //安全橙级
        securityOrangeLevel: function(){
            App.navigate("me/accoutAndSecurity/securityOrange",true);
        },
        //转账限制入口
        TransferLimit: function(){
            var UserInfo  =  App.storage.get('UserInfo'),
                bindState = UserInfo.get('bindState'),
                cardState = UserInfo.get('cardState'),
                activeState = UserInfo.get('activeState');
            var bindCardFlag = App.storage.get('UserInfo').get('bindCardFlag');
                
            if (bindCardTip.newBindFlag() || (bindCardFlag == '1' && bindState === '0' && cardState === '1' && activeState === '1')) {
                bindCardTip.activeSwitch();
                return;
            }else{
                var dfd = accountInfoSta.getAccountInfoStatus(true,"me/accoutAndSecurity/securitySet");
                var getIsTelephone = accountInfoSta.getIsTelephoneLogin("me/accoutAndSecurity/securitySet");
                if(getIsTelephone){}else{
                    dfd.done(function(accountSta){
                        if(accountSta){
                            App.navigate("me/accoutAndSecurity/transferLimit",true);
                        }
                    });
                }
            }
        },
        //登录安全验证入口
        loginSecurity: function(){
            //1.低门槛登陆需要提示弹窗
            var isTeleLogin = App.storage.get("UserInfo").get("isTelephoneLogin");
            if(bindCardTip.newBindFlag() && isTeleLogin){
                bindCardTip.activeSwitch({susFlag: true, back: false});
                return;
            }
            
            var accountSta = accountInfoSta.getAccountInfoLossStatus("me/accoutAndSecurity/securitySet");
            var getIsTelephone = accountInfoSta.getIsTelephoneLogin("me/accoutAndSecurity/securitySet");
            if(getIsTelephone){}else{
                if(accountSta){
                    App.navigate("me/accoutAndSecurity/loginSecurityConfirm",true);
                }
            }
        }
    });
});