define(function(require, exports, module) {
	var openCreditCardTpl = require("text!../../template/creditCard/openCreditCard.html");
	var CreditPaymentModel = require("../../model/creditCard");

	module.exports = ItemView.extend({
		template: _.template(openCreditCardTpl),
		events: {
			"tap #applyCreditCards" : "applyCreditCards",
			"tap #applyByYouCards"  : "applyByYouCards"
		},

		applyCreditCards: function(){
			utils.window.open({
				title: "申请信用卡",
				url  : config.urls.get("creditCard_apply")
			});
		},

		/**
		 * ex-wuwenjun001
		 * 申请平安由你卡 
		 */
		applyByYouCards : function(){
			utils.window.open({
				title: "申请由你卡",
				url  : config.urls.get("byYouCard_apply")
			});
		}
	});
});