define(function (require, exports, module) {
	var payBackResultTpl   = require("text!../../template/creditCard/payBackResult.html");
	var CreditPaymentModel = require("../../model/creditCard");

	module.exports = ItemView.extend({
		template: _.template(payBackResultTpl),
		events: {
			"tap .auto_reply_btn" : "toAutoReplayPage",
			"tap .pay_back_btn"   : "toMePage"
		},
		initialize: function (options) {
		},
		onShow: function () {
			var sucTypeAmount = App.storage.get("sucTypeAmount");
			var totalRedPacketAmt = App.storage.get("totalRedPacketAmt");
			$("#sucTypeAmount").html(utils.string.formatMoneyNumber(sucTypeAmount));
			if(!totalRedPacketAmt || totalRedPacketAmt =="0"){
				$("#useRedPacket").hide();
			}else{
				$("#redPacketAmt").text(utils.string.formatMoneyNumber(totalRedPacketAmt));
			}
		},

		toAutoReplayPage: function () {
			App.navigate("me/autoReply/index", true);
		},

		toMePage: function () {
			App.navigate("me/logined/index", true);
		}
	});
});