/*
* liujun
* 个性化信息
*/
define(function(require, exports, module){
	var individual = require('text!../../template/individual/individualList.html');

	module.exports = ItemView.extend({
		template: _.template(individual),
		events: {
			"tap #individual_familyIncome": "familyIncomeTab",
			"tap #individual_marry": "marryTab",
			"tap #individual_child": "childTab",
			"tap #individual_loan": "loanTab",
			"tap #individual_car": "carTab",
			"tap #individual_industry": "industryTab"
		},
		onRender: function(){

		},
		initialize: function(options){
			// this.arg1 = options.model;
			res = options;
			// utils.dialog.alert(res.object.address);
		},
		familyIncomeTab: function(e){
			var curr = e.currentTarget;
			var flag = curr.getAttribute('data-value');
			App.navigate('me/individualInfo/familyIncome?familyIncomeFlag='+flag,true);
			// utils.dialog.alert(curr.getAttribute('id'));
		},
		marryTab: function(e){
			var curr = e.currentTarget;
			var flag = curr.getAttribute('data-value');
			App.navigate('me/individualInfo/marry?marryFlag='+flag,true);
		},
		childTab: function(e){
			var curr = e.currentTarget;
			var flag = curr.getAttribute('data-value');
			App.navigate('me/individualInfo/children?childFlag='+flag,true);
		},
		loanTab: function(e){
			var curr = e.currentTarget;
			var flag = curr.getAttribute('data-value');
			App.navigate('me/individualInfo/loan?loanFlag='+flag,true);
		},
		carTab: function(e){
			var curr = e.currentTarget;
			var flag = curr.getAttribute('data-value');
			App.navigate('me/individualInfo/car?carFlag='+flag,true);
		},
		industryTab: function(e){
			var curr = e.currentTarget;
			var industryName = res.object.industry;
			var data = {industry : industryName};
			App.storage.set("individual_industry",data);
			App.navigate('me/individualInfo/industry',true);
		}

	});
});