/*
* liujun
* 从事行业
*/
define(function(require, exports, module){
    var industryHtml = require("text!../../template/individual/industry.html");
    var updateAccountGXInfoData = require("../../model/updateAccountGXInfo");
    module.exports = ItemView.extend({
        template: _.template(industryHtml),
        events: {
            "input #industry_ipt": "industryIpt",
            "tap #industry .btn_orange" : "industrySubmit",
            "tap #industry_del": "industryDel"
        },
        initialize: function(options){
            industry = options.industry;     //仅有html可用到
        },
        onRender: function(){
            isSubmit = false;
        },
        industryIpt: function(e){
            var curr = e.currentTarget;
            if($(curr).val() != ""){
                $("#industry_del").css("visibility","visible");
                $("#industryConfirm").removeClass("btn_disable");
                $("#industryConfirm").addClass("btn_orange");
            }else{
                $("#industry_del").css("visibility","hidden");
                $("#industryConfirm").removeClass("btn_orange");
                $("#industryConfirm").addClass("btn_disable");
            }
        },
        industrySubmit: function(e){
            var curr = e.currentTarget;
            var dataValue = '';
            var reg = /^[^$:&#：%‘“'"<>\\]*$/;
            dataValue = $('#industry_ipt').val();
            if(!dataValue){
                utils.dialog.toast("请输入你从事的行业信息！");
                return false;
            }
            else if(dataValue == App.storage.get('individual_industry').industry){
                App.back();
                return;
            }
            else if(!reg.test(dataValue)){
                utils.dialog.toast("你输入的行业信息不符合规范！");
                return false;
            }
            else{
                if(!isSubmit){
                    isSubmit = true;
                    updateAccountGXInfoData.submitFlag({
                        url: "updateAccountGXInfo",             //需要确认
                        data: {industry : dataValue},
                        callback: function(res){
                            //点击提交成功后跳转页面
                            if(!App.storage.get('individual_industry').industry){
                                // utils.dialog.toast("填写成功");
                            }else{
                                // utils.dialog.toast("修改成功");
                            }
                            App.storage.remove("individual_industry");
                            App.back();
                        },
                        errorCallback: function(err){
                            utils.dialog.alert(err.message);
                        }
                    });

                }
                else{
                    utils.dialog.toast("请勿重复提交！");
                }
            }
        },
        industryDel: function(e){
            var curr = e.currentTarget;
            $(curr).siblings('input').val('');
            $(curr).css("visibility","hidden");
            $("#industryConfirm").removeClass("btn_orange");
            $("#industryConfirm").addClass("btn_disable");
        }
    });

});