define(function(require, exports, module){
   var meContactInfoAddressTpl = _.template(require("text!../../template/meInfo/meContactInfoAddress.html"));
   var changeInfoACEEModel=require("../../model/changeInfoACEE");

    module.exports =  ItemView.extend({
        template : meContactInfoAddressTpl,
        ui: {
            addressInput : '#addressInput',
            submitAddress : '#submitAddress',
            inputLen : '#inputLen',
            maxLen : '#maxLen'
        },
        events : {
            "input #addressInput" :"totalchar",//因为手机兼容问题，用了input change两个事件
            "change #addressInput" : "totalchar",//因为手机兼容问题，用了input change两个事件
            // "keyup #addressInput":"_checkInputChar",
            //"keydown #addressInput" : "_checkInputDown",
            "input #addressInput" :"_checkChar",
            'tap @ui.submitAddress' : 'submitAddress'
        },
        initialize:function(){
           
        },
        onRender:function(){
            
        },
        onShow :function(){
        address=  App.storage.get('UserPersonalInfo').address;    
         $("#addressInput").val(address);
         this.totalchar();
         
        },
        //判断输入是否有特殊字符
        _checkChar:function(){
        	//alert("input vail");
        	value= $("#addressInput").val(); 
        	if(!utils.validate.specialCharacter(value)) {
        		
        	var	reg=/\^|&|\?|%|：|>|‘|“|'|"|#|\$|<|\/|:/g;
        	value=value.replace(reg,"");        	
        	$("#addressInput").val(value);                            
            }
            else{
            	this.totalchar();  
            	
            }
        },
      
        //键盘按下时读取文本框内字符个数
       /* _checkInputDown :function(events){
            value= $("#addressInput").val();
            App.storage.set("tempAddress",value);
           
        },*/
        //键盘弹起时为文本赋值
       /* _checkInputChar : function(events){
            var value=$("#addressInput").val();
            if(!utils.validate.specialCharacter(value)) {
                value=App.storage.get("tempAddress");                
            }
            $("#addressInput").val(value);
            this.totalchar();

        },*/
        //判断输入文本是否在100字以上并为下标赋值
        totalchar : function() {
            var el = $("#addressInput");
            var len = el.val().length;
            var value=el.val();
            if(len>100)
            { 
                value=value.substring(0,100);
                el.val(value);
                $("#inputLen").text(100);
            }
             len = el.val().length;
            $("#inputLen").text(len);
        },
        
        //提交
        submitAddress : function (e) { 
           addressInput = $("#addressInput").val();
           if(addressInput==""){
            utils.dialog.toast("请输入家庭住址！");
                return false; 
           }
           var params = {
                 "address"  : addressInput
                
            };
                changeInfoACEEModel.chageZipNumTel({
                "data":params,
                "successCallback" : function(res){ 
                
                App.storage.get('UserPersonalInfo').address=addressInput;  
               // App.storage.get('UserPersonalInfo').set("address", addressInput); 
                App.back();
                },
                "errorCallback" : function(res){
                    
                  utils.dialog.alert(res.message);    
                }   
            });
        }
    });
});
