/**
 * EX-WUWENJUN
 * 修改邮箱
 *  
 */

define(function(require, exports, module){
    var FormComponent = require("component/form");
    var OtpView=require("component/otp/OtpView");
    var MeInfoModel = require("../../model/meInfo");
    var ModifyEmailTpl = require("text!../../template/meInfo/modifyEmail.html");
    var CustomPwdOtpInput = require("component/password/customPwdOtpInput");
    var ModifyEmailView = module.exports =  FormComponent.extend({
        template : _.template(ModifyEmailTpl),
        
        events : {
            "tap #submitBtn" : "submit",
            "input #emailInput,#otp_passWord" : "changeSubBtn",
            "tap #submit2Btn" : "submit2"
        },
        
        submit:function(){
        	if(this.$("#submitBtn").hasClass("btn_disable")){
        		return;
        	}
            var email = this.emailInput.$el.val().replace(/\u2006/g, '');
            
            if(!this.validate({"email":email})){
                return;
            }
            
            this.trigger("form:submit",{"email":email});
        },
        
        validate:function(options){
            var email = options.email;
            if(email == ""){
            	utils.dialog.toast("请输入邮箱");
                //this.emailInput.setCustomValidity("请输入邮箱");
                return false;
            }            
            if(!utils.validate.email(email)){
            	utils.dialog.toast("请输入正确的邮箱");
                //this.emailInput.setCustomValidity("请输入正确的邮箱");
                return false;
            }
            return true;
        },
        
        changeSubBtn:function(){
        	var emailVal = this.$("#emailInput").val();
        	if(emailVal != ""){
        		this.$("#submitBtn").removeClass("btn_disable").addClass("btn_orange");
        	}else{
        		this.$("#submitBtn").removeClass("btn_orange").addClass("btn_disable");
        	}
        },
        
        //修改邮箱(第二步)
        toModifyEmailConfirm : function(){
        	 var self = this;
        	 CustomPwdOtpInput.customPwdOtpInput({
                isNeedSendOtpValidate : true,
                cat:config.values.emailBox,//cat
                callback:function(pwd,otp){
                	var email = self.$("#emailInput").val();
                	var rsaPwd = utils.crypto.RSAKey.encrypt(pwd,config.base.rsa_public_key);
                    var sm2Pwd = utils.sm2.SM2Key.encrypt(pwd, config.base.sm2_public_key);
                    var data = {"passwd":rsaPwd, "email":email,"sm2Pwd":sm2Pwd};
                	self.otpCallbackSubmit(data);
                }//确定按钮回调函数（param：pwd（交易密码），otp（otp密码））
            });
        	
        	

        },
        
        /**
         * otp 正确回调 
         */
        otpCallbackSubmit:function(data){
        	var self = this;
            
            if (self.submitFlag === "1") return;
            self.submitFlag = "1";
            //提交确认
            MeInfoModel.editEmailNo({
                "param" : data,
                "errorCallback" : function(res){
                	self.submitFlag = "0";
                    utils.dialog.alert(res.message);
                },
                "callback" : function(res){
                    self.submitFlag = "0";
                    App.storage.set("modifyEmailPage/email",{email:data.email})
                    App.storage.get("UserInfo").attributes.email = data.email;
                    App.navigate("me/meInfo/modifyEmailSuccess",true);
                }
            });
            
        }
         
    });
});
