define(function (require, exports, module) {
    var suggestion = require("text!../template/suggestion.html");
    var model = require("../model/suggestionSubmit");
    module.exports = ItemView.extend({
        template: _.template(suggestion),
        events: {
            "tap #suggestion_submit": "suggestionSubmit"
        },
        onRender: function () {
            this._showAccountInfo();
//            this._showAccountMoney();
        },
        _showAccountInfo: function () {
            // 获取登录信息
            //账户信息，在登录之后已有，取数据即可，（待定）
            var attr = App.storage.get('UserInfo').attributes;
            $('#logined_face').css('background', 'url(' + attr.headPhotoUrl + ') no-repeat');
            // utils.dialog.alert(JSON.stringify(obj));
            $("#logined_name").text(attr.trueName);
            $("#logined_orange_account").text(utils.string.formatAccount(attr.accNumber));
            var level = attr.securityLevel;
            var frag = document.createDocumentFragment()
            for (var i = 0; i < level; ++i) {
                var child = document.createElement('i');
                child.className = "iconA28";
                frag.appendChild(child);
            }
            $("#logined_orange_level").html(frag);
            // var obj = App.storage.get('UserInfo');
            // utils.dialog.alert(JSON.stringify(object));
        },
        _showAccountMoney: function () {
            loginedAccountInfo.queryAccountInfo({
                url: "loginedAccountInfo",
                data: {},
                callback: function (res) {
                    var obj = res.object;
                    if (obj) {
                        //余额、我的资产、预期收益
                        $("#logined_account_balance").text(utils.string.formatMoneyNumber(obj.currBalance));
                        $("#logined_my_property").text(utils.string.formatMoneyNumber(obj.totalAmt));
                        //$("#logined_expect_earn").text(utils.string.formatMoneyNumber(obj.expectEarn));
                        //预期收益  业务待定
                    }
                    else {
                    }
                },
                errorCallback: function (res) {
                    utils.dialog.alert(res.message);
                }
            });
        },
        loginedProcess: function () {
            // App.navigate(,{
            // 	trigger: true,
            // 	replace: true
            // });
        },
        transferIn: function () {
            // App.navigate(,{
            // 	trigger: true,
            // 	replace: true
            // });
        },
        transferOut: function () {
            // App.navigate(,{
            // 	trigger: true,
            // 	replace: true
            // });
        },
        NoCardCash: function () {
            // App.navigate(,{
            // 	trigger: true,
            // 	replace: true
            // });
        },
        myProperty: function () {
            App.navigate('myProperty/myProperty/index', {
                trigger: true,
                replace: true
            });
        },
        // ,
        // expectEarn: function(){
        // 	// App.navigate(,{
        // 	// 	trigger: true,
        // 	// 	replace: true
        // 	// });
        // }
        suggestionSubmit: function () {
            var suggestContent = $("#suggest_content").val();
            var userName = $("#suggestion_userName").val();
            var telNum = $("#suggestion_telNum").val();
            var email = $("#suggestion_email").val();
            var param = {
                suggestContent: suggestContent,
                userName: userName,
                telNum: telNum,
                email: email
            };
            if(this._validateForm(param)){
                model.suggestionSubmit({
                    "param": param,
                    "errorCallback": function (res) {
                        utils.dialog.alert(res.message);
                    },
                    "callback": function (res) {
                        console.info(res);
                    }
                });
            }
        },
        _validateForm: function (date) {
            if(date.suggestContent!==""){
                if(utils.validate.telephone(date.telNum)){
                    if(utils.validate.email(date.email)){
                        return true;
                    }else{
                        utils.dialog.alert("请输入正确的电子邮箱");
                    }
                }else{
                    utils.dialog.alert("请输入正确的手机号码");
                }
            }else{
                utils.dialog.alert("请输入您的建议");
            }
        }
    });
});