define(function(require, exports, module){
    var FormComponent       = require("component/form");
    //var TransferTools = require("../tradeRecordsInfo/transferTools");
    var transModel = require("../../model/transferModel");
    var itemTemp = require("text!../../template/tradeRecordsInfo/detail/tradeDetailDetail.html");
    
    var curProCode = null;
    var detailsView = module.exports = FormComponent.extend({
        template: _.template(itemTemp),
        initialize:function(){
            var proCode = this.model.proCode;//产品code
            curProCode = proCode;
            this._initTeplate(proCode);
        },
        events:{
        	"tap #trustRevoke":"_noCardCashTrustRevoke"
        },
        onRender : function() {
            App.footer.reset({visible:false});
        },
        _initTeplate : function(proCode) {//tradeDetail`    
            var notDefault = false;
            switch(proCode) {
                    case config.values.zhaunZhang:
                        itemTemp = require("text!../../template/tradeRecordsInfo/detail/zhuanZhangDetail.html");    
                        notDefault = true;
                        break;
                    case config.values.transInInfo:
                        itemTemp = require("text!../../template/tradeRecordsInfo/detail/transInInfoDetail.html");    
                        notDefault = true;
                        break;
                    case config.values.financial_code:
                        itemTemp = require("text!../../template/tradeRecordsInfo/detail/licaiDetail.html");    
                        notDefault = true;
                        break; 
                    case config.values.provide_code:
                        itemTemp = require("text!../../template/tradeRecordsInfo/detail/yanglaoDetail.html");    
                        notDefault = true;
                        break;
                    case config.values.auto_dinghuotong:
                        itemTemp = require("text!../../template/tradeRecordsInfo/detail/autoDinghuotongDetail.html");    
                        notDefault = true;
                        break;
                    case config.values.nocardcash_code: 
                    	itemTemp = require("text!../../template/tradeRecordsInfo/detail/noCardCashDetail.html");    
                        notDefault = true;
                        break;
                    case config.values.pianganpiao: 
                        itemTemp = require("text!../../template/tradeRecordsInfo/detail/pinganpiaoDetail.html");    
                        notDefault = true;
                        break;
                    case config.values.fundTransaction_code: //基金成交记录
                        itemTemp = require("text!../../template/tradeRecordsInfo/detail/fundTransactionDetail.html");    
                        notDefault = true;
                        break;
                    case config.values.trustGoldTreasure_code: //黄金宝记录
                        itemTemp = require("text!../../template/tradeRecordsInfo/detail/trustGoldTreasureDetail.html");    
                        notDefault = true;
                        break;    
                    case config.values.bill_code: //E企盈记录
                        itemTemp = require("text!../../template/tradeRecordsInfo/detail/billTradeDetail.html");    
                        notDefault = true;
                        break;
                }    
            if(notDefault) { 
                this.template = _.template(itemTemp);
            }     
        },
        
        //无卡取现撤销
        _noCardCashTrustRevoke:function(e){
        	var self = this;
            var message = "确定要撤销该笔预约取现吗？";
			utils.dialog.confirm(message, {}, _.bind(self._callbackEntrust,self));
        },
        
        //回调
        _callbackEntrust:function(param){
        	if(param)this._cancelNocardCash();
        },
        
        //无卡取现撤销
        _cancelNocardCash:function(){
        	transModel.cancelNocardCash({
				url : "cancelNocardCash",
				data : {},
				callback : function(resp) {
					App.navigate('me/tradeRecords/index/'+config.values.nocardcash_code+"?"+Date.parse(new Date()),{
		                trigger: true,
		                replace: true
		            });
				},
				errorCallback : function(resp) {
					utils.dialog.alert(resp.message);
				}
			});
        }
    });
});