/**
 * @ex_huangzit(2015-05-26)
 * 转出选择支付方式页面
 */
define(function(require, exports, module) {
    var transferInTpl = require("text!../../template/transfer/assetsTransInPattern.html");
    var transModel = require("../../model/transferModel");

    var transferInPatternView = module.exports = ItemView.extend({
        template : _.template(transferInTpl),
        events : {
            "tap .support":"_choosePayWay"
        },
        
        //选择银行卡
        _choosePayWay:function(e){
            //增加选中勾选
            var bindCard = this.model.get('bindCard');
            var liId = this.$(e.currentTarget).attr("liId");
            var payAccList = this.model.get('bindAccList');
            var seltOptions = payAccList[liId];
            var options;
            this.$(e.currentTarget).append("<i class='iconA59'></i>");
            this.$(e.currentTarget).siblings().find("i").remove();
            var supportFlag = seltOptions.supportFlag;
            if((supportFlag != '1' && supportFlag != '2') && seltOptions.sameBankFlag == '0'){ //0-未接入，1-接入银网通，2-接入银联
                utils.dialog.toast("资金转入功能未开通，敬请期待。");
                return;
            }
            
            if(bindCard){
                options = _.omit(_.extend(bindCard, seltOptions), 'fromAccNum', 'fromBankName', 'fromBankCode');
            }else{
                options = seltOptions;
            }
            
            App.storage.set("payBankOptions", options);
            App.navigate('me/transferIn/assetsTransIn',true);
        }
    });
});