/**
 * @ex_huangzit 2015-06-03
 * 转账成功页面视图
 */
define(function(require, exports, module){
    var transferInTpl = require("text!../../template/transfer/assetsTransInSucc.html");
    var transferInSuccView = module.exports = ItemView.extend({
        template: _.template(transferInTpl),

        events:{
            "tap #transInAgain":"_toTransInAgain",
            "tap #transInDetail":"_transInDetail"
        },
        
        onRender:function(){
            var transInSuccAmt = App.storage.get("transInSuccAmt");
            this.$("#transInAmt").html(utils.string.formatMoneyNumber(transInSuccAmt)); 
        },
        
        //继续转入
        _toTransInAgain:function(){
            App.navigate('me/transferIn/assetsTransIn',true);
        },
        
        //交易明细
        _transInDetail:function(){
            App.navigate('me/tradeRecords/index/'+config.values.jiaoYiJiLu+"?"+Date.parse(new Date()),{
                trigger: true,
                replace: true
            });
        }

    });
});