/**
 * EX-WUWENJUN
 * 选择收款账号View
 * 
 */

define(function(require, exports, module){
    
   var FormComponent = require("component/form"); 
   var template = require("text!../../template/transfer/bindAccSelect.html");
   
   var IndexView =  module.exports =  FormComponent.extend({
        template : _.template(template),
          
        regions : {
              
        },

        events : {
        	"tap #bindAccSelect li" : "toAccSelect"

        },

        initialize:function(options){
        	
        },
        
        onShow : function(){
            //选择开户行信息
        	var selectedBankInfo = App.storage.get("selectedBankInfo");
        	//选择收款账号
        	var selectedAccount = App.storage.get("selectedAccount");
    		//绑定卡信息
    		var bindAccList = App.storage.get("bindAccount").list;
        	if(selectedBankInfo && selectedAccount || selectedBankInfo){
        		var bindAccountSel = App.storage.get("selectedBankInfo").bindAccountSel;
        		 _.each(bindAccList,function(item,i) {
                    if(item.bindAccount == bindAccountSel){
                    	$("#bindAccSelect li[index="+i+"]").append("<i class='iconA59'></i>");
                    	App.storage.set("selectedAccount", bindAccList[i]);
                    }
                });
        	}else if(selectedAccount){
        		 _.each(bindAccList,function(item,i) {
                    if(item.bindAccount == selectedAccount.bindAccount){
                    	$("#bindAccSelect li[index="+i+"]").append("<i class='iconA59'></i>");
                    }
                });
        	}
        },
        
        //选择收款账号
        toAccSelect : function(e){
        	//选择收款账号
        	var index = this.$(e.currentTarget).attr("index");
        	var bindAcc = App.storage.get("bindAccount").list[index];
        	//开户银行
        	var openBankList = "";
        	var cacheData = App.storage.get("transferData");
        	//选择到账时间   2实时 1普通 0加急
        	var realTime = cacheData.executeType;
        	//是否同行
        	var isSameBank = bindAcc.sameBankFlag==1;  
        	if(!isSameBank){
        		if(realTime == "2"){
        		    //绑定卡实时联行号
        			var realBankId = bindAcc.ibpsBankId;
    			    openBankList = App.storage.get("realBankList");
        			//绑定卡实时联行号存在并且缓存数据中不存在
        			if(realBankId && !cacheData.realBankId){
                        cacheData.toAccNo     = bindAcc.bindAccount;   //选择的银行卡账号
                        cacheData.toAccountText     = bindAcc.bankName;   //选择的银行卡
                        cacheData.isSameBank   = isSameBank;  //是否是同行转账
                        cacheData.realBankId     = realBankId;
                        App.storage.remove("selectedBankInfo");
                        App.storage.remove("transfer_cityData");
                        App.storage.remove("selectedBranchBankInfo");
                        App.storage.remove("transfer_bankBinItem");
        			}
        			
	        	}else{
        	        openBankList = App.storage.get("allBankList");
	        	    if(bindAcc.bankid && !cacheData.bankId){
                        // 当前选择的绑定账户有普通/加急转账联行号，则不用用户选择开户行等信息
                        cacheData.toAccNo     = bindAcc.bindAccount;   //选择的银行卡账号
                        cacheData.toAccountText     = bindAcc.bankName;   //选择的银行卡
                        cacheData.isSameBank   = isSameBank;  //收否是同行转账
                        cacheData.bankId     = bindAcc.bankid;
                        App.storage.remove("selectedBankInfo");
                        App.storage.remove("transfer_cityData");
                        App.storage.remove("selectedBranchBankInfo");
                        App.storage.remove("transfer_bankBinItem");
	        	    }
	        	}
	        	
	        	App.storage.set("openBankList",openBankList);
	        	App.storage.set("selectedAccount",bindAcc);
	        	//移除选中样式
	        	this.$("#bindAccSelect i").remove();
	        	//添加选中样式
	        	this.$(e.currentTarget).append("<i class='iconA59'></i>");
	        	App.navigate("me/transfer/openBankSel",true);
        	}else{
        		cacheData.toAccNo     = bindAcc.bindAccount;   //选择的银行卡账号
            	cacheData.toAccountText     = bindAcc.bankName;   //选择的银行卡
        		cacheData.isSameBank   = isSameBank;  //收否是同行转账
        		this.$("#bindAccSelect i").remove();
	        	this.$(e.currentTarget).append("<i class='iconA59'></i>");
	        	App.storage.set("selectedAccount",bindAcc);
	        	App.storage.remove("selectedBankInfo");
	        	App.storage.remove("transfer_cityData");
            	App.storage.remove("selectedBranchBankInfo");
            	App.storage.remove("transfer_bankBinItem");
        		App.navigate("me/transfer/transferView",true);
        		return;
        	}
        	
        }
		
  });
});
