define(function(require, exports, module){
	var myPropertyAccountInfo = module.exports = Model.extend({},{
		//查询账户信息
		queryAccountInfo: function(options){
			this._callInterface(options);
		},
		//通一调用接口
		_callInterface: function(options){
			App.request(options.url,{
				data: options.data,
				success: function(res){
                    options.callback(res);
				},
				error: function(res){
					options.errorCallback(res);
				}
			});
		},
		//理财产品赎回details
		financialRedempDetails : function(options){
			return App.request("qryfinancialRedempDetails",{
				data : options.data
			});
		},
		//（日添利，滚动，净值三种产品）理财产品赎回
		financialRedemption : function(options){
			App.request(options.url,{
				data: options.data,
				success: function(res){
                    options.callback(res);
				},
				error: function(res){
					options.errorCallback(res);
				}
			});
		},
		//黄金宝赎回details
		goldRedemptionDetails : function(options){
			App.request(options.url,{
				data: options.data,
				success: function(res){
                    options.callback(res);
				},
				error: function(res){
					options.errorCallback(res);
				}
			});
		},
		//黄金宝追加购买details
		goldAddPurchaseDetails : function(options){
			App.request(options.url,{
				data: options.data,
				success: function(res){
                    options.callback(res);
				},
				error: function(res){
					options.errorCallback(res);
				}
			});
		},
		//黄金宝details
		goldTreasureDetails : function(options){
			App.request(options.url,{
				data: options.data,
				success: function(res){
                    options.callback(res);
				},
				error: function(res){
					options.errorCallback(res);
				}
			});
		},
		//黄金宝预约赎回提交
		goldTreasureRedempSubmit : function(options){
			App.request(options.url,{
				data: options.data,
				success: function(res){
                    options.callback(res);
				},
				error: function(res){
					options.errorCallback(res);
				}
			});
		}
	});
});