/**
 * @author zhoushiwen
 * @ date ${date}
 * @company 中国平安
 */
define(function (require, exports, module) {
	var InputView = require("../view/buy/input");
	var FinishView = require("../view/buy/finish");
	var accountModel = require("mod/common/model/accountModel");
	var BuyController = module.exports = Controller.extend({
			actions : {
				"input" : "toInputPage",
				"finish" : "toFinishPage"
			},

			toInputPage : function () {
				utils.native.talkingDataTrackEvent("2.0快E盈购买第一步");
				App.header.reset({
					title : "购买订单",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						var model = App.storage.get('products/detail/finace');
						App.storage.set('products/detail/finace', model);
						App.storage.remove("pinganpiaoData");   //产品详情
                        App.storage.remove("selPayBeforeData");   //选择支付方式缓存信息
						//                    App.navigate("products/index/index/finefinance", true);
						App.navigate("products/detail/finace", true);
					}
				});

				//             var model = { "productName":"平安票" , "minAmount":"500" ,"maxAmount":"10000000","unitAmount":"100","planRate":"2.75","productId":"123456","password":"123456","interestBaseDays":"10"}
				//             var promise = $.when(
				//               accountModel.qryAccountList(),
				//               accountModel.asycAccountInfo()
				//             );
				//             promise.done(function(arg1 ,arg2){
				//           		var tempData = {"pinganpiaoData":model};
				//               App.storage.remove("pinganpiaoData");
				//               var pinganpiaoData = _.extend(tempData,{balance:arg2[0].object.balance});
				//               App.container.show(new InputView({model:new Model(pinganpiaoData)}));
				//             });
				//  var model = App.storage.remove('myInvestment/commendProducts/curProObj');
				//              promise.fail(function(err){
				//               utils.dialog.alert(err.message);
				//           });
                //判断是否存在选择支付方式缓存信息
                if(App.storage.get("selPayBeforeData")){
                    App.container.show(new InputView({
                        model : new Model(App.storage.get("pinganpiaoData"))
                    }));
                }else{
    				var promise = $.when(
    						accountModel.qryAccountList(),
    						accountModel.asycAccountInfo());

    				promise.done(function (arg1, arg2) {

    					var model = App.storage.get('myInvestment/commendProducts/curProObj');
    					var tempData = {
    						"pinganpiaoData" : App.storage.get("pinganpiaoData")
    					};
    					//App.storage.remove("pinganpiaoData");
    					var pinganpiaoData = _.extend(tempData, {
    							balance : arg2[0].object.balance,
    							dhBalance : arg2[0].object.dhBalance,
                                totalBalance : arg2[0].object.totalBalance,
    							accountList : arg1[0].object.accountList
    						});
    					App.storage.set("pinganpiaoData",pinganpiaoData);
    					App.container.show(new InputView({
    							model : new Model(pinganpiaoData)
    						}));
    				});

    				promise.fail(function (err) {
    					utils.dialog.alert(err.message);
    				});
                }
			},
			toFinishPage : function () {
				utils.native.talkingDataTrackEvent("2.0-产品-快E盈购买成功");
				App.header.reset({
					title : "提交成功",
					leftButtonContent : '@back',
					leftButtonHandler : function () {
						App.navigate("products/index/index/finefinance", true);
					}
				});
				var tempData = {
					"pinganpiaoData" : App.storage.get("pinganpiaoData")
				};
				App.storage.remove("pinganpiaoData");
				App.container.show(new FinishView({
						model : new Model(tempData)
					}));
			}
		});
});
