/**
 * ex_huangzit
 * 平安盈产品
 */
define(function(require, exports, module) {   
     var commProductsModel = module.exports = Model.extend({}, {
        
        //用户已登陆的收益、账号信息（大华-南方：昨日收益、持有资产、累积收益）
        userYieldInfo : function(options){
        	options.silent = true;
        	// return this._callInterface(options);
        	return this._callInterface4other(options);
        },
        
        //七日年化收益率（南方-大华：七日、一个月、三个月）
        payYearYield : function(options){
        	options.cache = true;
        	return this._callInterface(options);
        },
        
        //展示七日年化收益率和万份收益(大华、南方)
        paySevenYeildQry : function (options){
        	options.silent = true;
            //return this._callInterface(options);
            var isLogined = App.storage.get("isUserLoggedIn");
            if(!isLogined){
            	return this._callInterface(options);
            }else{
            	return this._callInterface4other(options);
            }
        },
        
        //查询万份收益、累积收益、七日年化收益率
        queryYieldDetails:function(options){
        	this._callInterface(options);
        },
        
        //查询撤销列表记录
        queryFundCancelCommision:function(options){
        	options.silent = true;
        	// return this._callInterface(options);
        	return this._callInterface4other(options);
        },
        
        //查询转入转出收益记录
        profitTransferQry:function(options){
        	this._callInterface(options);
        },
        
    	/*平安盈转出 T+1*/
	    profitTransferExportAddOne: function(option){
	        var param = option.param,
	            errorCallback = option.errorCallback,
	            callback = option.callback;
	        return App.request("profitTransferExportAddOne", {
	            data: param,
	            success: function(resp){
	                callback && callback(resp);
	            },
	            error:function(resp){
	                errorCallback && errorCallback(resp);
	            }
	        });
	    },
	    
        /*平安盈转出*/
    	profitTransferExport: function(option){
			var param = option.param,
	            errorCallback = option.errorCallback,
	            callback = option.callback;
	        return App.request("profitTransferExport", {
	            data: param,
	            success: function(resp){
	                callback && callback(resp);
	            },
	            error:function(resp){
	                errorCallback && errorCallback(resp);
	            }
	        });
	    },
    	
        profitSignUpQryList:function(){
        	return App.request("profitSignUpQryList",{});
        },
        
        /**
         * 
         * 平安盈(南方)统计
         * @param {Object} option
         * 
         */
        paynfProductMoneyQry: function(options){
           return App.request("paynfProductMoneyQry",{});
        },
        /**
         * 
         * 平安盈(大华)统计
         * @param {Object} option
         * 
         */
        paydhProductMoneyQry: function(options){
            return App.request("paydhProductMoneyQry",{});
        },
        
        //t+1查询最大份额数
        qryProfitUseVol : function(options){
	        var options = options || {};
	        return App.request("qryProfitUseVol",{data:options});
    	},
    	
    	//撤销
    	entrustCommision4PAY : function(options){
            var options = options || {};
            return App.request("entrustCommision4PAY",{data:options});
       },
        //查询资产交易记录
        getTransferDetail:function(options){
        	 App.request("profitTransferQry",{
                data    : options.data,
                success : function(res){   
                    if(res.success) {
                        options.callback(res);                        
                    }else{
                        options.errorCallback(res);
                    }                
                },
                error : function(res){
                    options.errorCallback(res);
                }               
            });
        },
        //转入
        profitTransferInto : function(options){
            this._callInterface(options);
        },
        /*
         * 调用接口的公共方法
         * 
         * 入参：
         *      options : 请求参数
         *          url：接口路径
         *          data：接口入参
         *          callback：接口成功回调函数
         *          errorCallback：接口错误回调函数
         * 
         * 返回：无
         */
        _callInterface: function (options){
            return App.request(options.url,{
                data    : options.data,
                success : function(res){   
                    if(res.success) {
                        options.callback(res.object);                        
                    }else{
                        options.errorCallback(res);
                    }                
                },
                error : function(res){
                    options.errorCallback(res);
                }               
            });
        },
        
         /*
         * @ex_huangzit
         * 2015-07-13
         * 用户回调到前端处理出现两个弹框的问题
         */
        _callInterface4other: function (options){
            return App.request(options.url,{
                data : options.data               
            });
        }
        
     });
     
});