/**
 * wuyongsheng560 产品购买
 */
define(function(require, exports, module) {
    var FinishTpl = _.template(require('text!../../template/buy/finish.html'));

    module.exports = ItemView.extend({
        template: FinishTpl,
        events: {
            'tap #continueBuy': 'redirect',
            'tap #myAssets': 'redirect'
        },

        redirect: function(e) {
            e.preventDefault();
            var url,
                target = this.$(e.target),
                id = target.attr('id');
            if (!target.length || !id) return;
            switch (id) {
                case 'continueBuy':
                    url = 'products/index/index/finefinance';
                    break;
                case 'myAssets':
                    url = 'myProperty/myProperty/index';
                    break;
            }

            if (url) {
                setTimeout(function () {
                    App.navigate(url, {
                        replace: true,
                        trigger: true
                    });
                }, 300);
            }
        }
    });

});
