define(function(require,exports,module){
	var redPacketModel  = require("../model/redPacketModel");
	var RedPacketView   = require("../view/redPacket");
	var NoRedPacketView = require("../view/noRedPacket");
	module.exports = Controller.extend({
		actions:{
			"index"       : "index",
			"noRedPacket" : "noRedPacket"
		},
		index:function(){
			App.header.reset({
				title:"我的红包",
				leftButtonContent:"@back",
				rightButtonContent:"使用规则",
				leftButtonHandler:function(){
					App.navigate("me/logined/index",true);
				},
				rightButtonHandler:function(){
					App.navigate("czFaq/faqIndex/czFaq/redPacket",true);
				}
			});
			App.footer.reset({
				visible:false
			});
			var formData = {
				redPacketCategoryCode :"",
				redPacketStatusCode   :"",
				pageIndex             :"1",
				pageSize              :"10"
			};
			redPacketModel.qryRedPacketListByPage({
				params:formData,
				callback:function(res){
					if(res.object.totalNum == "0"){
						App.navigate("redPacket/redPacket/noRedPacket",true);
					}else{
						App.container.show(new RedPacketView());
					}
				},
				errorCallback:function(res){
					utils.dialog.alert(res.message);
				}
			});
		},

		//全部红包为空
		noRedPacket: function(){
			App.header.reset({
				title:"全部红包",
				leftButtonContent:"@back",
				rightButtonContent:"使用规则",
				leftButtonHandler:function(){
					App.navigate("me/logined/index",true);
				},
				rightButtonHandler:function(){
					App.navigate("czFaq/faqIndex/czFaq/redPacket",true);
				}
			});
			App.footer.reset({
				visible:false
			});
			App.container.show(new NoRedPacketView());
		}
	});
});
