/**
 * @author zhoushiwen
 * @ date ${date}
 * @company 中国平安
 * @param 渲染评测结果
 */

define(function (require, exports, module) {
	var itemTemp = require("text!../template/riskExamResult.html");
    var accountModel  = require("mod/common/model/accountModel");

	module.exports = ItemView.extend({

			template : _.template(itemTemp),

			events : {
				"tap #confirmBtn" : "confirm",
				"tap #cxtest" : "cxtest"
			},

            onShow : function(){
                //是否送万里通积分
                this.checkFirstRisk();
            },

			confirm : function () {
				this.trigger('confirm');
			},
			cxtest : function () {
				// App.navigate("riskExam/riskExam/riskExam", true);
				this.trigger('onRiskExam');
			},

            //是否首次测评
            checkFirstRisk : function(){
                var self = this;
                var firstRiskType = App.storage.get("firstRiskType");
                //0是首次风测1不是首次风测
                if(firstRiskType && firstRiskType == 0){
                    accountModel.getWLTCheckRule({
                        data : {"ruleId":config.values.wltFengCe},
                        callback : function(res){
                            //0是送积分1不送积分
                            if(res.object.wanlitongRule && res.object.wanlitongRule == 0){
                                self.$("#wanlitongPrompt").show();
                            }
                        },
                        errorCallback : function(res){
                            //utils.dialog.alert(res.message);
                        }
                    });
                }
            }
		});

});
