define(function(require, exports, module) {
    var Tpl = require('text!./finish.html');

    module.exports = ItemView.extend({
        template: Tpl,
        events: {
            'tap #redirectBtn': 'redirect'
        },
        redirect: function (e) {
            e.preventDefault();
            if (this.model.get('confirmed')) {
                return App.navigate('search/margin/index', {trigger: true, replace: true});
            }

            App.navigate('search/margin/detail', {trigger: true, replace: true});
        }

    });

});
