define(function(require, exports, module) {
    var RecordDetailtpl = require("text!./recordDetail.html");
    var RecordDetailView = module.exports = ItemView.extend({
        template : _.template(RecordDetailtpl),
        templateHelpers : {
            mobileNumFormat : function(mobile) {
                if (!mobile)
                    return "";
                return mobile.substr(0, 3) + " " + mobile.substr(3, 4) + " " + mobile.substr(7);
            },
            dateFormat : function(date) {
                if (!date)
                    return "";
                return utils.date.formatTime(date).format("yyyy-MM-dd hh:mm:ss")
            }
        },
        
        events : {
            "tap #aginRechargeBtn" : "toInputPage"
        },
        
        toInputPage : function(){
            App.navigate("search/prepaidRecharge/input",true);
        }
    });
});
