define(function(require, exports, module){
    var indexTl = require("text!../../../template/wonderfulConsume/consumeStory/creditCard.html");
    var FormComponent = require("component/form");
    var indexView = module.exports = FormComponent.extend({
        template : _.template(indexTl),
        events:{
            "tap .oneCard" : "setectCredicard"
        },
        initialize : function(query){
           this.crediTcardNum = this.model.get("crediTcardNum")
           this._rendHead();
        },
        onShow : function () {
           var cardNum = this.crediTcardNum;
           cardNum == "all" ? cardNum="全部" : false;
           $("li i").removeClass("iconA59").addClass("iconA34");
           $("li:contains("+cardNum+") i").addClass("iconA59");
        },
        _rendHead : function () {
            App.header.reset({
                title : "选择信用卡",
                leftButtonContent : "@back",
                leftButtonHandler : function(){
                    App.navigate("search/wonderfulConsume/index", true);
                }
            });
            App.footer.reset({"visible":false});
        },
        setectCredicard : function() {
            var parentLi = $(event.target).parents(".oneCard");
            var selfLi = $(event.target).hasClass(".oneCard");
            $("li i").removeClass("iconA59").addClass("iconA34");
            var index = "";
            if(parentLi[0]) {
                parentLi.find("i").addClass("iconA59");
                index = parentLi.attr("index");
            }else if(selfLi) {
                selfLi.find("i").addClass("iconA59");
                index = selfLi.attr("index");
            }
            var bindCreditCard = App.storage.get("consumee/bindCreditCard");
            var ctrCard = bindCreditCard[index];
            ctrCard ? App.storage.set("consumee/creditCardNum",ctrCard.cardNo):false;
            var url="search/wonderfulConsume/index?"+Date.parse(new Date());
            App.navigate(url, true);
        }
    });
})