/*
*  执行记录
*  liujun
*/
define(function(require, exports, module){
    var FormComponent       = require("component/form");
    var executeRecord_Model = require("../model/smartFinancial");
    var executeRecordListView = require("../view/executeRecordList");
    var PTRScroll           = require("component/PTRScroll");
    var executeRecordInfo = require("text!../template/executeRecord.html");
    // var zhuanZhangListView = require();
    var that = null;
    var ctrProCaption = null;
    var dateFormat = "yyyyMMdd";
    //产品code
    // var JIAOYIJILU = config.values.jiaoyijilu;
    
    var indexView = module.exports = FormComponent.extend({
        template : _.template(executeRecordInfo),
        regions: {
            'transListRegion': '#transRecordListContainer'
        },
        ui: {
            "startDateBtn": "#startDate",
            "endDateBtn": "#endDate",
            "startDateText" : "#start-date-text",
            "endDateText" : "#end-date-text"
        },
        events: {
            "tap #chageTab" : "_chageTab",
            "tap #FilterOptions" : "_selectePro",
            "tap #choseDate" : "_showDate",
            "datepicker:dateSelect @ui.startDateBtn" : "selectStartDate",   //选择开始日期
            "datepicker:dateSelect @ui.endDateBtn"   : "selectEndDate"     //选择结束日期
        },
        initialize:function(){
            this.param = this.model.get('param');
            // this.param.prdCode = this.param.prdCode || JIAOYIJILU;
            // this.param.prdCode = this.param.prdCode || EXECUTERECORD;

            this.initProSettings();
            that = this;
            recordCollection = [];
        },
        onRender:function(){
            this._rendHear();  
        },
        _rendHear : function() {            
            App.header.reset({
                title : this.title,
                leftButtonContent : '@back',
                leftButtonHandler : function(){
                    App.navigate("smartFinancial/smartFinancial/signed",true);
                }
            });
        },
        templateHelpers: {
            //根据不同的产品展示表头
            showCption : function() {
                return ctrProCaption;
            }
        },
        onShow: function(){
            // if (!this.model.get('tempDataList')) {
                this.qryFirstPageData();
            // } else {
            //     this.showTempPageData();
            // }
        },
        // showTempPageData: function(){
        //     var model = this.model;
        //     var list = model.get('tempDataList');
        //     var responseData = model.get('responseData');
            
        //     this.initPTRScroll();
        //     this.listViewCollectionChange(list);
        //     this.initPullUpToLoadMore(responseData.object);
        // },
        // 根据不同产品编码展示不同的列表头和获取相应的接口名
        initProSettings: function(){
            // switch(proCode) {
                    // case JIAOYIJILU://交易明细
                    //     ctrProCaption =  '<div class="f16 tac w50">交易日期</div>'
                    //            +'<div class="f16 tac w50 p_r30">金额(元)</div>';
                    //     this.modelMethod = 'getTransferDetail';
                    //     this.title = "交易明细";
                    //     this.detailTitle = "交易详情";
                    //     this.respListName = 'list';//结果集
                    //     dateFormat = "yyyyMMdd";
                    //     break;
                    // case EXECUTERECORD:    //执行记录
                        ctrProCaption =  '<div class="f16 tac w33">交易日期</div>'
                                +'<div class="f16 tac w33">交易金额(元)</div>' 
                                +'<div class="f16 tac w33">交易类型</div>';
                        this.title = "智能理财";//头部title
                        this.detailTitle = "执行记录";//详情界面title
                        this.modelMethod = 'qryExecuteRecord';//后台查询方法
                        this.respListName = 'outList';//结果集//后台执行记录接口李斯特list集合名  
                        dateFormat = "yyyyMMdd";
                //         break;
                // }
            // this.listViewInstance = null;//同一产品下，结果集累加
        },
        // 准备查询（当首次进入页面 或 变更查询参数时）
        qryFirstPageData: function(){
            this.param.startDate = utils.date.formatTime($("#startDate").attr("data-initDate")).format(dateFormat);
            this.param.endDate = utils.date.formatTime($("#endDate").attr("data-initDate")).format(dateFormat);
            var param = this.param;
            param.pageIndex = 1;
            this.doQryFirstPageData(param);
        },
        // 执行查询（当首次进入页面 或 变更查询参数时）
        doQryFirstPageData: function(param){
            this.qryData({
                param: param,
                callback: _.bind(function(response){
                    // this.model.set('responseData', response);
                    var list = this.getResultList(response);
                    if (!list || list.length == 0) {
                        // this.scroller && this.scroller.destroy();
                        // this.listViewCollectionChange([]);
                        this.initPullUpToLoadMore(response.object);
                        recordCollection = [];
                        var view = new executeRecordListView(recordCollection);
                        this.transListRegion.show(view);
                    } else {
                        recordCollection = [];
                        recordCollection = list;
                        this.initPTRScroll();
                        var view = new executeRecordListView(recordCollection);
                        this.transListRegion.show(view);
                        // this.listViewCollectionChange(list);
                        
                        this.initPullUpToLoadMore(response.object);
                    }
                    $("#chageTab i").removeClass("on");
                    $("#choseDate i").removeClass("on");
                }, this)
            });
        },
        //执行请求数据
        qryData : function(options){
            var self = this;
            // 防重复提交
            if(self.submitFlag === 1) return;
            self.submitFlag = 1;
            executeRecord_Model[this.modelMethod]({
                param: options.param,
                callback: function(response){
                    options.callback && options.callback(response);
                },
                errorCallback: function(err){
                    utils.dialog.alert(err.message);
                },
                complete: function(){
                    options.complete && options.complete();
                    self.submitFlag = 0;
                }
            });
        },
        //根据不同的产品编号，取不同的列表数据
        getResultList: function(response){
            return response.object[this.respListName];//[this.respListName];
        },
        // //初始化上下拉
        initPTRScroll : function(){
            if (this.scroller) return;
            var self = this;
            var wHeight=$(window).outerHeight(true);
            var navHeight=this.$("#selectionArea").outerHeight(true)+this.$("#tableCption").outerHeight(true);
            var listHeight = wHeight-navHeight;
            var dom = $("#scrollContainer").css({"height":listHeight,"position":"relative"});
            
            //初始化iscroller
            this.scroller = new PTRScroll(dom[0],{
                "hScroll"          : false,
                "checkDOMChanges"  : true,
                "hideScrollbar"    : false
            });
            //下拉刷新 
            this.scroller.options.refreshContent = function(refresh){
                self.scrollerLoadData(refresh, 1);
            };
            //上拉加载 
            this.scroller.options.loadMoreContent = function(refresh){
                self.scrollerLoadData(refresh, self.param.pageIndex + 1);
            };
        },
        // // 上下拉时加载数据
        scrollerLoadData: function(refresh, pageIndex){
            var self = this;
            // 重置页码参数
            var param = this.param;
            var tempParam = _.defaults({pageIndex: pageIndex}, param);
            // 请求数据
            this.qryData({
                param: tempParam,
                callback: function(response){
                    param.pageIndex = pageIndex;
                    var list = self.getResultList(response);
                    // if (pageIndex == 1) {
                    //     self.listViewCollectionChange(list);
                    // } else {
                    //     self.listViewCollectionAdd(list);
                    // }
                    if (pageIndex == 1) {
                        recordCollection = list;
                    }else if(param.pageIndex > 1){
                        recordCollection = recordCollection.concat(list);
                    }else{}
                    var view = new executeRecordListView(recordCollection);
                    // this.transListRegion.show();
                    self.transListRegion.show(view);
                    self.initPullUpToLoadMore(response.object);
                },
                complete: function(){
                    refresh();
                }
            });
        },
        // //初始化上下拉标签
        initPullUpToLoadMore : function(object){
            if (object.out_total_record > 1 * this.param.pageIndex * object.page_size) {
                this.scroller.enablePullUpToLoadMore();
            } else {
                this.scroller.disabledPullUpToLoadMore();
            }            
        },
        // 更改collectionView中的collection，并渲染该view
        // listViewCollectionChange: function(list){
        //     // this.model.set('tempDataList', list);
            
        //     // if (this.listViewInstance) {
        //     //     this.listViewInstance.collection.reset(list);
        //     // } else {
        //         this.showRecordsListView(new Collection(list));
        //     }
        // },
        // // 增加collectionView中的collection，并渲染该view
        // listViewCollectionAdd: function(list){
        //     var tempDataList = this.model.get('tempDataList');
        //     this.model.set('tempDataList', tempDataList.concat(list));
            
        //     if (this.listViewInstance) {
        //         this.listViewInstance.collection.add(list);
        //     }
        // },  
        // // 显示列表view
        // showRecordsListView: function(collection){
        //     var thisView = this;
        //     var detailTitle = this.detailTitle;
        //     var view = this.listViewInstance = new listView({
        //         collection: collection
        //     });
            
        //     // view.on('gotoDetailPage', function(){
        //     //     App.storage.set('me/transRecords/detailTitle',detailTitle);
        //     //     App.navigate('me/transRecords/detail', false);
        //     // });
            
        //     // App.storage.set('tradeRecordsInfo/prdCode', this.param.prdCode);
        //     this.transListRegion.show(view);
        // },
        //展示选择界面
        // _chageTab : function() {
        //     $("#choseDate i").removeClass("on");
        //     $("#selectDate").hide();
        //     $("#chageTab i").toggleClass("on");
        //     $("#selectPro").toggle();
        // },
        //展示日期
        _showDate : function() {
            $("#chageTab i").removeClass("on");
            $("#selectPro").hide();
            $("#choseDate i").toggleClass("on");
            $("#selectDate").toggle();
        },
        // //选择一个产品
        // _selectePro : function() {
        //     $(".FilterOptions li").removeClass("on");
        //     $(event.target).addClass("on");
        //     $("#selectPro").hide();
        //     var proCode = event.target.getAttribute("selected");
        //     if(proCode) {
        //         var param = that._getDefaultParam(proCode);
        //         //重新渲染有页面
        //         that.param = param;
        //         that.initProSettings(proCode);
        //         that._rendHear();
        //         var _html = that.templateHelpers.showCption(proCode);
        //         $("#tableCption_cont").html(_html);
        //         that.qryFirstPageData();
        //     }
        // },
        //获取默认查询条件
        // _getDefaultParam: function(code){
        //     return {
        //         "pageIndex": 1,
        //         "pageSize" : 10,
        //         "prdCode"  : code,
        //         "account"  : App.storage.get("UserInfo").get("accNumber")
        //     };
        // },
        // 选择开始日期-----------------------------------------
        // selectStartDate : function(eve,_this,value){
        //     var consumeView = this;
        //     var sysTime = App.storage.get("Login_SysTime");
        //     var now = new Date();
        //     var taday = new Date(sysTime || now).format("yyyy-MM-dd");
        //     var yesToday = new Date(utils.date.diffDateAdd(sysTime|| now,-1,"d")).format("yyyy-MM-dd");
        //     if(value == taday){
        //         consumeView.model.set("endDate", taday);
        //         $("#endDay").text(value);
        //         this.ui.endDateText.text(utils.date.formatTime(taday).format("MM-dd"));
        //         $("#endDate").attr("data-initDate", taday);
        //         $("#endDate").attr("data-startDate", taday);
        //         $("#endDate").attr("data-endDate", taday);
        //     }else{
        //         $("#endDate").attr("data-startDate", value);
        //         $("#endDate").attr("data-endDate", yesToday);
        //         if(this.ui.endDateText.text() == taday.slice(6)){
        //             consumeView.model.set("endDate", yesToday);
        //             $("#endDay").text(yesToday);
        //             this.ui.endDateText.text(utils.date.formatTime(yesToday).format("MM-dd"));
        //             $("#endDate").attr("data-initDate", yesToday);
        //         }
        //     }
        //     if (!this._validateDateSlct(value, this.ui.endDateBtn.attr("data-initDate"))) return;
        //     this.ui.startDateBtn.attr("data-initDate",value)
        //     $("#startDay").text(value);
        //     this.ui.startDateText.text(utils.date.formatTime(value).format("MM-dd"));
        //     $("#selectDate").hide();
        //     this.qryFirstPageData();
        // },
        // // 选择结束日期
        // selectEndDate : function(eve,_this,value){
        //     if (!this._validateDateSlct(this.ui.startDateBtn.attr("data-initDate"), value)) return;
        //     this.ui.endDateBtn.attr("data-initDate",value);
        //     $("#endDay").text(value);
        //     this.ui.endDateText.text(utils.date.formatTime(value).format("MM-dd"));
        //     $("#selectDate").hide();
        //     this.qryFirstPageData();
        // },
        // _validateDateSlct: function(startDate, endDate){
        //     if(utils.date.compareDate(startDate, endDate) == 1){
        //         utils.dialog.toast("开始日期不能大于结束日期");
        //         return false;
        //     }
        //     var sdate = utils.date.diffDateAdd(endDate,-3,"m"); 
        //     if(utils.date.diffDate(startDate, sdate) >0){
        //         utils.dialog.toast("查询时间段不能超过3个月");
        //         return false;
        //     }
        //     return true;
        // },
        // _numToChinese : function(number){
        //     var chineseNum = ["零","一","二","三","四","五","六","七","八","九"];
        //     var result = "";
        //     if(number.charAt(0) == "0") {
        //         result = chineseNum[number.charAt(1)];
        //     }else if(number.charAt(1) == "0") {
        //         result = "十";
        //     }else {
        //         result = "十"+chineseNum[number.charAt(1)];
        //     }
        //     return result+"月";
        // }-----------------------------------------------------------------
        // 选择开始日期
        selectStartDate : function(eve,_this,value){
            this.dateSelect = "START";
            var consumeView = this;
            var sysTime     = App.storage.get("Login_SysTime");
            var now         = new Date();
            var today       = new Date(sysTime || now).format("yyyy-MM-dd");
            var yesToday    = new Date(utils.date.diffDateAdd(sysTime|| now,0,"d")).format("yyyy-MM-dd");
            if(value == today){
                consumeView.model.set("endDate", today);
                $("#endDay").text(value);
                this.ui.endDateText.text(utils.date.formatTime(today).format("MM-dd"));
                $("#endDate").attr("data-initDate", today);
                //$("#endDate").attr("data-startDate", today);
                //$("#endDate").attr("data-endDate", today);
                $("#endDate").attr("data-endDate", "");
            }else{
                $("#endDate").attr("data-startDate", value);
                //$("#endDate").attr("data-endDate", yesToday);
                if(this.ui.endDateText.text() == today.slice(5)){
                    consumeView.model.set("endDate", yesToday);
                    $("#endDay").text(yesToday);
                    this.ui.endDateText.text(utils.date.formatTime(yesToday).format("MM-dd"));
                    $("#endDate").attr("data-initDate", yesToday);
                }
            }
            if (!this._validateDateSlct(value, this.ui.endDateBtn.attr("data-initDate"))) return;
            this.ui.startDateBtn.attr("data-initDate",value)
            $("#startDay").text(value);
            this.ui.startDateText.text(utils.date.formatTime(value).format("MM-dd"));
            this._validateDateThreeMotn(value, this.ui.endDateBtn.attr("data-initDate"));
            //$("#selectDate").hide();
            //this.qryFirstPageData();
        },
        // 选择结束日期
        selectEndDate : function(eve,_this,value){
            this.dateSelect = "END";
            var consumeView = this;
            var sysTime     = App.storage.get("Login_SysTime");
            var now         = new Date();
            var today       = new Date(sysTime || now).format("yyyy-MM-dd");
            // if(value == today) {
            //     consumeView.model.set("startDate", today);
            //     $("#startDay").text(value);
            //     this.ui.startDateText.text(utils.date.formatTime(today).format("MM-dd"));
            //     $("#startDate").attr("data-initDate", today);
            //     //$("#startDate").attr("data-startDate", today);
            //     //$("#startDate").attr("data-endDate", today);
            //     $("#startDate").attr("data-endDate", "");

            //     //非无卡取现
            //     //if(!this.isNocardCash) return;
            // }
            if (!this._validateDateSlct(this.ui.startDateBtn.attr("data-initDate"), value)) return;
            this.ui.endDateBtn.attr("data-initDate",value);
            $("#endDay").text(value);
            this.ui.endDateText.text(utils.date.formatTime(value).format("MM-dd"));
            this._validateDateThreeMotn(this.ui.startDateBtn.attr("data-initDate"),value);
           //$("#selectDate").hide();
            //this.qryFirstPageData();
        },
        _validateDateThreeMotn : function(startDate, endDate) {
            var pdate = utils.date.diffDateAdd(endDate,-3,"m");
            if(utils.date.diffDate(startDate, pdate) >0){
                utils.dialog.alert("查询时间段不能超过3个月",function(){
                    if(that.dateSelect&&that.dateSelect == "START") {
                        var sdate = utils.date.diffDateAdd(startDate,3,"m");
                        var formatDate1 = utils.date.formatTime(sdate).format("yyyy-MM-dd");
                        var formatDate2 = utils.date.formatTime(sdate).format("MM-dd");
                         that.ui.endDateBtn.attr("data-initDate",formatDate1);
                         $("#endDay").text(formatDate1);
                         that.ui.endDateText.text(formatDate2);
                    }else if(that.dateSelect&&that.dateSelect == "END"){
                        var sdate = utils.date.diffDateAdd(endDate,-3,"m");
                        var formatDate1 = utils.date.formatTime(sdate).format("yyyy-MM-dd");
                        var formatDate2 = utils.date.formatTime(sdate).format("MM-dd");
                        that.ui.startDateBtn.attr("data-initDate",formatDate1)
                        $("#startDay").text(formatDate1);
                        that.ui.startDateText.text(formatDate2);
                    }
                    $("#selectDate").hide();
                    that.qryFirstPageData();
                });
            }else{
                $("#selectDate").hide();
                that.qryFirstPageData();
            }
        },
        _validateDateSlct: function(startDate, endDate){
            if(utils.date.compareDate(startDate, endDate) == 1){
                utils.dialog.toast("开始日期不能大于结束日期");
                return false;
            }
            return true;
        }
    });

});


