define(function(require, exports, module){
    var PrespecifiedTpl = require("text!../template/prespecified.html");
    var FormComponent   = require("component/form");

    var PrespecifiedView = module.exports = ItemView.extend({
        template : _.template(PrespecifiedTpl),
        events:{
            "tap .psItem"  : "verify"
        },

        /**
         * 跳转到校验页
         * @param  {[type]} e [description]
         * @return {[type]}   [description]
         */
        verify: function(e){
            var id = $(e.currentTarget).attr("data-id");
            var list = this.model.get("appointmentRelationList");
            App.storage.set("prespecifiedInfoItem",list[id]);
            // console.log(list[id]);
            App.navigate('stock/stock/prespecifiedVerify', true);
        }

    });
});