define(function(require, exports, module){
    var PrespecifiedSuccessTpl = require("text!../template/prespecifiedSuccess.html");
    var FormComponent          = require("component/form");

    var PrespecifiedSuccessView = module.exports = Layout.extend({
        template : _.template(PrespecifiedSuccessTpl),
        events:{
            "tap #pactCheck"  : "pactCheck",
            "tap #servicePact": "openService",
            "tap #submit_psv" : "submit"
        },

        submit: function(){
            App.navigate('stock/stock/prespecifiedSuccess', true);
        },
        /**
         * 打开服务协议
         */
        openService: function(e){
            e.stopPropagation();
            utils.window.open({
                title: "《第三方存管预指定确认服务协议》",
                url: "https://ssl.pingan.com/bank/xieyi/zt-payxieyi.html"
            });
        },

        /**
         * 同意或不同意协议
         */
        pactCheck: function(e){
            var ckBox=this.$("#pactCheck").children().eq(0);
            if(ckBox && ckBox.hasClass('on')){
                this.$("#submit_psv").removeAttr("disabled").removeClass('btn_orange').addClass('btn_disable');
            }else{
                this.$("#submit_psv").attr({"disabled":"disabled"}).removeClass('btn_disable').addClass('btn_orange');
            }
            ckBox.toggleClass("on");
        }

    });
});