define(function(require, exports, module){
    var IndexTpl       = require("text!../template/index.html");
    var FormComponent  = require("component/form");

    var IndexView = module.exports = Layout.extend({
        template : _.template(IndexTpl),
        events:{
            "tap #bank2Stock"    : "bank2Stock",     //银转证券
            "tap #stock2Bank"    : "stock2Bank",     //证转银
            "tap #stockBalance"  : "stockBalance",   //证券资金余额查询
            "tap #query3dm"       : "query3dm",        //银证转账交易记录
            "tap #prespecified"  : "prespecified",   //预指定确认
            "tap #whatIsStock3dm": "whatIsStock3dm"  //什么是三方存管
        },

        bank2Stock: function(){
            App.navigate('stock/stock/bank2Stock', true);
        },

        stock2Bank: function(){
            App.navigate('stock/stock/stock2Bank', true);
        },

        stockBalance: function(){
            App.navigate('stock/stock/balanceStock', true);
        },

        query3dm: function(){
            App.navigate('stock/stock/query3dm', true);
        },

        /**
         * 预指定确认
         */
        prespecified: function(){
            App.navigate('stock/stock/prespecified', true);
        },

        /**
         * 什么是三方存管 Third-party deposit and manage
         */
        whatIsStock3dm: function(){
            App.navigate('stock/stock/whatIsStock3dm', true);
        }

    });
});